package com.srs.dormitory.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;

import java.util.Date;


/**
 * 查寝推送日志对象 dms_check_log
 *
 * @author srs
 * @date 2024-12-26
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "DmsCheckLog对象" , description = "查寝推送日志")
@TableName("dms_check_log")
public class DmsCheckLog{
    private static final long serialVersionUID=1L;

    /**
     * #
     */
    @ApiModelProperty("#")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    private String stuNo;

    /**
     * 查寝id
     */
    @ApiModelProperty("查寝id")
    @TableField("check_id")
    @Excel(name = "查寝id")
    private Long checkId;


    @TableField("create_time")
    public Date createTime;

    @TableField(exist = false)
    public String checkImage;

    @TableField(exist = false)
    public String checkResult;

    @TableField(exist = false)
    public String remark;

    @TableField(exist = false)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    public Date checkDate;

    @TableField(exist = false)
    public String parkName;

    @TableField(exist = false)
    public String buildingName;

    @TableField(exist = false)
    public String roomNo;

    @TableField(exist = false)
    public String stuName;

    @TableField(exist = false)
    public String className;

    @TableField(exist = false)
    public String deptName;

    @TableField(exist = false)
    public String tNo;

}
