package com.srs.dormitory.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 延迟退宿申请表
 * </p>
 *
 * @author szz
 * @since 2023年08月01日
 */
@Data
@TableName("dms_delay_application")
@ApiModel(value = "DmsDelayApplication对象", description = "延迟退宿申请表")
public class DmsDelayApplication implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("学生学号")
    @TableField("stu_no")
    private String stuNo;

    @ApiModelProperty("宿舍ID")
    @TableField("dormitory_id")
    private Integer dormitoryId;

    @ApiModelProperty("床位ID")
    @TableField("bed_id")
    private Integer bedId;

    @ApiModelProperty("最终退宿时间")
    @TableField("delay_time")
    private LocalDateTime delayTime;

    @ApiModelProperty("申请理由")
    @TableField("reason")
    private String reason;

    @ApiModelProperty("创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @ApiModelProperty("创建人")
    @TableField("create_by")
    private String createBy;

    @ApiModelProperty("更新时间")
    @TableField("update_time")
    private LocalDateTime updateTime;

    @ApiModelProperty("更新人")
    @TableField(value = "update_by",fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String updateBy;

    @ApiModelProperty("审核状态 (0未审核 1 通过 -1 拒绝)")
    @TableField("status")
    private Integer status;

    @ApiModelProperty("删除标志（0代表存在 2代表删除）")
    @TableField("del_flag")
    private String delFlag;


}
