package com.srs.dormitory.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 学院宿舍关联表
 * </p>
 *
 * @author 猪油骨
 * @since 2023-08-29
 */
@Data
@TableName("dms_dormitory_dept")
@ApiModel(value = "DmsDormitoryDept对象", description = "学院宿舍关联表")
public class DmsDormitoryDept implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("学院代码")
    @TableField("XYDM")
    private String xydm;

    @ApiModelProperty("宿舍id")
    @TableField("dormitory_id")
    private Long dormitoryId;

    @ApiModelProperty("年级代码")
    @TableField("grade_code")
    private String gradeCode;

    @ApiModelProperty("学院分配的宿舍床位数")
    @TableField("bed_count")
    public int bedCount;

    @ApiModelProperty("是否锁定")
    @TableField("is_lock")
    public String isLock;

}




