package com.srs.dormitory.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 楼层表
 * </p>
 *
 * @author 猪油骨
 * @since 2023-07-14
 */
@Data
@TableName("dms_dormitory_floor")
@ApiModel(value = "DmsDormitoryFloor对象", description = "楼层表")
public class DmsDormitoryFloor implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("楼层id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("楼层号")
    @TableField("floor")
    private Long floor;

    @ApiModelProperty("宿舍楼id")
    @TableField("building_id")
    private Long buildingId;

    @ApiModelProperty("备注")
    @TableField("remark")
    private String remark;

    @ApiModelProperty("创建人")
    @TableField("create_by")
    private String createBy;

    @ApiModelProperty("创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @ApiModelProperty("更新人")
    @TableField("update_by")
    private String updateBy;

    @ApiModelProperty("更新时间")
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;

    @ApiModelProperty("删除标志（0代表存在 2代表删除）")
    @TableField("del_flag")
    private String delFlag;


}




