package com.srs.dormitory.domain;

import java.math.BigDecimal;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 宿舍费用对象 dms_dormitory_records
 *
 * @author srs
 * @date 2023-10-20
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "DmsDormitoryRecords对象" , description = "宿舍费用表")
@TableName("dms_dormitory_records")
public class DmsDormitoryRecords{
private static final Long serialVersionUID=1L;

    /**
     * 主键ID
     */
    @ApiModelProperty("主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    @TableField("stu_name")
    @Excel(name = "姓名")
    private String stuName;

    /**
     * 班级
     */
    @ApiModelProperty("班级")
    @TableField("class_name")
    @Excel(name = "班级")
    private String className;

    /**
     * 宿舍长
     */
    @ApiModelProperty("宿舍长")
    @TableField("dormitory_head")
    @Excel(name = "宿舍长")
    private String dormitoryHead;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    private String stuNo;

    /**
     * 宿舍号1
     */
    @ApiModelProperty("宿舍号1")
    @TableField("roomNo1")
    @Excel(name = "宿舍号1")
    private String roomNo1;

    /**
     * 标准人数1
     */
    @ApiModelProperty("标准人数1")
    @TableField("standard_capacity")
    @Excel(name = "标准人数1")
    private Long standardCapacity;

    /**
     * 实住人数1
     */
    @ApiModelProperty("实住人数1")
    @TableField("actual_occupancy")
    @Excel(name = "实住人数1")
    private Long actualOccupancy;

    /**
     * 住宿时间1
     */
    @ApiModelProperty("住宿时间1")
    @TableField("accommodation_duration1")
    @Excel(name = "住宿时间1")
    private String accommodationDuration1;

    /**
     * 折合月数
     */
    @ApiModelProperty("折合月数")
    @TableField("equivalent_months1")
    @Excel(name = "折合月数1")
    private BigDecimal equivalentMonths1;

    /**
     * 收费标准
     */
    @ApiModelProperty("收费标准")
    @TableField("charge_standard1")
    @Excel(name = "收费标准1")
    private BigDecimal chargeStandard1;

    /**
     * 应收费用1
     */
    @ApiModelProperty("应收费用1")
    @TableField("amount_due1")
    @Excel(name = "应收费用1")
    private BigDecimal amountDue1;

    /**
     * 宿舍号2
     */
    @ApiModelProperty("宿舍号2")
    @TableField("roomNo2")
    @Excel(name = "宿舍号2")
    private String roomNo2;

    /**
     * 标准数
     */
    @ApiModelProperty("标准数")
    @TableField("standard_capacity2")
    @Excel(name = "标准数")
    private Long standardCapacity2;

    /**
     * 宿舍实住人数
     */
    @ApiModelProperty("宿舍实住人数")
    @TableField("actual_occupancy2")
    @Excel(name = "宿舍实住人数")
    private Long actualOccupancy2;

    /**
     * 住宿时间
     */
    @ApiModelProperty("住宿时间2")
    @TableField("accommodation_duration2")
    @Excel(name = "住宿时间2")
    private String accommodationDuration2;

    /**
     * 折合月数
     */
    @ApiModelProperty("折合月数")
    @TableField("equivalent_months2")
    @Excel(name = "折合月数2")
    private BigDecimal equivalentMonths2;

    /**
     * 收费标准
     */
    @ApiModelProperty("收费标准")
    @TableField("charge_standard2")
    @Excel(name = "收费标准2")
    private BigDecimal chargeStandard2;

    /**
     * 应收费用
     */
    @ApiModelProperty("应收费用")
    @TableField("amount_due2")
    @Excel(name = "应收费用2")
    private BigDecimal amountDue2;

    /**
     * 年住宿费用
     */
    @ApiModelProperty("年住宿费用")
    @TableField("annual_accommodation_fee")
    @Excel(name = "年住宿费用")
    private BigDecimal annualAccommodationFee;

    /**
     * 银行账号
     */
    @ApiModelProperty("银行账号")
    @TableField("bank_account")
    @Excel(name = "农行卡账号")
    private String bankAccount;

    /**
     * 电话
     */
    @ApiModelProperty("电话")
    @TableField("phone")
    @Excel(name = "电话")
    private String phone;

    /**
     * 辅导员
     */
    @ApiModelProperty("辅导员")
    @TableField("teacher")
    @Excel(name = "辅导员")
    private String teacher;

    /**
     * 辅导员电话
     */
    @ApiModelProperty("辅导员电话")
    @TableField("teacher_phone")
    @Excel(name = "辅导员电话")
    private String teacherPhone;

    /**
     * 所属学年
     */
    @ApiModelProperty("所属学年")
    @TableField("year")
    private Long year;

    /**
     * 备注1
     */
    @ApiModelProperty("备注1")
    @TableField("remark1")
    @Excel(name = "备注1")
    private String remark1;

    /**
     * 备注2
     */
    @ApiModelProperty("备注2")
    @TableField("remark2")
    @Excel(name = "备注2")
    private String remark2;


        }
