package com.srs.dormitory.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * <p>
 * 外来人员宿舍关联表
 * </p>
 *
 * @author szz
 * @since 2023年08月04日
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("dms_foreign_dormitory")
@ApiModel(value = "DmsForeignDormitory对象", description = "外来人员宿舍关联表")
public class DmsForeignDormitory implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("宿舍ID")
    @TableField("dormitory_id")
    private Long dormitoryId;

    @ApiModelProperty("床位ID")
    @TableField("bed_id")
    private Long bedId;

    @ApiModelProperty("申请表")
    @TableField("application_id")
    private Long applicationId;


}
