package com.srs.dormitory.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 假期留宿申请表
 * </p>
 *
 * @author szz
 * @since 2023年07月31日
 */
@Data
@TableName("dms_holiday_stay_application")
@ApiModel(value = "DmsHolidayStayApplication对象", description = "假期留宿申请表")
public class DmsHolidayStayApplication implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("学生学号")
    @TableField("stu_no")
    private String stuNo;

    @ApiModelProperty("宿舍ID")
    @TableField("dorm_id")
    private Long dormId;

    @ApiModelProperty("床位ID")
    @TableField("bed_id")
    private Long bedId;

    @ApiModelProperty("留宿开始时间")
    @TableField("start_date")
    private Date startDate;

    @ApiModelProperty("留宿结束时间")
    @TableField("end_date")
    private Date endDate;

    @ApiModelProperty("申请理由")
    @TableField("reason")
    private String reason;

    @ApiModelProperty("创建时间")
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @ApiModelProperty("创建人")
    @TableField("create_by")
    private String createBy;

    @ApiModelProperty("更新时间")
    @TableField(value = "update_time",fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;

    @ApiModelProperty("更新人")
    @TableField("update_by")
    private String updateBy;

    @ApiModelProperty("审核状态 (0未审核 1 通过 -1 拒绝)")
    @TableField("status")
    private Integer status;

    @ApiModelProperty("删除标志（0代表存在 2代表删除）")
    @TableField("del_flag")
    private String delFlag;


}
