package com.srs.dormitory.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * <p>
 * 专业宿舍中间关联表
 * </p>
 *
 * @author 猪油骨
 * @since 2023-08-01
 */
@Data
@TableName("dms_major_dormitory")
@ApiModel(value = "DmsMajorDormitory对象", description = "专业宿舍中间关联表")
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DmsMajorDormitory implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("专业ID")
    @TableField("major_id")
    private Long majorId;

    @ApiModelProperty("宿舍ID")
    @TableField("dormitory_id")
    private Long dormitoryId;


}




