package com.srs.dormitory.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 住宿区间对象 dms_new_range
 *
 * @author srs
 * @date 2024-03-15
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "DmsNewRange对象" , description = "住宿区间")
@TableName("dms_new_range")
public class DmsNewRange extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * #
     */
    @ApiModelProperty("#")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 区间名称
     */
    @ApiModelProperty("区间名称")
    @TableField("range_name")
    @Excel(name = "区间名称")
    private String rangeName;

    /**
     * 开始日期
     */
    @ApiModelProperty("开始日期")
    @TableField("start_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始日期" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date startDate;

    /**
     * 结束日期
     */
    @ApiModelProperty("结束日期")
    @TableField("end_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束日期" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date endDate;

    /**
     * 区间状态
     */
    @ApiModelProperty("区间状态")
    @TableField("range_status")
    @Excel(name = "区间状态")
    private String rangeStatus;

    /**
     * 学年代码
     */
    @ApiModelProperty("学年代码")
    @TableField("xndm")
    @Excel(name = "学年代码")
    private String xndm;

    /**
     * 区间代码
     */
    @ApiModelProperty("区间代码")
    @TableField("range_code")
    @Excel(name = "区间代码")
    private String rangeCode;


        }
