package com.srs.dormitory.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 宿舍操作日志记录
 * </p>
 *
 * @author szz
 * @since 2023年07月27日
 */
@Data
@TableName("dms_oper_log")
@ApiModel(value = "DmsOperLog对象", description = "宿舍操作日志记录")
public class DmsOperLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("日志主键")
    @TableId(value = "oper_id", type = IdType.AUTO)
    private Long operId;

    @ApiModelProperty("模块标题")
    @TableField("title")
    private String title;

    @ApiModelProperty("操作概述")
    @TableField("content")
    private String content;

    @ApiModelProperty("方法名称")
    @TableField("method")
    private String method;

    @ApiModelProperty("请求方式")
    @TableField("request_method")
    private String requestMethod;

    @ApiModelProperty("操作人员")
    @TableField("oper_name")
    private String operName;

    @ApiModelProperty("请求URL")
    @TableField("oper_url")
    private String operUrl;

    @ApiModelProperty("主机地址")
    @TableField("oper_ip")
    private String operIp;

    @ApiModelProperty("操作地点")
    @TableField("oper_location")
    private String operLocation;

    @ApiModelProperty("请求参数")
    @TableField("oper_param")
    private String operParam;

    @ApiModelProperty("返回参数")
    @TableField("json_result")
    private String jsonResult;

    @ApiModelProperty("操作状态（0正常 1异常）")
    @TableField("status")
    private Integer status;

    @ApiModelProperty("错误消息")
    @TableField("error_msg")
    private String errorMsg;

    @ApiModelProperty("操作时间")
    @TableField("oper_time")
    private LocalDateTime operTime;


}
