package com.srs.dormitory.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 维修状态追踪表
 * </p>
 *
 * @author 猪油骨
 * @since 2023-08-04
 */
@Data
@TableName("dms_repair_status")
@ApiModel(value = "DmsRepairStatus对象", description = "维修状态追踪表")
public class DmsRepairStatus implements Serializable {

    private static final long serialVersionUID = 1L;
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    @ApiModelProperty("关联维修记录表")
    @TableField("repair_record_id")
    private Long repairRecordId;

    @TableField("status")
    private String status;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private LocalDateTime createTime;


}




