package com.srs.dormitory.domain;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 学期对象 dms_semester
 *
 * @author srs
 * @date 2023-11-09
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "DmsSemester对象" , description = "学期表")
@TableName("dms_semester")
public class DmsSemester implements Serializable {
private static final long serialVersionUID=1L;

    /**
     * 主键ID
     */
    @ApiModelProperty("主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 学期名称
     */
    @ApiModelProperty("学期名称")
    @TableField("name")
    @Excel(name = "学期名称")
    private String name;

    /**
     * 所属学年
     */
    @ApiModelProperty("所属学年")
    @TableField("year")
    @Excel(name = "所属学年")
    private Long year;

    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    @TableField("start_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    @TableField("end_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 该学期持续月份数
     */
    @ApiModelProperty("该学期持续月份数")
    @TableField("total_months")
    @Excel(name = "该学期持续月份数")
    private Long totalMonths;

    /**
     * 学期类型(1上学期，2下学期)
     */
    @ApiModelProperty("学期类型(1上学期，2下学期)")
    @TableField("semester_type")
    @Excel(name = "学期类型(1上学期，2下学期)")
    private Long semesterType;

    /**
     * 是否为当前学期(0不是当前学期
     */
    @ApiModelProperty("是否为当前学期(0不是当前学期")
    @TableField("is_current_semester")
    @Excel(name = "是否为当前学期(0不是当前学期")
    private Integer isCurrentSemester;

        }
