package com.srs.dormitory.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;



/**
 * 学生宿舍打卡对象 dms_stu_daily
 *
 * @author srs
 * @date 2024-12-21
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "DmsStuDaily对象" , description = "学生宿舍打卡")
@TableName("dms_stu_daily")
public class DmsStuDaily{

    /**
     * #
     */
    @ApiModelProperty("#")
    @TableId(value = "id", type = IdType.AUTO)
    public Long id;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    public String stuNo;

    /**
     * 宿舍id
     */
    @ApiModelProperty("宿舍id")
    @TableField("dormitory_id")
    @Excel(name = "宿舍id")
    public Long dormitoryId;

    /**
     * 提交时间
     */
    @ApiModelProperty("提交时间")
    @TableField("submit_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "提交时间" , width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    public Date submitTime;

    @TableField("remark")
    public String remark;

    /**
     * 打卡照片
     */
    @ApiModelProperty("打卡照片")
    @TableField("photo")
    @Excel(name = "打卡照片")
    public String photo;

    @TableField(exist = false)
    private String stuName;

    @TableField(exist = false)
    private String deptName;


    @TableField(exist = false)
    private String majorName;

    @TableField(exist = false)
    private String className;

    @TableField(exist = false)
    private String parkName;

    @TableField(exist = false)
    private String buildingName;

    @TableField(exist = false)
    private String roomNo;

    @TableField(exist = false)
    private Long campusId;

    @TableField(exist = false)
    private Long parkId;

    @TableField(exist = false)
    private Long buildingId;

    @TableField(exist = false)
    private Long floorId;

    @TableField(exist = false)
    private Long deptId;

    @TableField(exist = false)
    private Long majorId;

    @TableField(exist = false)
    private Long classId;

    @TableField(exist = false)
    private Long gradeId;

    @TableField(exist = false)
    private String teacherName;

    @TableField(exist = false)
    private String idCard;

}
