package com.srs.dormitory.domain.Dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.math.BigDecimal;
@Data
public class AddBuildingDto {
    @NotEmpty(message = "请输入宿舍楼名称")
    private String name;

    @NotNull(message = "请输入所属园区ID")
    private Long parkId;

    @NotEmpty(message = "请输入负责人姓名")
    private String manager;

//    @Pattern(regexp = "\\d+", message = "负责人电话只能输入纯数字")
@NotEmpty(message = "请输入负责人电话")
private String managerPhone;

    @NotEmpty(message = "请上传图片")
    private String image;

    @NotNull(message = "请输入楼层数")
    @Min(value = 1, message = "楼层数不能小于1")
    private Long floorNumber;

//    @Pattern(regexp = "男|女", message = "请填写正确的性别")
//    @NotEmpty(message = "请输入入住性别")
//    private String gender;

}
