package com.srs.dormitory.domain.Dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.time.LocalDateTime;

@Data
public class AuditDto {
    @NotNull(message = "id 不能为空")
    private Long id;

    @Pattern(regexp = "^(1|-3)$", message = "status 只能填1或-3")
    private String status;

    private String techName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime assignTime;
}
