package com.srs.dormitory.domain.Dto;
import lombok.Data;

import javax.validation.constraints.*;
import java.util.List;
@Data
public class UpdateApprovalProcessDto {
    @NotNull(message = "请输入审核流程ID")
    private List<Long> ids;
    @NotNull(message = "请输入是否同意审核")
    @Digits(integer = 1, fraction = 0, message = "status只能输入1或-1")
    private Integer status;
    @NotNull(message = "请输入申请表类型")
    // 1退宿申请 2调宿申请 3延迟退宿申请 4假期留宿申请表 5外宿申请表 6外来人员住宿申请表
    @Min(value = 1, message = "只能输入1~6的整数")
    @Max(value = 6, message = "只能输入1~6的整数")
    private Integer type;
    private String comment;
}