package com.srs.dormitory.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.srs.common.utils.LocalDateTimeDeserializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * <p>
 * 宿舍学生关联表
 * </p>
 *
 * @author 猪油骨
 * @since 2023-07-14
 */
@Data
@TableName("srs_dormitory_student")
@ApiModel(value = "SrsDormitoryStudent对象", description = "宿舍学生关联表")
public class SrsDormitoryStudent implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("宿舍ID")
    @TableField("dormitory_id")
    private Long dormitoryId;

    @ApiModelProperty("床位ID")
    @TableField("bed_id")
    private Long bedId;

    @ApiModelProperty("学生学号")
    @TableField("stu_no")
    private String stuNo;

    @ApiModelProperty("是否为宿舍长(0否 1是)")
    @TableField("is_dormitory_head")
    private Integer isDormitoryHead;

    @ApiModelProperty("状态(0未缴费 1已缴费)")
    @TableField("status")
    private Integer status;

    @ApiModelProperty("入住时间")
    @TableField("checkin_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime checkinTime;

    @ApiModelProperty("入住状态")
    @TableField("in_status")
    public String inStatus;

    @ApiModelProperty("是否在校住宿")
    @TableField("isInStudentsleep")
    public String isInStudentsleep;

}




