package com.srs.dormitory.mapper;

import com.srs.dormitory.domain.DmsDelayApplication;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.dormitory.domain.Dto.ApplicationListDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 延迟退宿申请表 Mapper 接口
 * </p>
 *
 * @author szz
 * @since 2023年08月01日
 */
@Mapper
public interface DmsDelayApplicationMapper extends BaseMapper<DmsDelayApplication> {

    /**
     * 查看延迟退宿申请表列表
     * @param params 请求参数
     * @return
     */
    List<Map<String, Object>> getDelayApplicationList(ApplicationListDto params);

    /**
     * 查看延迟退宿申请表详情
     * @param id 延迟退宿申请表Id
     * @return
     */
    Map<String, Object> getDelayApplicationInfo(@Param("id") Long id);

    /**
     * 辅导员查看审核列表
     * @param status
     * @return
     */
    List<Map<String, Object>> getMyApply(@Param("status") String status);
}
