package com.srs.dormitory.mapper;

import com.srs.dormitory.domain.DmsDormitoryFloor;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.dormitory.domain.Vo.DomInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 楼层表 Mapper 接口
 * </p>
 *
 * @author 猪油骨
 * @since 2023-07-14
 */
public interface DmsDormitoryFloorMapper extends BaseMapper<DmsDormitoryFloor> {
    /**
     * 查询楼层的总居住人数
     * @param id 楼层id
     * @return
     */
    Integer selectTotalOccupancy(@Param("id") Long id);

    /**
     * 查询该楼层每一个单元的居住人数
     * @param id 楼层ID
     * @return
     */
    List<Map<String,Object>> selectUnitTotalOccupancy(@Param("id") Long id);

    /**
     * 查询楼层详细信息
     * @param id 楼层id
     * @return
     */
    Map<String,Object> selectFloorById(@Param("id") Long id);

    /**
     * 查看楼层列表
     * @param buildingId 宿舍楼id
     * @return
     */
    List<Map<String, Object>> getDormitoryFloorList(@Param("buildingId") Long buildingId);

    List<DomInfo> viewFloorInfo();
}
