package com.srs.dormitory.mapper;

import com.srs.dormitory.domain.DmsForeignApplication;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.dormitory.domain.Dto.ForeignApplicationListDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 外来人员住宿申请表 Mapper 接口
 * </p>
 *
 * @author szz
 * @since 2023年08月04日
 */
@Mapper
public interface DmsForeignApplicationMapper extends BaseMapper<DmsForeignApplication> {

    /**
     * 外来人员住宿申请表详情
     * @param id 外来人员住宿申请表ID
     * @return
     */
    Map<String, Object> getForeignApplicationInfo(@Param("id") Long id);

    List<Map<String, Object>> getForeignApplicationList(ForeignApplicationListDto dto);
}
