package com.srs.dormitory.mapper;

import com.srs.dormitory.domain.DmsForeignDormitory;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 外来人员宿舍关联表 Mapper 接口
 * </p>
 *
 * @author szz
 * @since 2023年08月04日
 */
@Mapper
public interface DmsForeignDormitoryMapper extends BaseMapper<DmsForeignDormitory> {

    /**
     * 查询外来人员宿舍关联列表
     * @param buildingName 宿舍楼名称
     * @param applicationName 申请人姓名
     * @param contactName 校内联系人姓名
     * @return
     */
    List<Map<String, Object>> getForeignDormitoryList(@Param("buildingName") String buildingName, @Param("applicationName") String applicationName, @Param("contactName") String contactName);
}
