package com.srs.dormitory.mapper;

import com.srs.dormitory.domain.DmsHolidayStayApplication;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.dormitory.domain.Dto.ApplicationListDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 假期留宿申请表 Mapper 接口
 * </p>
 *
 * @author szz
 * @since 2023年07月31日
 */
@Mapper
public interface DmsHolidayStayApplicationMapper extends BaseMapper<DmsHolidayStayApplication> {

    /**
     * 查看假期留宿申请表详情
     * @param id
     * @return
     */
    Map<String, Object> getHolidayStayApplication(@Param("id") Long id);

    /**
     * 查看假期留宿申请表列表
     * @param dto
     * @return
     */
    List<Map<String, Object>> getList(ApplicationListDto dto);

    /**
     * 辅导员查看审核记录
     * @param status
     * @return
     */
    List<Map<String, Object>> getMyApply(@Param("status") String status);

    /**
     * 学务查看审核记录
     * @param status
     * @return
     */
    List<Map<String, Object>> workApply(@Param("status") String status);

    /**
     * 学校查看申请记录
     * @param status
     * @return
     */
    List<Map<String, Object>> finalApply(@Param("status") String status);
}
