package com.srs.dormitory.service;

import com.srs.common.core.domain.AjaxResult;
import com.srs.dormitory.domain.DmsDormitoryBuilding;
import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.dormitory.domain.Dto.AddBuildingDto;
import com.srs.dormitory.domain.Dto.BuildingDto;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 宿舍楼表 服务类
 * </p>
 *
 * @author 猪油骨
 * @since 2023-07-14
 */
public interface IDmsDormitoryBuildingService extends IService<DmsDormitoryBuilding> {

    /**
     * 添加宿舍楼
     * @param buildingDto 请求参数
     * @param username 操作人
     * @return
     */
    AjaxResult addDmsDormitoryBuilding(AddBuildingDto buildingDto, String username);

    /**
     * 查看宿舍楼列表
     *
     * @param buildingDto 请求参数
     * @return
     */
    List<Map<String, Object>> getDmsDormitoryBuildingList(BuildingDto buildingDto);

    /**
     * 修改宿舍楼信息
     * @param buildingDto 请求参数
     * @return
     */
    AjaxResult updateDmsDormitoryBuilding(BuildingDto buildingDto,String username);

    /**
     * 批量删除宿舍楼
     * @param ids 宿舍楼id列表
     * @return
     */
    AjaxResult batchDeleteDmsDormitoryBuilding(List<Long> ids);

    /**
     * 查看宿舍楼详细信息
     * @param id 宿舍楼id
     * @return
     */
    AjaxResult dmsDormitoryBuilding(Long id);

}
