package com.srs.dormitory.service;

import com.srs.common.core.domain.AjaxResult;
import com.srs.dormitory.domain.DmsDormitoryFloor;
import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.dormitory.domain.Dto.FloorDto;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 楼层表 服务类
 * </p>
 *
 * @author 猪油骨
 * @since 2023-07-14
 */
public interface IDmsDormitoryFloorService extends IService<DmsDormitoryFloor> {

    /**
     * 添加宿舍楼层
     * @param floorDto 请求参数
     * @param username 操作人
     * @return
     */
    AjaxResult addDmsDormitoryFloor(FloorDto floorDto, String username);

    /**
     * 修改宿舍楼层信息
     * @param floorDto 请求参数
     * @param username 操作人
     * @return
     */
    AjaxResult updateDmsDormitoryFloor(FloorDto floorDto, String username);

    /**
     * 批量删除宿舍楼层
     * @param ids 宿舍楼层id列表
     * @return
     */
    AjaxResult batchDeleteDmsDormitoryFloor(List<Long> ids);

    /**
     * 查看楼层详细信息
     * @param id 楼层id
     * @return
     */
    AjaxResult getDmsDormitoryFloorInfo(Long id);

    /**
     * 查看楼层列表
     * @param buildingId 宿舍楼id
     * @return
     */
    List<Map<String, Object>> getDormitoryFloorList(Long buildingId);
}
