package com.srs.dormitory.service;

import com.srs.common.core.domain.AjaxResult;
import com.srs.dormitory.domain.DmsDormitoryUnit;
import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.dormitory.domain.Dto.UnitDto;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 单元表 服务类
 * </p>
 *
 * @author 猪油骨
 * @since 2023-07-14
 */
public interface IDmsDormitoryUnitService extends IService<DmsDormitoryUnit> {

    /**
     * 添加单元
     * @param unitDto 请求参数
     * @param username 操作人
     * @return
     */
    AjaxResult addDmsDormitoryUnit(UnitDto unitDto, String username);

    /**
     * 查看单元列表
     * @param unitDto 请求参数
     * @return
     */
    List<Map<String,Object>> getDmsDormitoryUnitList(UnitDto unitDto);

    /**
     * 修改宿舍单元
     * @param unitDto 请求参数
     * @return
     */
    AjaxResult updateDmsDormitoryUnit(UnitDto unitDto,String username);

    /**
     * 批量删除单元
     * @param ids 单元id列表
     * @return
     */
    AjaxResult batchDeleteDmsDormitoryUnit(List<Long> ids);

    /**
     * 查看单元详情
     * @param id 单元id
     * @return
     */
    AjaxResult getDmsDormitoryUnitInfo(Long id);
}
