package com.srs.comprehensive.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;

import java.util.Date;


/**
 * 优秀毕业生对象 cph_biye_apply
 *
 * @author srs
 * @date 2024-01-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "CphBiyeApply对象" , description = "优秀毕业生")
@TableName("cph_biye_apply")
public class CphBiyeApply extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * #
     */
    @ApiModelProperty("#")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    private String stuNo;

    /**
     * 学年id
     */
    @ApiModelProperty("学年id")
    @TableField("stu_year_id")
    @Excel(name = "学年id")
    private Long stuYearId;

    /**
     * 第二课堂学分总分值认定
     */
    @ApiModelProperty("第二课堂学分总分值认定")
    @TableField("class_two")
    @Excel(name = "第二课堂学分总分值认定")
    private String classTwo;

    /**
     * 青年大学习学习率
     */
    @ApiModelProperty("青年大学习学习率")
    @TableField("youth_study")
    @Excel(name = "青年大学习学习率")
    private String youthStudy;

    /**
     * 政治面貌
     */
    @ApiModelProperty("政治面貌")
    @TableField("zzmm")
    @Excel(name = "政治面貌")
    private String zzmm;

    /**
     * 职务
     */
    @ApiModelProperty("职务")
    @TableField("class_post")
    @Excel(name = "职务")
    private String classPost;

    /**
     * 获奖情况
     */
    @ApiModelProperty("获奖情况")
    @TableField("good_his")
    @Excel(name = "获奖情况")
    private String goodHis;

    /**
     * 主要事迹
     */
    @ApiModelProperty("主要事迹")
    @TableField("main_his")
    @Excel(name = "主要事迹")
    private String mainHis;

    /**
     * 辅导员意见
     */
    @ApiModelProperty("辅导员意见")
    @TableField("fdy_cmt")
    @Excel(name = "辅导员意见")
    private String fdyCmt;

    @ApiModelProperty("辅导员工号")
    @TableField("fdy_no")
    @Excel(name = "辅导员工号")
    private String fdyNo;

    /**
     * 辅导员审核时间
     */
    @ApiModelProperty("辅导员审核时间")
    @TableField("fdy_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "辅导员审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date fdyTime;

    /**
     * 学务意见
     */
    @ApiModelProperty("学务意见")
    @TableField("xw_cmt")
    @Excel(name = "学务意见")
    private String xwCmt;

    @ApiModelProperty("学院工号")
    @TableField("xw_no")
    @Excel(name = "学院工号")
    private String xwNo;

    /**
     * 学院审核时间
     */
    @ApiModelProperty("学院审核时间")
    @TableField("xw_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "学院审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date xwTime;

    /**
     * 学工意见
     */
    @ApiModelProperty("学工意见")
    @TableField("jwc_cmt")
    @Excel(name = "学工意见")
    private String jwcCmt;


    @ApiModelProperty("学工工号")
    @TableField("xg_no")
    @Excel(name = "学工工号")
    private String xgNo;

    /**
     * 学工审核时间
     */
    @ApiModelProperty("学工审核时间")
    @TableField("xg_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "学工审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date xgTime;


    /**
     * 审核状态
     */
    @ApiModelProperty("审核状态")
    @TableField("apply_status")
    @Excel(name = "审核状态")
    private String applyStatus;


}
