package com.srs.comprehensive.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 学生干部关联对象 cph_carders_student
 *
 * @author srs
 * @date 2023-09-15
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "CphCardersStudent对象" , description = "学生干部关联表")
@TableName("cph_carders_student")
public class CphCardersStudent{
private static final long serialVersionUID=1L;

    /**
     * 主键ID
     */
    @ApiModelProperty("主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 干部职务ID
     */
    @ApiModelProperty("干部职务ID")
    @TableField("carder_id")
    @Excel(name = "干部职务ID")
    private Long carderId;

    /**
     * 学生学号
     */
    @ApiModelProperty("学生学号")
    @TableField("stu_no")
    @Excel(name = "学生学号")
    private String stuNo;


        }
