package com.srs.comprehensive.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;


/**
 * 家庭成员对象 cph_family_member
 *
 * @author srs
 * @date 2024-04-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "CphFamilyMember对象", description = "家庭成员")
@TableName("cph_family_member")
public class CphFamilyMember extends BaseEntity {
    private static final long serialVersionUID = 1L;


    @TableField("stu_no")
    public String stuNo;


    /**
     * #
     */
    @ApiModelProperty("#")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 成员名称
     */
    @ApiModelProperty("成员名称")
    @TableField("family_name")
    @Excel(name = "成员名称")
    private String familyName;

    /**
     * 与学生关系
     */
    @ApiModelProperty("与学生关系")
    @TableField("family_relation")
    @Excel(name = "与学生关系")
    private String familyRelation;

    /**
     * 工作单位
     */
    @ApiModelProperty("工作单位")
    @TableField("work_place")
    @Excel(name = "工作单位")
    private String workPlace;

    /**
     * 政治面貌
     */
    @ApiModelProperty("政治面貌")
    @TableField("zzmm")
    @Excel(name = "政治面貌")
    private String zzmm;

    /**
     * 出生日期
     */
    @ApiModelProperty("出生日期")
    @TableField("birthday")
    @Excel(name = "出生日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date birthday;

    /**
     * 职业
     */
    @ApiModelProperty("职业")
    @TableField("job")
    @Excel(name = "职业")
    private String job;

    /**
     * 年收入
     */
    @ApiModelProperty("年收入")
    @TableField("year_money")
    @Excel(name = "年收入")
    private BigDecimal yearMoney;

    /**
     * 健康状况
     */
    @ApiModelProperty("健康状况")
    @TableField("health")
    @Excel(name = "健康状况")
    private String health;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    @TableField("status")
    @Excel(name = "状态")
    private String status;

    /**
     * 删除标志（0代表存在
     */
    @ApiModelProperty("删除标志（0代表存在")
    @TableField("del_flag")
    private String delFlag;

    /**
     * 手机号码
     */
    @ApiModelProperty("手机号码")
    @TableField("phone")
    private String phone;

    /**
     * 年龄
     */
    @ApiModelProperty("年龄")
    @TableField("age")
    private String age;
}
