package com.srs.comprehensive.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.*;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;


/**
 * 评优申请对象 cph_good_apply
 *
 * @author srs
 * @date 2023-09-12
 */
@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "CphGoodApply对象" , description = "评优申请")
@TableName("cph_good_apply")
public class CphGoodApply extends BaseEntity {
private static final long serialVersionUID=1L;

    /**
     * 评优申请表id
     */
    @ApiModelProperty("评优申请表id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    private String stuNo;

    /**
     * 政治面貌
     */
    @ApiModelProperty("政治面貌")
    @TableField("zzmm")
    @Excel(name = "政治面貌")
    private String zzmm;

    /**
     * 出生年月
     */
    @ApiModelProperty("出生年月")
    @TableField("born_time")
    @Excel(name = "出生年月")
    private String bornTime;

    /**
     * 奖项类型代码
     */
    @ApiModelProperty("奖项类型代码")
    @TableField("type_code")
    @Excel(name = "奖项类型代码")
    private String typeCode;

    /**
     * 班级职务
     */
    @ApiModelProperty("班级职务")
    @TableField("class_post")
    @Excel(name = "班级职务")
    private String classPost;

    /**
     * 银行卡号
     */
    @ApiModelProperty("银行卡号")
    @TableField("bank_card")
    @Excel(name = "银行卡号")
    private String bankCard;

    /**
     * 开户行
     */
    @ApiModelProperty("开户行")
    @TableField("bank_addr")
    @Excel(name = "开户行")
    private String bankAddr;

    /**
     * 获奖情况
     */
    @ApiModelProperty("获奖情况")
    @TableField("good_his")
    @Excel(name = "获奖情况")
    private String goodHis;

    /**
     * 主要事迹
     */
    @ApiModelProperty("主要事迹")
    @TableField("main_his")
    @Excel(name = "主要事迹")
    private String mainHis;

    /**
     * 学年课程成绩
     */
    @ApiModelProperty("学年课程成绩")
    @TableField("course_score")
    @Excel(name = "学年课程成绩")
    private String courseScore;

    /**
     * 申请状态
     */
    @ApiModelProperty("申请状态")
    @TableField("apply_status")
    @Excel(name = "申请状态")
    private String applyStatus;

    /**
     * 申请时间
     */
    @ApiModelProperty("申请时间")
    @TableField("apply_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申请时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date applyTime;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    @TableField("status")
    @Excel(name = "状态")
    private String status;

    /**
     * 删除标记（0存在2删除）
     */
    @ApiModelProperty("删除标记（0存在2删除）")
    @TableField("del_flag")
    private String delFlag;

    @TableField("material")
    private String material;

    @TableField("classtwo_sure")
    private String classtwoSure;

    @TableField("youth_percent")
    private String youthPercent;
        }
