package com.srs.comprehensive.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;


/**
 * 静湖之星申请对象 cph_lake_apply
 *
 * @author srs
 * @date 2023-10-31
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "CphLakeApply对象", description = "静湖之星申请")
@TableName("cph_lake_apply")
public class CphLakeApply extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * #
     */
    @ApiModelProperty("#")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    private String stuNo;

    /**
     * 类别名称
     */
    @ApiModelProperty("类别名称")
    @TableField("type_code")
    @Excel(name = "类别名称")
    private String typeCode;

    /**
     * 学年id
     */
    @ApiModelProperty("学年id")
    @TableField("stu_year_id")
    @Excel(name = "学年id")
    private Long stuYearId;

    /**
     * 政治面貌
     */
    @ApiModelProperty("政治面貌")
    @TableField("zzmm")
    @Excel(name = "政治面貌")
    private String zzmm;

    /**
     * 班级职务
     */
    @ApiModelProperty("班级职务")
    @TableField("class_post")
    @Excel(name = "班级职务")
    private String classPost;

    /**
     * 银行卡号
     */
    @ApiModelProperty("银行卡号")
    @TableField("bank_card")
    @Excel(name = "银行卡号")
    private String bankCard;

    /**
     * 开户行
     */
    @ApiModelProperty("开户行")
    @TableField("bank_addr")
    @Excel(name = "开户行")
    private String bankAddr;

    /**
     * 获奖情况
     */
    @ApiModelProperty("获奖情况")
    @TableField("good_his")
    @Excel(name = "获奖情况")
    private String goodHis;

    /**
     * 主要事迹
     */
    @ApiModelProperty("主要事迹")
    @TableField("main_his")
    @Excel(name = "主要事迹")
    private String mainHis;

    /**
     * 第二课堂学分认定（优秀、良好、合格、不合格）
     */
    @ApiModelProperty("第二课堂学分认定（优秀、良好、合格、不合格）")
    @TableField("classtwo_sure")
    @Excel(name = "第二课堂学分认定", readConverterExp = "优=秀、良好、合格、不合格")
    private String classtwoSure;

    /**
     * 青年大学习学习率
     */
    @ApiModelProperty("青年大学习学习率")
    @TableField("youth_percent")
    @Excel(name = "青年大学习学习率")
    private String youthPercent;

    /**
     * 申请状态
     */
    @ApiModelProperty("申请状态")
    @TableField("apply_status")
    @Excel(name = "申请状态")
    private String applyStatus;

    /**
     * 申请时间
     */
    @ApiModelProperty("申请时间")
    @TableField("apply_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "申请时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date applyTime;

    /**
     * 辅导员审核意见
     */
    @ApiModelProperty("辅导员审核意见")
    @TableField("fdy_comment")
    @Excel(name = "辅导员审核意见")
    private String fdyComment;

    @ApiModelProperty("辅导员工号")
    @TableField("fdy_no")
    @Excel(name = "辅导员工号")
    private String fdyNo;

    /**
     * 辅导员审核时间
     */
    @ApiModelProperty("辅导员审核时间")
    @TableField("fdy_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "辅导员审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date fdyTime;


    /**
     * 学院审核意见
     */
    @ApiModelProperty("学院审核意见")
    @TableField("xw_comment")
    @Excel(name = "学院审核意见")
    private String xwComment;


    @ApiModelProperty("学院工号")
    @TableField("xw_no")
    @Excel(name = "学院工号")
    private String xwNo;

    /**
     * 学院审核时间
     */
    @ApiModelProperty("学院审核时间")
    @TableField("xw_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "学院审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date xwTime;

    /**
     * 学工审核意见
     */
    @ApiModelProperty("学工审核意见")
    @TableField("jwc_comment")
    @Excel(name = "学工审核意见")
    private String jwcComment;

    @ApiModelProperty("学工工号")
    @TableField("xg_no")
    @Excel(name = "学工工号")
    private String xgNo;

    /**
     * 学工审核时间
     */
    @ApiModelProperty("学工审核时间")
    @TableField("xg_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "学工审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date xgTime;


}
