package com.srs.comprehensive.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;


/**
 * 先进班集体对象 cph_new_good_class_apply
 *
 * @author srs
 * @date 2024-05-15
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "CphNewGoodClassApply对象", description = "先进班集体")
@TableName("cph_new_good_class_apply")
public class CphNewGoodClassApply {
    private static final long serialVersionUID = 1L;

    /**
     * #
     */
    @ApiModelProperty("#")
    @TableId(value = "id", type = IdType.AUTO)
    public Long id;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    public String stuNo;

    /**
     * 班级id
     */
    @ApiModelProperty("班级id")
    @TableField("class_id")
    @Excel(name = "班级id")
    public Long classId;



    /**
     * 班级代码
     */
    @ApiModelProperty("班级代码")
    @TableField("class_code")
    @Excel(name = "班级代码")
    public String classCode;

    /**
     * 学年id
     */
    @ApiModelProperty("学年id")
    @TableField("stu_year_id")
    @Excel(name = "学年id")
    public Long stuYearId;

    /**
     * 身份证号
     */
    @ApiModelProperty("身份证号")
    @TableField("id_card")
    @Excel(name = "身份证号")
    public String idCard;

    /**
     * 银行卡号
     */
    @ApiModelProperty("银行卡号")
    @TableField("bank_card")
    @Excel(name = "银行卡号")
    public String bankCard;

    /**
     * 开户行
     */
    @ApiModelProperty("开户行")
    @TableField("bank_addr")
    @Excel(name = "开户行")
    public String bankAddr;

    /**
     * 审核状态
     */
    @ApiModelProperty("审核状态")
    @TableField("apply_status")
    @Excel(name = "审核状态")
    public String applyStatus;

    /**
     * 辅导员意见
     */
    @ApiModelProperty("辅导员意见")
    @TableField("fdy_cmt")
    @Excel(name = "辅导员意见")
    public String fdyCmt;

    /**
     * 学务意见
     */
    @ApiModelProperty("学务意见")
    @TableField("xw_cmt")
    @Excel(name = "学务意见")
    public String xwCmt;

    /**
     * 学工处意见
     */
    @ApiModelProperty("学工处意见")
    @TableField("jwc_cmt")
    @Excel(name = "学工处意见")
    public String jwcCmt;

    /**
     * 所获奖励
     */
    @ApiModelProperty("所获奖励")
    @TableField("good_his")
    @Excel(name = "所获奖励")
    public String goodHis;

    /**
     * 主要事迹
     */
    @ApiModelProperty("主要事迹")
    @TableField("main_his")
    @Excel(name = "主要事迹")
    public String mainHis;

    /**
     * 辅导员姓名
     */
    @ApiModelProperty("辅导员姓名")
    @TableField("fdy_name")
    @Excel(name = "辅导员姓名")
    public String fdyName;

    /**
     * 班主任姓名
     */
    @ApiModelProperty("班主任姓名")
    @TableField("bzr_name")
    @Excel(name = "班主任姓名")
    public String bzrName;

    /**
     * 辅导员工号
     */
    @ApiModelProperty("辅导员工号")
    @TableField("fdy_no")
    @Excel(name = "辅导员工号")
    public String fdyNo;

    /**
     * 班主任工号
     */
    @ApiModelProperty("班主任工号")
    @TableField("bzr_no")
    @Excel(name = "班主任工号")
    public String bzrNo;

    /**
     * 提交时间
     */
    @ApiModelProperty("提交时间")
    @TableField("apply_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "提交时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    public Date applyTime;

    /**
     * 学生人数
     */
    @ApiModelProperty("学生人数")
    @TableField("class_count")
    @Excel(name = "学生人数")
    public Long classCount;


    @TableField(exist = false)
    public String stuName;

    @TableField(exist = false)
    public String className;

    /**
     * 班级代码
     */
    @TableField(exist = false)
    public String majorTypeName;

    @TableField(exist = false)
    public String majorName;

    @TableField(exist = false)
    public String deptName;

    @TableField(exist = false)
    public String stuYearName;

    @TableField(exist = false)
    public Long deptId;

    @TableField(exist = false)
    public Long majorId;


    @TableField("fdy_audit_no")
    public String fdyAuditNo;

    @ApiModelProperty("辅导员审核时间")
    @TableField("fdy_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "辅导员审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date fdyTime;

    @TableField("xw_audit_no")
    public String xwAuditNo;

    @ApiModelProperty("学院审核时间")
    @TableField("xw_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "学院审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date xwTime;

    @TableField("jwc_audit_no")
    public String jwcAuditNo;

    @ApiModelProperty("学工审核时间")
    @TableField("xg_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "学工审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date xgTime;


    @TableField("is_send_money")
    public String isSendMoney;

    @TableField("send_money_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    public Date sendMoneyTime;

    @TableField("remark")
    public String remark;

    @ApiModelProperty("证明材料")
    @TableField("testimony_materials")
    public String testimonyMaterials;

    @TableField(exist = false)
    public String fdyNoName;
    @TableField(exist = false)
    public String xwNoName;
    @TableField(exist = false)
    public String xgNoName;



}
