package com.srs.comprehensive.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

/**
 * 学期对象 cph_term
 * 
 * @author srs
 * @date 2023-08-22
 */
@Data
public class CphTerm extends BaseEntity
{
    /**
     * 学期
     */
    @ApiModelProperty("学期")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 学期名称
     */
    @ApiModelProperty("学期名称")
    @TableField("term_name")
    @Excel(name = "学期名称")
    private String termName;

    /**
     * 学期代码
     */
    @ApiModelProperty("学期代码")
    @TableField("term_code")
    @Excel(name = "学期代码")
    private String termCode;

    /**
     * 学年id
     */
    @ApiModelProperty("学年id")
    @TableField("stu_year_id")
    @Excel(name = "学年id")
    private Long stuYearId;



}
