package com.srs.comprehensive.domain;

import java.math.BigDecimal;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;


/**
 * 总分记录表对象 cph_total_score
 *
 * @author srs
 * @date 2024-01-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "CphTotalScore对象", description = "总分记录表")
@TableName("cph_total_score")
public class CphTotalScore extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * #
     */
    @ApiModelProperty("#")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    private String stuNo;

    /**
     * 班级代码
     */
    @ApiModelProperty("班级代码")
    @TableField("class_code")
    @Excel(name = "班级代码")
    private String classCode;

    /**
     * 学年id
     */
    @ApiModelProperty("学年id")
    @TableField("stu_year_id")
    @Excel(name = "学年id")
    private Long stuYearId;

    /**
     * 体能测试成绩
     */
    @ApiModelProperty("体能测试成绩")
    @TableField("sport_score")
    @Excel(name = "体能测试成绩")
    private BigDecimal sportScore;

    /**
     * 综合评价成绩
     */
    @ApiModelProperty("综合评价成绩")
    @TableField("ce_score")
    @Excel(name = "综合评价成绩")
    private BigDecimal ceScore;

    /**
     * 思想品德成绩
     */
    @ApiModelProperty("思想品德成绩")
    @TableField("iam_score")
    @Excel(name = "思想品德成绩")
    private BigDecimal iamScore;

    /**
     * 第二课堂成绩
     */
    @ApiModelProperty("第二课堂成绩")
    @TableField("classtwo_score")
    @Excel(name = "第二课堂成绩")
    private BigDecimal classtwoScore;

    /**
     * 学分绩成绩(科学文化素质)
     */
    @ApiModelProperty("学分绩成绩(科学文化素质)")
    @TableField("stu_score")
    @Excel(name = "学分绩成绩(科学文化素质)")
    private BigDecimal stuScore;

    /**
     * 最终总分数
     */
    @ApiModelProperty("最终总分数")
    @TableField("cph_score")
    @Excel(name = "最终总分数")
    private BigDecimal cphScore;

    /**
     * 专业排名
     */
    @ApiModelProperty("专业排名")
    @TableField("major_rank")
    @Excel(name = "专业排名")
    private Long majorRank;

    /**
     * 班级排名
     */
    @ApiModelProperty("班级排名")
    @TableField("class_rank")
    @Excel(name = "班级排名")
    private Long classRank;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    @TableField("status")
    @Excel(name = "状态")
    private String status;

    /**
     * 删除标志（0代表存在
     */
    @ApiModelProperty("删除标志（0代表存在")
    @TableField("del_flag")
    private String delFlag;

    /**
     * 专业IID
     */
    @ApiModelProperty("专业IID")
    @TableField("major_id")
    @Excel(name = "专业IID")
    private Long majorId;

    /**
     * 班级id
     */
    @ApiModelProperty("班级id")
    @TableField("class_id")
    @Excel(name = "班级id")
    private Long classId;


}
