package com.srs.comprehensive.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 学生突发困难资助申请对象 knzz_tufa_apply
 *
 * @author zhy
 * @date 2025-04-09
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "KnzzTufaApply对象" , description = "学生突发困难资助申请")
@TableName("knzz_tufa_apply")
public class KnzzTufaApply extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * #
     */
    @ApiModelProperty("#")
    @TableId(value = "id", type = IdType.AUTO)
    public Long id;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    public String stuNo;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    @TableField("stu_name")
    @Excel(name = "姓名")
    public String stuName;

    /**
     * 性别
     */
    @ApiModelProperty("性别")
    @TableField("gender")
    @Excel(name = "性别")
    public String gender;

    /**
     * 民族
     */
    @ApiModelProperty("民族")
    @TableField("mz")
    @Excel(name = "民族")
    public String mz;

    /**
     * 班级
     */
    @ApiModelProperty("班级")
    @TableField("class_name")
    @Excel(name = "班级")
    public String className;

    /**
     * 联系电话
     */
    @ApiModelProperty("联系电话")
    @TableField("stu_phone")
    @Excel(name = "联系电话")
    public String stuPhone;

    /**
     * 身份证号
     */
    @ApiModelProperty("身份证号")
    @TableField("sfzh")
    @Excel(name = "身份证号")
    public String sfzh;

    /**
     * 曾获资助/奖励
     */
    @ApiModelProperty("曾获资助/奖励")
    @TableField("help_his")
    @Excel(name = "曾获资助/奖励")
    public String helpHis;

    /**
     * 农行卡号
     */
    @ApiModelProperty("农行卡号")
    @TableField("bank_card")
    @Excel(name = "农行卡号")
    public String bankCard;

    /**
     * 家庭户口
     */
    @ApiModelProperty("家庭户口")
    @TableField("jthk")
    @Excel(name = "家庭户口")
    public String jthk;

    /**
     * 贫困程度
     */
    @ApiModelProperty("贫困程度")
    @TableField("hard_condition")
    @Excel(name = "贫困程度")
    public String hardCondition;

    /**
     * 家庭年总收入
     */
    @ApiModelProperty("家庭年总收入")
    @TableField("year_money")
    @Excel(name = "家庭年总收入")
    public String yearMoney;

    /**
     * 人均月收入
     */
    @ApiModelProperty("人均月收入")
    @TableField("month_money")
    @Excel(name = "人均月收入")
    public String monthMoney;

    /**
     * 收入来源
     */
    @ApiModelProperty("收入来源")
    @TableField("money_source")
    @Excel(name = "收入来源")
    public String moneySource;

    /**
     * 家庭详细住址
     */
    @ApiModelProperty("家庭详细住址")
    @TableField("family_addr")
    @Excel(name = "家庭详细住址")
    public String familyAddr;

    /**
     * 邮政编码
     */
    @ApiModelProperty("邮政编码")
    @TableField("post_code")
    @Excel(name = "邮政编码")
    public String postCode;

    /**
     * 家庭成员情况
     */
    @ApiModelProperty("家庭成员情况")
    @TableField("family_member_list")
    @Excel(name = "家庭成员情况")
    public String familyMemberList;

    /**
     * 申请理由
     */
    @ApiModelProperty("申请理由")
    @TableField("apply_reason")
    @Excel(name = "申请理由")
    public String applyReason;

    /**
     * 申请人签名
     */
    @ApiModelProperty("申请人签名")
    @TableField("apply_sign")
    @Excel(name = "申请人签名")
    public String applySign;

    /**
     * 申请日期
     */
    @ApiModelProperty("申请日期")
    @TableField("apply_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申请日期" , width = 30, dateFormat = "yyyy-MM-dd")
    public Date applyDate;

    /**
     * 困难作证材料
     */
    @ApiModelProperty("困难作证材料")
    @TableField("hard_file")
    @Excel(name = "困难作证材料")
    public String hardFile;

    /**
     * 审核状态
     */
    @ApiModelProperty("审核状态")
    @TableField("apply_status")
    @Excel(name = "审核状态")
    public String applyStatus;

    /**
     * 辅导员意见
     */
    @ApiModelProperty("辅导员意见")
    @TableField("fdy_cmt")
    @Excel(name = "辅导员意见")
    public String fdyCmt;

    /**
     * 辅导员签名
     */
    @ApiModelProperty("辅导员签名")
    @TableField("fdy_sign")
    @Excel(name = "辅导员签名")
    public String fdySign;

    /**
     * 辅导员审核日期
     */
    @ApiModelProperty("辅导员审核日期")
    @TableField("fdy_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "辅导员审核日期" , width = 30, dateFormat = "yyyy-MM-dd")
    public Date fdyDate;

    /**
     * 辅导员工号
     */
    @ApiModelProperty("辅导员工号")
    @TableField("fdy_no")
    @Excel(name = "辅导员工号")
    public String fdyNo;

    /**
     * 二级学院审核意见
     */
    @ApiModelProperty("二级学院审核意见")
    @TableField("dept_cmt")
    @Excel(name = "二级学院审核意见")
    public String deptCmt;

    /**
     * 二级学院签名（公章）
     */
    @ApiModelProperty("二级学院签名（公章）")
    @TableField("dept_sign")
    @Excel(name = "二级学院签名" , readConverterExp = "公=章")
    public String deptSign;

    /**
     * 二级学院审核日期
     */
    @ApiModelProperty("二级学院审核日期")
    @TableField("dept_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "二级学院审核日期" , width = 30, dateFormat = "yyyy-MM-dd")
    public Date deptDate;

    /**
     * 二级学院审核工号
     */
    @ApiModelProperty("二级学院审核工号")
    @TableField("dept_no")
    @Excel(name = "二级学院审核工号")
    public String deptNo;

    /**
     * 学工意见
     */
    @ApiModelProperty("学工意见")
    @TableField("xg_cmt")
    @Excel(name = "学工意见")
    public String xgCmt;

    /**
     * 学工签名
     */
    @ApiModelProperty("学工签名")
    @TableField("xg_sign")
    @Excel(name = "学工签名")
    public String xgSign;

    /**
     * 学工审核日期
     */
    @ApiModelProperty("学工审核日期")
    @TableField("xg_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "学工审核日期" , width = 30, dateFormat = "yyyy-MM-dd")
    public Date xgDate;

    /**
     * 学工审核工号
     */
    @ApiModelProperty("学工审核工号")
    @TableField("xg_no")
    @Excel(name = "学工审核工号")
    public String xgNo;

    /**
     * 校领导意见
     */
    @ApiModelProperty("校领导意见")
    @TableField("leader_cmt")
    @Excel(name = "校领导意见")
    public String leaderCmt;

    /**
     * 校领导
     */
    @ApiModelProperty("校领导")
    @TableField("leader_sign")
    @Excel(name = "校领导")
    public String leaderSign;

    /**
     * 校领导审核日期
     */
    @ApiModelProperty("校领导审核日期")
    @TableField("leader_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "校领导审核日期" , width = 30, dateFormat = "yyyy-MM-dd")
    public Date leaderDate;

    /**
     * 校领导审核工号
     */
    @ApiModelProperty("校领导审核工号")
    @TableField("leader_no")
    @Excel(name = "校领导审核工号")
    public String leaderNo;

    /**
     * 学年id
     */
    @ApiModelProperty("学年id")
    @TableField("stu_year_id")
    @Excel(name = "学年id")
    public Long stuYearId;

    @TableField(exist = false)
    public String stuYearName;

    @TableField(exist = false)
    public String deptName;

    @TableField(exist = false)
    public String fdyName;

    @TableField(exist = false)
    public String xwName;

    @TableField(exist = false)
    public String xgName;

    @TableField(exist = false)
    public String leaderName;

    @TableField(exist = false)
    public Long deptId;

}
