package com.srs.comprehensive.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 自治区人民政府奖学金对象 knzz_zzq_apply
 *
 * @author srs
 * @date 2025-05-12
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "KnzzZzqApply对象" , description = "自治区人民政府奖学金")
@TableName("knzz_zzq_apply")
public class KnzzZzqApply extends BaseEntity{
public static final long serialVersionUID=1L;

    /**
     * #
     */
    @ApiModelProperty("#")
    @TableId(value = "id", type = IdType.AUTO)
    public Long id;

    /**
     * 学年id
     */
    @ApiModelProperty("学年id")
    @TableField("stu_year_id")
    @Excel(name = "学年id")
    public Long stuYearId;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    public String stuNo;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    @TableField("stu_name")
    @Excel(name = "姓名")
    public String stuName;

    /**
     * 性别
     */
    @ApiModelProperty("性别")
    @TableField("gender")
    @Excel(name = "性别")
    public String gender;

    /**
     * 出生年月
     */
    @ApiModelProperty("出生年月")
    @TableField("birth_month")
    @Excel(name = "出生年月")
    public String birthMonth;

    /**
     * 民族
     */
    @ApiModelProperty("民族")
    @TableField("mz")
    @Excel(name = "民族")
    public String mz;

    /**
     * 政治面貌
     */
    @ApiModelProperty("政治面貌")
    @TableField("zzmm")
    @Excel(name = "政治面貌")
    public String zzmm;

    /**
     * 入学时间
     */
    @ApiModelProperty("入学时间")
    @TableField("in_time")
    @Excel(name = "入学时间")
    public String inTime;

    /**
     * 所在年级
     */
    @ApiModelProperty("所在年级")
    @TableField("grade_name")
    @Excel(name = "所在年级")
    public String gradeName;

    /**
     * 身份证号
     */
    @ApiModelProperty("身份证号")
    @TableField("id_card")
    @Excel(name = "身份证号")
    public String idCard;

    /**
     * 联系电话
     */
    @ApiModelProperty("联系电话")
    @TableField("stu_phone")
    @Excel(name = "联系电话")
    public String stuPhone;

    /**
     * 学院
     */
    @ApiModelProperty("学院")
    @TableField("dept_name")
    @Excel(name = "学院")
    public String deptName;

    /**
     * 专业
     */
    @ApiModelProperty("专业")
    @TableField("major_name")
    @Excel(name = "专业")
    public String majorName;

    /**
     * 班级
     */
    @ApiModelProperty("班级")
    @TableField("class_name")
    @Excel(name = "班级")
    public String className;

    /**
     * 照片
     */
    @ApiModelProperty("照片")
    @TableField("pic")
    @Excel(name = "照片")
    public String pic;

    /**
     * 曾获何种奖励
     */
    @ApiModelProperty("曾获何种奖励")
    @TableField("help_his")
    @Excel(name = "曾获何种奖励")
    public String helpHis;

    /**
     * 专业名次
     */
    @ApiModelProperty("专业名次")
    @TableField("major_rank")
    @Excel(name = "专业名次")
    public String majorRank;

    /**
     * 专业总人数
     */
    @ApiModelProperty("专业总人数")
    @TableField("major_num")
    @Excel(name = "专业总人数")
    public String majorNum;

    /**
     * 是否实行综合考评排名
     */
    @ApiModelProperty("是否实行综合考评排名")
    @TableField("is_cph")
    @Excel(name = "是否实行综合考评排名")
    public String isCph;

    /**
     * 必修课门数
     */
    @ApiModelProperty("必修课门数")
    @TableField("bxk")
    @Excel(name = "必修课门数")
    public String bxk;

    /**
     * 及格门数
     */
    @ApiModelProperty("及格门数")
    @TableField("jg")
    @Excel(name = "及格门数")
    public String jg;

    /**
     * 班级排名
     */
    @ApiModelProperty("班级排名")
    @TableField("class_rank")
    @Excel(name = "班级排名")
    public String classRank;

    /**
     * 班级总人数
     */
    @ApiModelProperty("班级总人数")
    @TableField("class_num")
    @Excel(name = "班级总人数")
    public String classNum;

    /**
     * 申请理由
     */
    @ApiModelProperty("申请理由")
    @TableField("apply_reason")
    @Excel(name = "申请理由")
    public String applyReason;

    /**
     * 申请人签名
     */
    @ApiModelProperty("申请人签名")
    @TableField("apply_sign")
    @Excel(name = "申请人签名")
    public String applySign;

    /**
     * 申请日期
     */
    @ApiModelProperty("申请日期")
    @TableField("apply_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申请日期" , width = 30, dateFormat = "yyyy-MM-dd")
    public Date applyDate;

    /**
     * 班级评议意见
     */
    @ApiModelProperty("班级评议意见")
    @TableField("fdy_cmt")
    @Excel(name = "班级评议意见")
    public String fdyCmt;

    /**
     * 辅导员签名
     */
    @ApiModelProperty("辅导员签名")
    @TableField("fdy_sign")
    @Excel(name = "辅导员签名")
    public String fdySign;

    /**
     * 辅导员审核日期
     */
    @ApiModelProperty("辅导员审核日期")
    @TableField("fdy_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "辅导员审核日期" , width = 30, dateFormat = "yyyy-MM-dd")
    public Date fdyDate;

    /**
     * 辅导员工号
     */
    @ApiModelProperty("辅导员工号")
    @TableField("fdy_no")
    @Excel(name = "辅导员工号")
    public String fdyNo;

    /**
     * 学院意见
     */
    @ApiModelProperty("学院意见")
    @TableField("xw_cmt")
    @Excel(name = "学院意见")
    public String xwCmt;

    /**
     * 学院签名
     */
    @ApiModelProperty("学院签名")
    @TableField("xw_sign")
    @Excel(name = "学院签名")
    public String xwSign;

    /**
     * 学院审核日期
     */
    @ApiModelProperty("学院审核日期")
    @TableField("xw_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "学院审核日期" , width = 30, dateFormat = "yyyy-MM-dd")
    public Date xwDate;

    /**
     * 学院工号
     */
    @ApiModelProperty("学院工号")
    @TableField("xw_no")
    @Excel(name = "学院工号")
    public String xwNo;

    /**
     * 学校审核意见
     */
    @ApiModelProperty("学校审核意见")
    @TableField("xg_cmt")
    @Excel(name = "学校审核意见")
    public String xgCmt;

    /**
     * 学工签名
     */
    @ApiModelProperty("学工签名")
    @TableField("xg_sign")
    @Excel(name = "学工签名")
    public String xgSign;

    /**
     * 学工审核日期
     */
    @ApiModelProperty("学工审核日期")
    @TableField("xg_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "学工审核日期" , width = 30, dateFormat = "yyyy-MM-dd")
    public Date xgDate;

    /**
     * 学工工号
     */
    @ApiModelProperty("学工工号")
    @TableField("xg_no")
    @Excel(name = "学工工号")
    public String xgNo;

    /**
     * 审核状态
     */
    @ApiModelProperty("审核状态")
    @TableField("apply_status")
    @Excel(name = "审核状态")
    public String applyStatus;

    /**
     * 申请材料
     */
    @ApiModelProperty("申请材料")
    @TableField("apply_file")
    @Excel(name = "申请材料")
    public String applyFile;


    @TableField(exist = false)
    public String stuYearName;


    @TableField(exist = false)
    public String fdyName;

    @TableField(exist = false)
    public String xwName;

    @TableField(exist = false)
    public String xgName;

    @TableField(exist = false)
    public Long deptId;

}
