package com.srs.comprehensive.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 【请填写功能名称】对象 t_answer
 *
 * @author srs
 * @date 2024-05-20
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "TAnswer对象" , description = "")
@TableName("t_answer")
public class QuestionnaireAnswer extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 问卷标题
     */
    @ApiModelProperty("问卷标题")
    @TableField("title")
    @Excel(name = "问卷标题")
    private String title;

    /**
     * 问卷题目（json格式）
     */
    @ApiModelProperty("问卷题目（json格式）")
    @TableField("questions")
    @Excel(name = "问卷题目" , readConverterExp = "j=son格式")
    private String questions;

    /**
     * 问卷拥有者id
     */
    @ApiModelProperty("问卷拥有者id")
    @TableField("user_id")
    @Excel(name = "问卷拥有者id")
    private String userId;

    /**
     * 问卷状态
     */
    @ApiModelProperty("问卷状态")
    @TableField("status")
    @Excel(name = "问卷状态")
    private Long status;

    /**
     *  文件id
     */
    @ApiModelProperty("问卷")
    @TableField("questionnaire_id")
    @Excel(name = "问卷状态")
    private Long questionnaireId;


    @ApiModelProperty("被调查对象id")
    @TableField("target_id")
    @Excel(name = "被调查对象id")
    private Long targetId;


    @ApiModelProperty("被调查对象名称")
    @TableField("target_name")
    @Excel(name = "被调查对象名称")
    private String targetName;

    @ApiModelProperty("问卷分数")
    @TableField("score")
    @Excel(name = "问卷分数")
    private Long score;


}
