package com.srs.comprehensive.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;


/**
 * 问卷调查对象 t_questionnaire
 *
 * @author srs
 * @date 2024-05-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_release")
public class QuestionnaireRelease extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 标题
     */
    @ApiModelProperty("标题")
    @TableField("title")
    @Excel(name = "标题")
    private String title;

    /**
     * 题目
     */
    @ApiModelProperty("题目")
    @TableField("questions")
    @Excel(name = "题目")
    private String questions;

    /**
     * 创建人Id
     */
    @ApiModelProperty("创建人Id")
    @TableField("create_id")
    @Excel(name = "创建人Id")
    private Long createId;

    /**
     * 更新人id
     */
    @ApiModelProperty("更新人id")
    @TableField("update_id")
    @Excel(name = "更新人id")
    private Long updateId;

    //保存并发布
    private String[] stuNos;

    private String startTime;
    private String endTime;
    private String status;
    private Long qId;
    private Long stuYearId;
    private String  stuYearName;
    private Long teacherId;//辅导员id
    private Long deptId;//部门
    private String teacherName;//辅导员名称
    private String userName;
    private String stuNo;//学号
    private Long completed;
}
