package com.srs.comprehensive.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

import java.math.BigDecimal;
import java.math.BigInteger;

/**
 * 【请填写功能名称】对象 srs_add_record
 * 
 * @author srs
 * @date 2023-06-20
 */
@Data
@TableName("srs_add_record")
public class SrsAddRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /**
     * 加分人
     */
    @Excel(name = "加分人学号")
    private String stuNo;

    /**
     * 申请人
     */
    @Excel(name = "申请人标志")
    private Long applicant;

    /**
     * 类别标示
     */
    @Excel(name = "规则类别标示")
    private Long ruleId;

    /**
     * 加分描述
     */
    @Excel(name = "加分描述")
    private String description;

    /**
     * 佐证材料
     */
    @Excel(name = "佐证材料")
    private String material;

    /**
     * 加分
     */
    @Excel(name = "加分")
    private BigDecimal recordScore;

    private int stuYearId;//学年id

    /**
     * 审核状态
     */
    @Excel(name = "审核状态")
    private String statusCode;

    /**
     * 状态（0正常，1禁用）
     */
    @Excel(name = "状态", readConverterExp = "0=正常，1禁用")
    private String status;

    private Long iamId;

    /**
     * 删除标记（0存在2删除）
     */
    private String delFlag;

//    public void setAddPointsPerson(Long addPointsPerson) {
//        this.addPointsPerson = addPointsPerson;
//    }

}


