package com.srs.comprehensive.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 【请填写功能名称】对象 srs_complaint
 *
 * @author srs
 * @date 2024-07-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SrsComplaint对象" , description = "")
@TableName("srs_complaint")
public class SrsComplaint extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 问题描述
     */
    @ApiModelProperty("问题描述")
    @TableField("desc")
    @Excel(name = "问题描述")
    private String desc;

    /**
     * 关键词
     */
    @ApiModelProperty("关键词")
    @TableField("key_words")
    @Excel(name = "关键词")
    private String keyWords;

    /**
     * 照片地址
     */
    @ApiModelProperty("照片地址")
    @TableField("photos")
    @Excel(name = "照片地址")
    private String photos;

    /**
     * 联系人
     */
    @ApiModelProperty("联系人")
    @TableField("contact")
    @Excel(name = "联系人")
    private String contact;

    /**
     * 联系电话
     */
    @ApiModelProperty("联系电话")
    @TableField("contact_number")
    @Excel(name = "联系电话")
    private String contactNumber;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    @TableField("status")
    @Excel(name = "状态")
    private String status;

    /**
     * 反馈
     */
    @ApiModelProperty("反馈")
    @TableField("feedback")
    @Excel(name = "反馈")
    private String feedback;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
    @TableField("create_id")
    @Excel(name = "创建人")
    private Long createId;

    /**
     * 更新人
     */
    @ApiModelProperty("更新人")
    @TableField("update_id")
    @Excel(name = "更新人")
    private Long updateId;
}
