package com.srs.comprehensive.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 教育经历
对象 srs_education_experience
 *
 * @author srs
 * @date 2024-04-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SrsEducationExperience对象" , description = "教育经历")
@TableName("srs_education_experience")
public class SrsEducationExperience extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * $column.columnComment
     */
    @ApiModelProperty("${column.columnComment}")
    @TableField("edu_id")
    private Long eduId;

    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    @TableField("start_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    @TableField("end_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 学校
     */
    @ApiModelProperty("学校")
    @TableField("school_name")
    @Excel(name = "学校")
    private String schoolName;

    /**
     * 学历
     */
    @ApiModelProperty("学历")
    @TableField("education")
    @Excel(name = "学历")
    private String education;

    /**
     * 证明人
     */
    @ApiModelProperty("证明人")
    @TableField("certifier")
    @Excel(name = "证明人")
    private String certifier;

    /**
     * 专业描述
     */
    @ApiModelProperty("专业描述")
    @TableField("discription")
    @Excel(name = "专业描述")
    private String discription;

    /**
     * 附件
     */
    @ApiModelProperty("附件")
    @TableField("attachment")
    @Excel(name = "附件")
    private String attachment;

    /**
     * 状态（0正常
     */
    @ApiModelProperty("状态（0正常")
    @TableField("status")
    @Excel(name = "状态" , readConverterExp = "状态（0正常")
    private String status;

    /**
     * 删除标志（0代表存在
     */
    @ApiModelProperty("删除标志（0代表存在")
    @TableField("del_flag")
    private String delFlag;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    private String stuNo;

    /**
     * 职务
     */
    @ApiModelProperty("职务")
    @TableField("post")
    @Excel(name = "职务")
    private String post;


        }
