package com.srs.comprehensive.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 学生评语信息对象 srs_graduate_student
 *
 * @author srs
 * @date 2025-07-10
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SrsGraduateStudent对象" , description = "毕业生信息")
@TableName("srs_graduate_student")
public class SrsGraduateStudent extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 主键id
     */
    @ApiModelProperty("主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 学生姓名
     */
    @ApiModelProperty("学生姓名")
    @TableField("student_name")
    @Excel(name = "学生姓名")
    private String studentName;

    /**
     * 学生学号
     */
    @ApiModelProperty("学生学号")
    @TableField("student_code")
    @Excel(name = "学生学号")
    private String studentCode;

    /**
     * 学院
     */
    @ApiModelProperty("学院")
    @TableField("student_college")
    @Excel(name = "学院")
    private String studentCollege;

    /**
     * 所属班级
     */
    @ApiModelProperty("所属班级")
    @TableField("student_class")
    @Excel(name = "所属班级")
    private String studentClass;

    /**
     * 辅导员评语
     */
//    @ApiModelProperty("辅导员评语")
//    @TableField("counselor_comments")
//    @Excel(name = "辅导员评语")
//    private String counselorComments;

    /**
     * 辅导员姓名
     */
//    @ApiModelProperty("辅导员姓名")
//    @TableField("counselor_name")
//    @Excel(name = "辅导员姓名")
//    private String counselorName;

    /**
     * 填写日期
     */
//    @ApiModelProperty("填写日期")
//    @TableField("fill_data")
//    @JsonFormat(pattern = "yyyy-MM-dd")
//    @Excel(name = "填写日期" , width = 30, dateFormat = "yyyy-MM-dd")
//    private Date fillData;

    /**
     * 学院意见
     */
//    @ApiModelProperty("学院意见")
//    @TableField("college_opinion")
//    @Excel(name = "学院意见")
//    private String collegeOpinion;

    /**
     * 学年
     */
    @ApiModelProperty("学年")
    @TableField("stu_year")
    private Long stuYear;

    /**
     * 毕业生id
     */
    @ApiModelProperty("毕业生id")
    @TableField("graduate_id")
    private Long graduateId;

    /**
     * 班级id
     */
    private Integer classId;

    /**
     * 一学年
     */
    private SrsRemarkData yearOne;

    /**
     * 二学年
     */
    private SrsRemarkData yearTwo;

    /**
     * 三学年
     */
    private SrsRemarkData yearThree;


}
