package com.srs.comprehensive.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 学生鉴定信息对象 srs_identifytable
 *
 * @author srs
 * @date 2025-07-10
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SrsIdentifytable对象" , description = "毕业生鉴定信息")
@TableName("srs_identifytable")
public class SrsIdentifytable extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 学生姓名
     */
    @ApiModelProperty("学生姓名")
    @TableField("student_name")
    @Excel(name = "学生姓名")
    private String studentName;

    /**
     * 学生学号
     */
    @ApiModelProperty("学生学号")
    @TableField("student_code")
    @Excel(name = "学生学号")
    private String studentCode;

    /**
     * 学院
     */
    @ApiModelProperty("学院")
    @TableField("student_college")
    @Excel(name = "学院")
    private String studentCollege;

    /**
     * 年级
     */
    @ApiModelProperty("年级")
    @TableField("student_grade")
    private String studentGrade;

    /**
     * 所属班级
     */
    @ApiModelProperty("所属班级")
    @TableField("student_class")
    @Excel(name = "所属班级")
    private String studentClass;

    /**
     * 性别
     */
    @ApiModelProperty("性别")
    @TableField("sex")
    private String sex;

    /**
     * 名族
     */
    @ApiModelProperty("名族")
    @TableField("nation")
    private String nation;

    /**
     * 出生日期
     */
    @ApiModelProperty("出生日期")
    @TableField("birth_data")
    private Date birthData;

    /**
     * 政治思想
     */
//    @ApiModelProperty("政治思想")
//    @TableField("politics")
//    private String politics;

    /**
     * 道德品质
     */
//    @ApiModelProperty("道德品质")
//    @TableField("moral_character")
//    private String moralCharacter;

    /**
     * 遵纪守法
     */
//    @ApiModelProperty("遵纪守法")
//    @TableField("observe_discipline")
//    private String observeDiscipline;

    /**
     * 学习态度
     */
//    @ApiModelProperty("学习态度")
//    @TableField("attitude")
//    private String attitude;

    /**
     * 考勤情况
     */
//    @ApiModelProperty("考勤情况")
//    @TableField("attendance_situation")
//    private String attendanceSituation;

    /**
     * 担任职务
     */
//    @ApiModelProperty("担任职务")
//    @TableField("position_held")
//    private String positionHeld;

    /**
     * 工作态度
     */
//    @ApiModelProperty("工作态度")
//    @TableField("working_attitude")
//    private String workingAttitude;

    /**
     * 工作能力
     */
//    @ApiModelProperty("工作能力")
//    @TableField("working_ability")
//    private String workingAbility;

    /**
     * 思想政治素质
     */
//    @ApiModelProperty("思想政治素质")
//    @TableField("ldeological_political")
//    private String ldeologicalPolitical;

    /**
     * 科学文化素质
     */
//    @ApiModelProperty("科学文化素质")
//    @TableField("scientific_quality")
//    private String scientificQuality;

    /**
     * 体能素质
     */
//    @ApiModelProperty("体能素质")
//    @TableField("physical_quality")
//    private String physicalQuality;

    /**
     * 总分
     */
//    @ApiModelProperty("总分")
//    @TableField("total_points")
//    private Double totalPoints;

    /**
     * 学年
     */
    @ApiModelProperty("学年")
    @TableField("stu_year")
    private Long stuYear;

    /**
     * 关连表Id
     */
    private Integer graduateId;

    /**
     * 班级id
     */
    private Integer classId;

    /**
     * 一学年
     */
    private AcademicYearInfo yearOne;

    /**
     * 二学年
     */
    private AcademicYearInfo yearTwo;

    /**
     * 三学年
     */
    private AcademicYearInfo yearThree;


}
