package com.srs.comprehensive.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;


/**
 * 困难类型对象 srs_knrd_type
 *
 * @author srs
 * @date 2024-06-05
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SrsKnrdType对象", description = "困难类型")
@TableName("srs_knrd_type")
public class SrsKnrdType {
    private static final long serialVersionUID = 1L;

    @TableField("stu_year_id")
    public Long stuYearId;

    @Excel(name = "学年")
    @TableField(exist = false)
    public String stuYearName;

    /**
     * #
     */
    @ApiModelProperty("#")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;


    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    private String stuNo;

    @TableField(exist = false)
    @Excel(name = "姓名")
    private String stuName;

    /**
     * 困难类型
     */
    @ApiModelProperty("困难标签")
    @TableField("knrd_type")
    @Excel(name = "困难标签")
    private String knrdType;


}
