package com.srs.comprehensive.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;

import java.util.Date;


/**
 * 【请填写功能名称】对象 srs_zxj_apply
 *
 * @author srs
 * @date 2024-03-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SrsZxjApply对象" , description = "")
@TableName("srs_zxj_apply")
public class SrsZxjApply extends BaseEntity{
private static final long serialVersionUID=1L;
    private Long[] ids;
    private String  status; //0 拒绝, 1通过 2 驳回
    private String remark; //备注
    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 1：提交，2：班级
     */
    @ApiModelProperty("1：提交，2：班级")
    @TableField("step")
//    @Excel(name = "1：提交，2：班级")
    private Long step;

    @ApiModelProperty("学年")
    @TableField("apply_year")
    @Excel(name = "学年")
    String applyYear;

    /**
     * 申请人姓名
     */
    @ApiModelProperty("申请人姓名")
    @TableField("xm")
    @Excel(name = "申请人姓名")
    private String xm;
    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("xh")
    @Excel(name = "学号")
    private String xh;

    /**
     * 性别
     */
    @ApiModelProperty("性别")
    @TableField("xb")
    @Excel(name = "性别")
    private String xb;
    /**
     * 入学时间
     */
    @ApiModelProperty("入学时间")
    @TableField("rxsj")
    @Excel(name = "入学时间",dateFormat="yyyy-MM-dd")
    private String rxsj;

    /**
     * 民族
     */
    @ApiModelProperty("民族")
    @TableField("mz")
    @Excel(name = "民族")
    private String mz;

    /**
     * 政治面貌
     */
    @ApiModelProperty("政治面貌")
    @TableField("zzmm")
    @Excel(name = "政治面貌")
    private String zzmm;
    /**
     * 出生年月
     */
    @ApiModelProperty("出生年月")
    @TableField("csny")
    @Excel(name = "出生年月")
    private String csny;




    /**
     * 电话
     */
    @ApiModelProperty("电话")
    @TableField("dh")
    @Excel(name = "电话")
    private String dh;
    @ApiModelProperty("身份证号码")
    @TableField("sfzhm")
    @Excel(name = "身份证号码")
    String sfzhm;
    /**
     * 学院
     */
    @ApiModelProperty("学院")
    @TableField("xy")
    @Excel(name = "学院")
    private String xy;

    /**
     * 学院
     */
    @ApiModelProperty("专业大类")
    @Excel(name = "专业大类")
    private String majorTypeName;

    /**
     * 年级
     */
    @ApiModelProperty("年级")
    @TableField("nj")
    @Excel(name = "年级")
    private String nj;
    /**
     * 班级
     */
    @ApiModelProperty("班级")
    @TableField("bj")
    @Excel(name = "班级")
    private String bj;

    /**
     * 专业
     */
    @ApiModelProperty("专业")
    @TableField("zy")
    @Excel(name = "专业")
    private String zy;

    @ApiModelProperty("邮编")
    @TableField("yb")
    @Excel(name = "邮编")
    String yb;
    /**
     * 资助历史
     */
    @ApiModelProperty("曾获何种资助")
    @TableField("zzls")
    @Excel(name = "曾获何种资助")
    private String zzls;

    @ApiModelProperty("参加过何种公益劳动（活动）")
    @TableField("gyhd")
    @Excel(name = "参加过何种公益劳动（活动）")
    String gyhd;
    /**
     * 困难等级
     */
    @ApiModelProperty("困难类型")
    @TableField("kndj")
    @Excel(name = "困难类型",readConverterExp = "1=特别困难,2=比较困难,3=一般困难")
    private String kndj;

    /**
     * 困难类型1
     */
    @ApiModelProperty("困难标签")
    @TableField("knlx")
    @Excel(name = "困难标签")
    private String knlx;

    /**
     * 困难类型2
     */
    @ApiModelProperty("困难类型2")
    @TableField("knlx2")
//    @Excel(name = "困难类型2")
    private String knlx2;

    /**
     * 人口总数
     */
    @ApiModelProperty("家庭人口总数")
    @TableField("rkzs")
    @Excel(name = "家庭人口总数")
    private String rkzs;

    @ApiModelProperty("家庭人均年收入（元）")
    @TableField("rjnsr")
    @Excel(name = "家庭人均年收入（元）")
    String rjnsr;
    /**
     * 月总收入
     */
    @ApiModelProperty("月总收入")
    @TableField("yzsr")
//    @Excel(name = "月总收入")
    private String yzsr;

    /**
     * 人均月入
     */
    @ApiModelProperty("人均月入")
    @TableField("rjyr")
//    @Excel(name = "人均月入")
    private String rjyr;

    /**
     * 收入来源
     */
    @ApiModelProperty("收入来源")
    @TableField("srly")
    @Excel(name = "收入来源")
    private String srly;

    @ApiModelProperty("家庭详细地址")
    @TableField("dz")
    @Excel(name = "家庭详细地址")
    String dz;

    @ApiModelProperty("农业银行卡号")
    @TableField("bankCard")
    @Excel(name = "农业银行卡号")
    String bankCard;

    @ApiModelProperty("开户行")
    @TableField("bankAddr")
    @Excel(name = "开户行")
    String bankAddr;
    /**
     * 家庭成员
     */
    @ApiModelProperty("家庭成员")
    @TableField("jtcy")
//    @Excel(name = "家庭成员")
    private String jtcy;

    /**
     * 申请理由
     */
    @ApiModelProperty("申请理由")
    @TableField("sqly")
    @Excel(name = "申请理由")
    private String sqly;

    /**
     * 学校签名
     */
    @ApiModelProperty("学生签名")
    @TableField("xsqm")
    @Excel(name = "学生签名")
    private String xsqm;

    /**
     * 学校签名日期
     */
    @ApiModelProperty("学生签名日期")
    @TableField("xsqmrq")
    @Excel(name = "学生签名日期")
    private String xsqmrq;

    @Excel(name = "班级意见",readConverterExp = "1=同意")
    String bjyj;
    @Excel(name = "班级意见助学金等级",readConverterExp = "1=一等,2=二等,3=三等")
    String bjyjdj;

    /**
     * 辅导员签名
     */
    @ApiModelProperty("辅导员签名")
    @TableField("fdyqm")
    @Excel(name = "辅导员签名")
    private String fdyqm;

    /**
     * 辅导员签名日期
     */
    @ApiModelProperty("辅导员签名日期")
    @TableField("fdyqmrq")
    @Excel(name = "辅导员签名日期")
    private String fdyqmrq;


    @Excel(name = "二级学院意见",readConverterExp = "1=同意")
    String ejxyyj;
    @Excel(name = "二级学院意见助学金等级",readConverterExp = "1=一等,2=二等,3=三等")
    String ejxyyjdj;

    /**
     * 二级学院领导签名
     */
    @ApiModelProperty("二级学院领导签名")
    @TableField("ejxyldqm")
    @Excel(name = "二级学院领导签名")
    private String ejxyldqm;

    /**
     * 二级学院领导签名日期
     */
    @ApiModelProperty("二级学院领导签名日期")
    @TableField("ejxyldqmrq")
    @Excel(name = "二级学院领导签名日期")
    private String ejxyldqmrq;


    @Excel(name = "学校意见",readConverterExp = "1=同意")
    String xxyj;
    /**
     * 最终等级
     */
    @ApiModelProperty("学校意见")
    @TableField("zzdj")
    @Excel(name = "学校意见等级",readConverterExp = "1=一等,2=二等,3=三等")
    private String zzdj;
    @ApiModelProperty("学校签章")
    @TableField("xxqm")
    @Excel(name = "学校签章")
    String xxqm;

    @ApiModelProperty("学校意见日期")
    @TableField("xxyjrq")
    @Excel(name = "学校意见日期")
    String xxyjrq;




    /**
     * 初审等级
     */
    @ApiModelProperty("初审等级")
    @TableField("csdj")
//    @Excel(name = "初审等级")
    private String csdj;



    /**
     * 照片
     */
    @ApiModelProperty("照片")
    @TableField("zp")
//    @Excel(name = "照片")
    private String zp;

    /**
     * 附件id
     */
    @ApiModelProperty("附件id")
    @TableField("affix_id")
//    @Excel(name = "照片")
    String affixId;

    /**
     * 附件id
     */
    @ApiModelProperty("辅导员审核状态")
    @TableField("status1")
//    @Excel(name = "辅导员审核状态")
    String status1;
    /**
     * 附件id
     */
    @ApiModelProperty("二级学院审核状态")
    @TableField("status2")
//    @Excel(name = "二级学院审核状态")
    String status2;
    /**
     * 附件id
     */
    @ApiModelProperty("学校审核状态")
    @TableField("status3")
//    @Excel(name = "学校审核状态")
    String status3;





    @ApiModelProperty("是否存在未解除处分")
    @TableField("is_exist")
    @Excel(name = "是否存在未解除处分")
    String isExist;

    String penaltyStatus0; //正在处分

    String penaltyStatus1; // 处分解除

    String penaltyStatus3; // 正在申请处分


    @ApiModelProperty("等级")
    @TableField("level")
    @Excel(name = "是否存在未解除处分")
    private  String level;











    Long stuYearId;
    String fdygh;
    String fdymc;
    String ejxyldmc;
    String ejxyldgh;
    String xxgh;
    String xxmc;

    private Long targetStep;

    private int locked;
    private Date lockedTime;
    private int countXw;
}
