package com.srs.comprehensive.mapper;

import java.util.List;

import com.srs.comprehensive.domain.CphGoodCancelLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * 取消申请记录Mapper接口
 *
 * @author srs
 * @date 2023-11-07
 */
@Mapper
public interface CphGoodCancelLogMapper extends BaseMapper<CphGoodCancelLog> {
    /**
     * 查询取消申请记录
     *
     * @param id 取消申请记录主键
     * @return 取消申请记录
     */
    public CphGoodCancelLog selectCphGoodCancelLogById(Long id);

    /**
     * 查询取消申请记录列表
     *
     * @param cphGoodCancelLog 取消申请记录
     * @return 取消申请记录集合
     */
    List<CphGoodCancelLog> selectCphGoodCancelLogList(CphGoodCancelLog cphGoodCancelLog);

    /**
     * 新增取消申请记录
     *
     * @param cphGoodCancelLog 取消申请记录
     * @return 结果
     */
    int insertCphGoodCancelLog(CphGoodCancelLog cphGoodCancelLog);

    /**
     * 修改取消申请记录
     *
     * @param cphGoodCancelLog 取消申请记录
     * @return 结果
     */
    int updateCphGoodCancelLog(CphGoodCancelLog cphGoodCancelLog);

    /**
     * 删除取消申请记录
     *
     * @param id 取消申请记录主键
     * @return 结果
     */
    int deleteCphGoodCancelLogById(Long id);

    /**
     * 批量删除取消申请记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteCphGoodCancelLogByIds(Long[] ids);
}
