package com.srs.comprehensive.mapper;

import java.util.List;

import com.srs.comprehensive.domain.CphGoodApply;
import com.srs.comprehensive.domain.CphOwnGoodType;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * 个人评优评先类别Mapper接口
 *
 * @author srs
 * @date 2023-09-11
 */
@Mapper
public interface CphOwnGoodTypeMapper extends BaseMapper<CphOwnGoodType> {
    /**
     * 查询个人评优评先类别
     *
     * @param id 个人评优评先类别主键
     * @return 个人评优评先类别
     */
    public CphOwnGoodType selectCphOwnGoodTypeById(Long id);

    public CphOwnGoodType selectByCode(String code);

    /**
     * 查询个人评优评先类别列表
     *
     * @param cphOwnGoodType 个人评优评先类别
     * @return 个人评优评先类别集合
     */
    List<CphOwnGoodType> selectCphOwnGoodTypeList(CphOwnGoodType cphOwnGoodType);

    /**
     * 新增个人评优评先类别
     *
     * @param cphOwnGoodType 个人评优评先类别
     * @return 结果
     */
    int insertCphOwnGoodType(CphOwnGoodType cphOwnGoodType);

    /**
     * 修改个人评优评先类别
     *
     * @param cphOwnGoodType 个人评优评先类别
     * @return 结果
     */
    int updateCphOwnGoodType(CphOwnGoodType cphOwnGoodType);

    /**
     * 删除个人评优评先类别
     *
     * @param id 个人评优评先类别主键
     * @return 结果
     */
    int deleteCphOwnGoodTypeById(Long id);

    /**
     * 批量删除个人评优评先类别
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteCphOwnGoodTypeByIds(Long[] ids);
}
