package com.srs.comprehensive.mapper;

import java.util.List;

import com.srs.comprehensive.domain.SrsCeScore;
import com.srs.comprehensive.domain.Vo.SrsCeScoreStudentStuYear;
import org.apache.ibatis.annotations.Mapper;

/**
 * 综合评价Mapper接口
 * 
 * @author srs
 * @date 2023-06-28
 */
@Mapper
public interface SrsCeScoreMapper 
{
    /**
     * 查询综合评价
     * 
     * @param id 综合评价主键
     * @return 综合评价
     */
    public SrsCeScore selectSrsCeScoreById(Long id);

    /**
     * 查询综合评价列表
     * 
     * @param srsCeScore 综合评价
     * @return 综合评价集合
     */
    public List<SrsCeScore> selectSrsCeScoreList(SrsCeScore srsCeScore);
    public List<SrsCeScore> selectSrsCeScoreListS(SrsCeScore srsCeScore);

    /**
     * 新增综合评价
     * 
     * @param srsCeScore 综合评价
     * @return 结果
     */
    public int insertSrsCeScore(SrsCeScore srsCeScore);

    /**
     * 修改综合评价
     * 
     * @param srsCeScore 综合评价
     * @return 结果
     */
    public int updateSrsCeScore(SrsCeScore srsCeScore);

    /**
     * 删除综合评价
     * 
     * @param id 综合评价主键
     * @return 结果
     */
    public int deleteSrsCeScoreById(Long id);

    /**
     * 批量删除综合评价
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSrsCeScoreByIds(Long[] ids);

    /**
     *综合评价连表查询
     * @return 结果
     */
    List<SrsCeScoreStudentStuYear> SrsCeScoreStudentStuYear(SrsCeScore srsCeScore);
}
