package com.srs.comprehensive.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.comprehensive.domain.CphGoodCancelLog;

/**
 * 取消申请记录Service接口
 *
 * @author srs
 * @date 2023-11-07
 */
public interface ICphGoodCancelLogService extends IService<CphGoodCancelLog> {
    /**
     * 查询取消申请记录
     *
     * @param id 取消申请记录主键
     * @return 取消申请记录
     */
    public CphGoodCancelLog selectCphGoodCancelLogById(Long id);

    /**
     * 查询取消申请记录列表
     *
     * @param cphGoodCancelLog 取消申请记录
     * @return 取消申请记录集合
     */
    List<CphGoodCancelLog> selectCphGoodCancelLogList(CphGoodCancelLog cphGoodCancelLog);

    /**
     * 新增取消申请记录
     *
     * @param cphGoodCancelLog 取消申请记录
     * @return 结果
     */
    int insertCphGoodCancelLog(CphGoodCancelLog cphGoodCancelLog);

    /**
     * 修改取消申请记录
     *
     * @param cphGoodCancelLog 取消申请记录
     * @return 结果
     */
    int updateCphGoodCancelLog(CphGoodCancelLog cphGoodCancelLog);

    /**
     * 批量删除取消申请记录
     *
     * @param ids 需要删除的取消申请记录主键集合
     * @return 结果
     */
    int deleteCphGoodCancelLogByIds(Long[] ids);

    /**
     * 删除取消申请记录信息
     *
     * @param id 取消申请记录主键
     * @return 结果
     */
    int deleteCphGoodCancelLogById(Long id);
}
