package com.srs.comprehensive.service;

import java.util.List;
import com.srs.comprehensive.domain.CphMsg;

/**
 * 消息Service接口
 * 
 * @author srs
 * @date 2023-07-12
 */
public interface ICphMsgService 
{
    /**
     * 查询消息
     * 
     * @param id 消息主键
     * @return 消息
     */
    public CphMsg selectCphMsgById(Long id);

    /**
     * 查询消息列表
     * 
     * @param cphMsg 消息
     * @return 消息集合
     */
    public List<CphMsg> selectCphMsgList(CphMsg cphMsg);

    /**
     * 新增消息
     * 
     * @param cphMsg 消息
     * @return 结果
     */
    public int insertCphMsg(CphMsg cphMsg);

    /**
     * 修改消息
     * 
     * @param cphMsg 消息
     * @return 结果
     */
    public int updateCphMsg(CphMsg cphMsg);

    /**
     * 批量删除消息
     * 
     * @param ids 需要删除的消息主键集合
     * @return 结果
     */
    public int deleteCphMsgByIds(Long[] ids);

    /**
     * 删除消息信息
     * 
     * @param id 消息主键
     * @return 结果
     */
    public int deleteCphMsgById(Long id);
}
