package com.srs.comprehensive.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.comprehensive.domain.CphOwnGoodType;

/**
 * 个人评优评先类别Service接口
 *
 * @author srs
 * @date 2023-09-11
 */
public interface ICphOwnGoodTypeService extends IService<CphOwnGoodType> {
    /**
     * 查询个人评优评先类别
     *
     * @param id 个人评优评先类别主键
     * @return 个人评优评先类别
     */
    public CphOwnGoodType selectCphOwnGoodTypeById(Long id);

    /**
     * 查询个人评优评先类别列表
     *
     * @param cphOwnGoodType 个人评优评先类别
     * @return 个人评优评先类别集合
     */
    List<CphOwnGoodType> selectCphOwnGoodTypeList(CphOwnGoodType cphOwnGoodType);

    /**
     * 新增个人评优评先类别
     *
     * @param cphOwnGoodType 个人评优评先类别
     * @return 结果
     */
    int insertCphOwnGoodType(CphOwnGoodType cphOwnGoodType);

    /**
     * 修改个人评优评先类别
     *
     * @param cphOwnGoodType 个人评优评先类别
     * @return 结果
     */
    int updateCphOwnGoodType(CphOwnGoodType cphOwnGoodType);

    /**
     * 批量删除个人评优评先类别
     *
     * @param ids 需要删除的个人评优评先类别主键集合
     * @return 结果
     */
    int deleteCphOwnGoodTypeByIds(Long[] ids);

    /**
     * 删除个人评优评先类别信息
     *
     * @param id 个人评优评先类别主键
     * @return 结果
     */
    int deleteCphOwnGoodTypeById(Long id);
}
