package com.srs.diagnostic.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;

import java.util.Date;


/**
 * 诊断报告标准对象 dia_report_standards
 *
 * @author LSD
 * @date 2025-06-19
 */
@Data

@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "DiaReportStandards对象" , description = "诊断报告标准")
@TableName("dia_report_standards")
public class DiaReportStandards{
private static final long serialVersionUID=1L;

    /**
     * 标准ID
     */
    @ApiModelProperty("标准ID")
    @TableId(value = "standardId",type = IdType.AUTO)
    private Long standardId;

    /**
     * 关联的发布记录ID
     */
    @ApiModelProperty("关联的发布记录ID")
    @TableField("relId")
    @Excel(name = "关联的发布记录ID")
    private Long relId;

    /**
     * 关联的指标ID
     */
    @ApiModelProperty("关联的指标ID")
    @TableField("itemId")
    @Excel(name = "关联的指标ID")
    private Long itemId;

    /**
     * 标准级别（1:学校，2:二级学院，3:个人）
     */
    @ApiModelProperty("标准级别（1:学校，2:二级学院，3:个人）")
    @TableField("level")
    @Excel(name = "标准级别" , readConverterExp = "1=:学校，2:二级学院，3:个人")
    private Integer level;

    /**
     * 学号/工号
     */
    @ApiModelProperty("学号/工号")
    @TableField("user_name")
    @Excel(name = "学号/工号")
    private String userName;

    /**
     * 标准值
     */
    @ApiModelProperty("标准值")
    @TableField("standard_value")
    @Excel(name = "标准值")
    private String standardValue;

    @TableField("create_by")
    private String createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" )
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新者
     */
    @TableField("update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" )
    @TableField( value = "update_time", fill = FieldFill.UPDATE)
    private Date updateTime;

    @TableField(exist = false)
    public Long deptId;


    @TableField(exist = false)
    public Long gradeId;

    @TableField(exist = false)
    public Long majorId;

    @TableField(exist = false)
    public Long classId;

    @TableField(exist = false)
    public String fdyNo;


}
