package com.srs.diagnostic.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 诊断报告基础信息对象 dia_reports
 *
 * @author srs
 * @date 2025-03-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "DiaReports对象" , description = "诊断报告基础信息表")
@TableName("dia_reports")
public class DiaReports extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 诊断Id
     */
    @ApiModelProperty("诊断Id")
    @TableField("reportId")
    private Integer reportId;

    /**
     * 诊断名称
     */
    @ApiModelProperty("诊断名称")
    @TableField("name")
    @Excel(name = "诊断名称")
    private String name;

    /**
     * 诊断父Id
     */
    @ApiModelProperty("诊断父Id")
    @TableField("parentId")
    @Excel(name = "诊断父Id")
    private Integer parentId;

    /**
     * 状态：0.正常，1.停用
     */
    @ApiModelProperty("状态：0.正常，1.停用")
    @TableField("status")
    @Excel(name = "状态：0.正常，1.停用")
    private String status;
    /***
     * 排序
     */
    private int sort;
    /**
     * 属于那个模板
     * */
    @ApiModelProperty("属于那个模板")
    @TableField("isMoudId")
    @Excel(name = "属于那个模板")
    private  int isMoudId;

}
