package com.srs.diagnostic.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 学生报信息对象 dia_student_info
 *
 * @author srs
 * @date 2025-05-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "DiaStudentInfo对象" , description = "学生报表信息表")
@TableName("dia_student_info")
public class DiaStudentInfo extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * $column.columnComment
     */
    @ApiModelProperty("${column.columnComment}")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;


    private Long reportId;


    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    private String stuNo;

    /**
     * 学院ID
     */
    @ApiModelProperty("学院ID")
    @TableField("college_id")
    private Long collegeId;

    /**
     * 学院名称
     */
    @ApiModelProperty("学院名称")
    @TableField("college_name")
    @Excel(name = "学院名称")
    private String collegeName;

    /**
     * 专业ID
     */
    @ApiModelProperty("专业ID")
    @TableField("major_id")
    private Long majorId;

    /**
     * 专业名称
     */
    @ApiModelProperty("专业名称")
    @TableField("major_name")
    @Excel(name = "专业名称")
    private String majorName;

    /**
     * 用户ID
     */
    @ApiModelProperty("用户ID")
    @TableField("user_id")
    private Long userId;

    /**
     * 学生姓名
     */
    @ApiModelProperty("学生姓名")
    @TableField("student_name")
    @Excel(name = "学生姓名")
    private String studentName;

    /**
     * 学期ID
     */
    @ApiModelProperty("学期ID")
    @TableField("semester_id")
    private Long semesterId;

    /**
     * 学期名称
     */
    @ApiModelProperty("学期名称")
    @TableField("semester_name")
    @Excel(name = "学期名称")
    private String semesterName;


}
