package com.srs.diagnostic.mapper;

import java.util.List;

import com.srs.diagnostic.domain.DiaEligibility;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 合格标准Mapper接口
 *
 * @author srs
 * @date 2025-03-25
 */
public interface DiaEligibilityMapper extends BaseMapper<DiaEligibility> {
    /**
     * 查询合格标准
     *
     * @param eliId 合格标准主键
     * @return 合格标准
     */
    public DiaEligibility selectDiaEligibilityByEliId(Long eliId);

    /**
     * 查询合格标准列表
     *
     * @param diaEligibility 合格标准
     * @return 合格标准集合
     */
    List<DiaEligibility> selectDiaEligibilityList(DiaEligibility diaEligibility);

    /**
     * 新增合格标准
     *
     * @param diaEligibility 合格标准
     * @return 结果
     */
    int insertDiaEligibility(DiaEligibility diaEligibility);

    /**
     * 修改合格标准
     *
     * @param diaEligibility 合格标准
     * @return 结果
     */
    int updateDiaEligibility(DiaEligibility diaEligibility);

    /**
     * 删除合格标准
     *
     * @param eliId 合格标准主键
     * @return 结果
     */
    int deleteDiaEligibilityByEliId(Long eliId);

    /**
     * 批量删除合格标准
     *
     * @param eliIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDiaEligibilityByEliIds(Long[] eliIds);
}
