package com.srs.diagnostic.mapper;

import java.util.List;

import com.srs.diagnostic.domain.DiaReportItems;
import com.srs.diagnostic.domain.DiaReportRelease;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.diagnostic.domain.vo.DiaReportReleaseFillInVo;
import org.apache.ibatis.annotations.Mapper;

/**
 * 报表发布Mapper接口
 *
 * @author srs
 * @date 2025-04-23
 */
@Mapper
public interface DiaReportReleaseMapper extends BaseMapper<DiaReportRelease> {
    /**
     * 查询报表发布
     *
     * @param relId 报表发布主键
     * @return 报表发布
     */
    public DiaReportRelease selectDiaReportReleaseByRelId(Long relId);

    /**
     * 查询报表发布列表
     *
     * @param diaReportRelease 报表发布
     * @return 报表发布集合
     */
    List<DiaReportRelease> selectDiaReportReleaseList(DiaReportRelease diaReportRelease);

    /**
     * 新增报表发布
     *
     * @param diaReportRelease 报表发布
     * @return 结果
     */
    int insertDiaReportRelease(DiaReportRelease diaReportRelease);

    void insertItems();

    /**
     * 修改报表发布
     *
     * @param diaReportRelease 报表发布
     * @return 结果
     */
    int updateDiaReportRelease(DiaReportRelease diaReportRelease);

    /**
     * 删除报表发布
     *
     * @param relId 报表发布主键
     * @return 结果
     */
    int deleteDiaReportReleaseByRelId(Long relId);

    /**
     * 批量删除报表发布
     *
     * @param relIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDiaReportReleaseByRelIds(Long[] relIds);

}
