package com.srs.diagnostic.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.diagnostic.domain.DiaEligibility;

/**
 * 合格标准Service接口
 *
 * @author srs
 * @date 2025-03-25
 */
public interface IDiaEligibilityService extends IService<DiaEligibility> {
    /**
     * 查询合格标准
     *
     * @param eliId 合格标准主键
     * @return 合格标准
     */
    public DiaEligibility selectDiaEligibilityByEliId(Long eliId);

    /**
     * 查询合格标准列表
     *
     * @param diaEligibility 合格标准
     * @return 合格标准集合
     */
    List<DiaEligibility> selectDiaEligibilityList(DiaEligibility diaEligibility);

    /**
     * 新增合格标准
     *
     * @param diaEligibility 合格标准
     * @return 结果
     */
    int insertDiaEligibility(DiaEligibility diaEligibility);

    /**
     * 修改合格标准
     *
     * @param diaEligibility 合格标准
     * @return 结果
     */
    int updateDiaEligibility(DiaEligibility diaEligibility);

    /**
     * 批量删除合格标准
     *
     * @param eliIds 需要删除的合格标准主键集合
     * @return 结果
     */
    int deleteDiaEligibilityByEliIds(Long[] eliIds);

    /**
     * 删除合格标准信息
     *
     * @param eliId 合格标准主键
     * @return 结果
     */
    int deleteDiaEligibilityByEliId(Long eliId);
}
