package com.srs.diagnostic.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.diagnostic.domain.DiaFillOutReport;


public interface IDiaFillOutReportService extends IService<DiaFillOutReport>{

    /**
     * 查询诊断报告列表
     *
     * @param diaFillOutReport 诊断报告
     * @return 诊断报告集合
     */
    List<DiaFillOutReport> selectDiaFillOutReportList(DiaFillOutReport diaFillOutReport);


    /**
     * 查询学生填写详情
     *
     * @param
     * @return 诊断报告集合
     */
    List<DiaFillOutReport> selectDiaFillOutReportListUser(String stuNo);

    /**
     * 批量新增诊断报告
     *
     * @param diaFillOutReport 批量新增诊断报告
     * @return 结果
     */
    int insertDiaFillOutReport(DiaFillOutReport diaFillOutReport);

    /**
     * 修改诊断报告
     *
     * @param list 诊断报告
     * @return 结果
     */
    int updateDiaFillOutReportList(List<DiaFillOutReport> list);


    /**
     * 插入输入框
     *
     * @param list 诊断报告
     * @return 结果
     */
    int insertDiaFillOutReportList(List<DiaFillOutReport> list);

}
