package com.srs.diagnostic.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.diagnostic.domain.DiaStudentInfo;

/**
 * 学生报信息Service接口
 *
 * @author srs
 * @date 2025-05-26
 */
public interface IDiaStudentInfoService extends IService<DiaStudentInfo> {
    /**
     * 查询学生报信息
     *
     * @param userid 学生报信息主键
     * @return 学生报信息
     */
    DiaStudentInfo  selectDiaStudentInfolistid(Long userid);

    /**
     * 查询学生报信息列表
     *
     * @param diaStudentInfo 学生报信息
     * @return 学生报信息集合
     */
    List<DiaStudentInfo> selectDiaStudentInfoList(DiaStudentInfo diaStudentInfo);

    /**
     * 新增学生报信息
     *
     * @param diaStudentInfo 学生报信息
     * @return 结果
     */
    int insertDiaStudentInfo(DiaStudentInfo diaStudentInfo);




}
