package com.srs.flowable.mapper;


import com.srs.common.doman.vo.TeacherVo;
import com.srs.flowable.domain.StuLeaveApplication;

/**
 * 考勤mapper
 */
public interface LeaveMapper {


    /**
     * 根据学生学号，获取辅导员在sys_user表信息
     * @param stuId
     * @return
     */
    TeacherVo getCounselorInfo(Long stuId);

    /**
     * 获取二级学院书记信息
     * @param deptId
     * @return
     */
    TeacherVo getSecondaryLeaderInfo(String deptId);

    /**
     * 查询学生请假申请
     *
     * @param leaveApplicationId 学生请假申请主键
     * @return 学生请假申请
     */
    StuLeaveApplication selectRtStuLeaveApplicationByLeaveApplicationId(String leaveApplicationId);

    /**
     * 修改学生请假申请
     *
     * @param rtStuLeaveApplication 学生请假申请
     * @return 结果
     */
    int updateRtStuLeaveApplication(StuLeaveApplication rtStuLeaveApplication);

}
