package com.srs.routine.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 班会内容对象 rt_class_metting_content
 *
 * @author srs
 * @date 2024-05-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "RtClassMettingContent对象" , description = "班会内容")
@TableName("rt_class_metting_content")
public class RtClassMettingContent extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * $column.columnComment
     */
    @ApiModelProperty("${column.columnComment}")
    @TableField("cr_id")
    private Long crId;

    /**
     * 材料编码
     */
    @ApiModelProperty("材料编码")
    @TableField("cr_no")
    @Excel(name = "材料编码")
    private String crNo;

    /**
     * 主题编码
     */
    @ApiModelProperty("主题编码")
    @TableField("cr_cm_no")
    @Excel(name = "主题编码")
    private String crCmNo;

    /**
     * 院校编码
     */
    @ApiModelProperty("院校编码")
    @TableField("cr_department_no")
    @Excel(name = "院校编码")
    private String crDepartmentNo;

    /**
     * 专业编码
     */
    @ApiModelProperty("专业编码")
    @TableField("cr_major_no")
    @Excel(name = "专业编码")
    private String crMajorNo;


    /**
     * 班级编码
     */
    @ApiModelProperty("班级编码")
    @TableField("cr_class_no")
    @Excel(name = "班级编码")
    private String crClassNo;

    /**
     * 辅导员编码
     */
    @ApiModelProperty("辅导员编码")
    @TableField("cr_teacher_no")
    @Excel(name = "辅导员编码")
    private String crTeacherNo;

    /**
     * 班会总结
     */
    @ApiModelProperty("班会总结")
    @TableField("cr_content")
    @Excel(name = "班会总结")
    private String crContent;

    /**
     * 班会总结
     */
    @ApiModelProperty("班会总结文本")
    @TableField("cr_text_content")
    @Excel(name = "班会总结文本")
    private String crTextContent;

    /**
     * 班会时间
     */
    @ApiModelProperty("班会时间")
    @TableField("cr_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "班会时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date crTime;

    /**
     * 班会地址
     */
    @ApiModelProperty("班会地址")
    @TableField("cr_addr")
    @Excel(name = "班会地址")
    private String crAddr;

    /**
     * 状态：0：保存、1：发布，2：停用，3：结束
     */
    @ApiModelProperty("状态：0：保存、1：发布，2：停用，3：结束")
    @TableField("status")
    @Excel(name = "状态：0：保存、1：发布，2：停用，3：结束")
    private String status;

    /**
     * 删除标志（0代表存在
     */
    @ApiModelProperty("删除标志（0代表存在")
    @TableField("del_flag")
    private String delFlag;

    /**
     * 班级名字
     */
    @TableField(exist = false)
    private String className;


    /**
     * 辅导员名字
     */
    @TableField(exist = false)
    private String crTeacherName;

    /**
     * 主题标题
     */
    @TableField(exist = false)
    private String crCmTitle;

    /**
     * 附件列表
     */
    @TableField(exist = false)
    private List<SrsAttachResource> attachResourceList;

}
