package com.srs.routine.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;

import java.util.List;


/**
 * 功能房预约审核对象 rt_fu_audit
 *
 * @author srs
 * @date 2024-07-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "RtFuAudit对象" , description = "一站式功能房预约审核")
@TableName("rt_fu_audit")
public class RtFuAudit extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     *
     */
    @ApiModelProperty("")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 关联功能房预约表
     */
    @ApiModelProperty("关联功能房预约表")
    @TableField("re_no")
    @Excel(name = "关联功能房预约表")
    private String reNo;

    /**
     * 审核状态
     */
    @ApiModelProperty("审核状态")
    @TableField("au_status")
    @Excel(name = "审核状态")
    private String auStatus;

    /**
     * 审核不通过理由
     */
    @ApiModelProperty("审核不通过理由")
    @TableField("reason")
    @Excel(name = "审核不通过理由")
    private String reason;

    /**
     * 审核者名字
     */
    @ApiModelProperty("审核者名字")
    @TableField("auditor")
    @Excel(name = "审核者名字")
    private String auditor;

    /**
     * 审核者部门
     */
    @ApiModelProperty("审核者部门")
    @TableField("depart")
    @Excel(name = "审核者部门")
    private String depart;

    private RtFuReservation reservation;
    private List<RtFuReservation> reservationList;
}
