package com.srs.routine.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 功能房图片对象 rt_fu_resource
 *
 * @author srs
 * @date 2024-07-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "RtFuResource对象" , description = "一站式功能房图片")
@TableName("rt_fu_resource")
public class RtFuResource extends BaseEntity{
    private static final long serialVersionUID=1L;

    /**
     *
     */
    @ApiModelProperty("")
    @TableField("res_id")
    private Long resId;

    /**
     * 活动房编码
     */
    @ApiModelProperty("活动房编码")
    @TableField("ro_no")
    @Excel(name = "活动房编码")
    private String roNo;

    /**
     * 编码
     */
    @ApiModelProperty("编码")
    @TableField("res_no")
    @Excel(name = "编码")
    private String resNo;

    /**
     * 资源类型
     */
    @ApiModelProperty("资源类型")
    @TableField("res_type")
    @Excel(name = "资源类型")
    private String resType;

    /**
     * 主内容编码
     */
    @ApiModelProperty("主内容编码")
    @TableField("res_main_no")
    @Excel(name = "主内容编码")
    private String resMainNo;

    /**
     * 文件名称
     */
    @ApiModelProperty("文件名称")
    @TableField("res_name")
    @Excel(name = "文件名称")
    private String resName;

    /**
     * 路径
     */
    @ApiModelProperty("路径")
    @TableField("res_path")
    @Excel(name = "路径")
    private String resPath;

    /**
     * 状态：0：保存，1：停用，3：结束（感觉用不到）
     */
    @ApiModelProperty("状态：0：保存，1：停用，3：结束（感觉用不到）")
    @TableField("status")
    @Excel(name = "状态：0：保存，1：停用，3：结束" , readConverterExp = "感=觉用不到")
    private String status;

    /**
     * 删除标志（0代表存在，1代表删除）
     */
    @ApiModelProperty("删除标志（0代表存在，1代表删除）")
    @TableField("del_flag")
    private String delFlag;


}
