package com.srs.routine.domain;

import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import com.srs.routine.domain.vo.RtFuResourceVo;
import com.srs.routine.domain.vo.RtfuRuleVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 功能房对象 rt_fu_room
 *
 * @author srs
 * @date 2024-07-15
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "RtFuRoom对象" , description = "一站式功能房")
@TableName("rt_fu_room")
public class RtFuRoom extends BaseEntity{
    private static final long serialVersionUID=1L;

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 功能房代码
     */
    @ApiModelProperty("功能房代码")
    @TableField("ro_no")
    @Excel(name = "功能房代码")
    private String roNo;

    /**
     * 功能房名
     */
    @ApiModelProperty("功能房名")
    @TableField("room_name")
    @Excel(name = "功能房名")
    private String roomName;

    /**
     * 使用事项
     */
    @ApiModelProperty("使用事项")
    @TableField("room_matter")
    @Excel(name = "使用事项")
    private String roomMatter;

    /**
     * 功能房照片
     */
    @ApiModelProperty("功能房照片")
    @TableField("room_rule")
    @Excel(name = "功能房照片")
    private String roomRule;


    /**
     * 功能房介绍
     */
    @ApiModelProperty("功能房介绍")
    @TableField("room_info")
    @Excel(name = "功能房介绍")
    private String roomInfo;

    /**
     * 功能房用途
     */
    @ApiModelProperty("功能房用途")
    @TableField("room_purp")
    @Excel(name = "功能房用途")
    private String roomPurp;

    /**
     * 开发状态
     */
    @ApiModelProperty("开发状态")
    @TableField("status")
    @Excel(name = "开发状态")
    private String status;

    /**
     * 功能房可承载人数
     */
    @ApiModelProperty("功能房可承载人数")
    @TableField("room_capacity")
    @Excel(name = "功能房可承载人数")
    private String roomCapacity;

    /**
     * 功能房开放日期
     */
    @ApiModelProperty("功能房开放日期")
    @TableField("ro_week")
    @Excel(name = "功能房开放日期")
    private String roWeek;

    /**
     * 开放时间
     */
    @ApiModelProperty("开放时间")
    @TableField("ro_weekTime")
    @Excel(name = "开放时间")
    private String roWeekTime;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField("room_createTime")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date roomCreatetime;

    /**
     * 使用人
     */
    @ApiModelProperty("使用人")
    @TableField("room_user")
    @Excel(name = "使用人")
    private String roomUser;

    /**
     * 归属部门、学院
     */
    @ApiModelProperty("归属部门、学院")
    @TableField("room_depar")
    @Excel(name = "归属部门、学院")
    private String roomDepar;

    private HashMap WeekDay;
    private String weekday;
    private Date rtTime;
    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @TableField("room_upTime")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date roomUptime;

    /**
     * 更新者
     */
    @ApiModelProperty("更新者")
    @TableField("room_upuser")
    @Excel(name = "更新者")
    private String roomUpuser;

    /**
     * 附件图片列表
     */
    @TableField(exist = false)
    private List<RtFuResourceVo> rtFuResourcesList;

    public HashMap Wek;
    private List<RtfuRuleVo> rtFuSoltList;
}
