package com.srs.routine.mapper;

import java.util.List;

import com.srs.routine.domain.RtStuDisciplinaryRelieve;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 学生解除处分申请Mapper接口
 *
 * @author LSD
 * @date 2024-04-29
 */
public interface RtStuDisciplinaryRelieveMapper extends BaseMapper<RtStuDisciplinaryRelieve> {
    /**
     * 查询学生解除处分申请
     *
     * @param relieveId 学生解除处分申请主键
     * @return 学生解除处分申请
     */
    public RtStuDisciplinaryRelieve selectRtStuDisciplinaryRelieveByRelieveId(Long relieveId);

    /**
     * 查询学生解除处分申请列表
     *
     * @param rtStuDisciplinaryRelieve 学生解除处分申请
     * @return 学生解除处分申请集合
     */
    List<RtStuDisciplinaryRelieve> selectRtStuDisciplinaryRelieveList(RtStuDisciplinaryRelieve rtStuDisciplinaryRelieve);

    /**
     * 新增学生解除处分申请
     *
     * @param rtStuDisciplinaryRelieve 学生解除处分申请
     * @return 结果
     */
    int insertRtStuDisciplinaryRelieve(RtStuDisciplinaryRelieve rtStuDisciplinaryRelieve);

    /**
     * 修改学生解除处分申请
     *
     * @param rtStuDisciplinaryRelieve 学生解除处分申请
     * @return 结果
     */
    int updateRtStuDisciplinaryRelieve(RtStuDisciplinaryRelieve rtStuDisciplinaryRelieve);

    /**
     * 删除学生解除处分申请
     *
     * @param relieveId 学生解除处分申请主键
     * @return 结果
     */
    int deleteRtStuDisciplinaryRelieveByRelieveId(Long relieveId);

    /**
     * 批量删除学生解除处分申请
     *
     * @param relieveIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteRtStuDisciplinaryRelieveByRelieveIds(Long[] relieveIds);

    /**
     * 查询某个老师所有解除处分单
     * @param rtStuDisciplinaryRelieve
     * @return
     */
    List<RtStuDisciplinaryRelieve> selectRtStuDisciplinaryRelieveListByTeacherNo(RtStuDisciplinaryRelieve rtStuDisciplinaryRelieve);

    /**
     * 学务查询
     * @param rtStuDisciplinaryRelieve
     * @return
     */
    List<RtStuDisciplinaryRelieve> selectRtStuDisciplinaryRelieveListXW(RtStuDisciplinaryRelieve rtStuDisciplinaryRelieve);
}
