package com.srs.routine.mapper;

import java.util.List;

import com.srs.routine.domain.RtStuLeaveOperationRecords;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.routine.domain.vo.StuLeaveOperationRecordsDetailsVo;

/**
 * 请假操作记录Mapper接口
 *
 * @author LSD
 * @date 2024-03-30
 */
public interface RtStuLeaveOperationRecordsMapper extends BaseMapper<RtStuLeaveOperationRecords> {
    /**
     * 查询请假操作记录
     *
     * @param operationRecordsId 请假操作记录主键
     * @return 请假操作记录
     */
    public RtStuLeaveOperationRecords selectRtStuLeaveOperationRecordsByOperationRecordsId(Long operationRecordsId);

    /**
     * 查询请假操作记录列表
     *
     * @param rtStuLeaveOperationRecords 请假操作记录
     * @return 请假操作记录集合
     */
    List<RtStuLeaveOperationRecords> selectRtStuLeaveOperationRecordsList(RtStuLeaveOperationRecords rtStuLeaveOperationRecords);

    /**
     * 新增请假操作记录
     *
     * @param rtStuLeaveOperationRecords 请假操作记录
     * @return 结果
     */
    int insertRtStuLeaveOperationRecords(RtStuLeaveOperationRecords rtStuLeaveOperationRecords);

    /**
     * 修改请假操作记录
     *
     * @param rtStuLeaveOperationRecords 请假操作记录
     * @return 结果
     */
    int updateRtStuLeaveOperationRecords(RtStuLeaveOperationRecords rtStuLeaveOperationRecords);

    /**
     * 删除请假操作记录
     *
     * @param operationRecordsId 请假操作记录主键
     * @return 结果
     */
    int deleteRtStuLeaveOperationRecordsByOperationRecordsId(Long operationRecordsId);

    /**
     * 批量删除请假操作记录
     *
     * @param operationRecordsIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteRtStuLeaveOperationRecordsByOperationRecordsIds(Long[] operationRecordsIds);

    /**
     * 根据假条id查询操作记录
     *
     * @param leaveApplicationId 请假操作记录
     * @return 请假操作记录集合
     */
    List<StuLeaveOperationRecordsDetailsVo> selectRtStuLeaveOperationRecordsListByleaveApplicationId(Long leaveApplicationId);
}
