package com.srs.routine.mapper;

import java.util.List;

import com.srs.routine.domain.RtStuMultiLevelReview;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * 审核信息Mapper接口
 *
 * @author srs
 * @date 2024-05-17
 */
public interface RtStuMultiLevelReviewMapper extends BaseMapper<RtStuMultiLevelReview> {
    /**
     * 查询审核信息
     *
     * @param id 审核信息主键
     * @return 审核信息
     */
    public RtStuMultiLevelReview selectRtStuMultiLevelReviewById(Long id);

    // 根据审核人查询审核信息
    public RtStuMultiLevelReview selectRtStuMultiLevelReviewByReviewerIdentity(@Param("reviewerIdentity") String reviewerIdentity, @Param("stuNo") String stuNo);

    /**
     * 查询审核信息列表
     *
     * @param rtStuMultiLevelReview 审核信息
     * @return 审核信息集合
     */
    List<RtStuMultiLevelReview> selectRtStuMultiLevelReviewList(RtStuMultiLevelReview rtStuMultiLevelReview);

    /**
     * 新增审核信息
     *
     * @param rtStuMultiLevelReview 审核信息
     * @return 结果
     */
    int insertRtStuMultiLevelReview(RtStuMultiLevelReview rtStuMultiLevelReview);

    /**
     * 修改审核信息
     *
     * @param rtStuMultiLevelReview 审核信息
     * @return 结果
     */
    int updateRtStuMultiLevelReview(RtStuMultiLevelReview rtStuMultiLevelReview);

    /**
     * 删除审核信息
     *
     * @param id 审核信息主键
     * @return 结果
     */
    int deleteRtStuMultiLevelReviewById(Long id);

    /**
     * 批量删除审核信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteRtStuMultiLevelReviewByIds(Long[] ids);
}
