package com.srs.routine.mapper;

import java.util.List;

import com.srs.routine.domain.RtStuQuitSchool;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 休学申请记录Mapper接口
 *
 * @author LSD
 * @date 2024-06-12
 */
public interface RtStuQuitSchoolMapper extends BaseMapper<RtStuQuitSchool> {
    /**
     * 查询休学申请记录
     *
     * @param quitSchoolId 休学申请记录主键
     * @return 休学申请记录
     */
    public RtStuQuitSchool selectRtStuQuitSchoolByQuitSchoolId(Long quitSchoolId);

    /**
     * 查询休学申请记录列表
     *
     * @param rtStuQuitSchool 休学申请记录
     * @return 休学申请记录集合
     */
    List<RtStuQuitSchool> selectRtStuQuitSchoolList(RtStuQuitSchool rtStuQuitSchool);

    /**
     * 新增休学申请记录
     *
     * @param rtStuQuitSchool 休学申请记录
     * @return 结果
     */
    int insertRtStuQuitSchool(RtStuQuitSchool rtStuQuitSchool);

    /**
     * 修改休学申请记录
     *
     * @param rtStuQuitSchool 休学申请记录
     * @return 结果
     */
    int updateRtStuQuitSchool(RtStuQuitSchool rtStuQuitSchool);

    /**
     * 删除休学申请记录
     *
     * @param quitSchoolId 休学申请记录主键
     * @return 结果
     */
    int deleteRtStuQuitSchoolByQuitSchoolId(Long quitSchoolId);

    /**
     * 批量删除休学申请记录
     *
     * @param quitSchoolIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteRtStuQuitSchoolByQuitSchoolIds(Long[] quitSchoolIds);

    /**
     * 获取学务数据
     * @param rtStuQuitSchool
     * @return
     */
    List<RtStuQuitSchool> selectRtStuQuitSchoolListByXW(RtStuQuitSchool rtStuQuitSchool);

    /**
     * 获取辅导员数据
     * @param rtStuQuitSchool
     * @return
     */
    List<RtStuQuitSchool> selectRtStuQuitSchoolListByFdy(RtStuQuitSchool rtStuQuitSchool);
}
