package com.srs.routine.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.routine.domain.RtClassMeetingClass;

/**
 * 需开班会班级Service接口
 *
 * @author srs
 * @date 2025-04-08
 */
public interface IRtClassMeetingClassService extends IService<RtClassMeetingClass> {
    /**
     * 查询需开班会班级
     *
     * @param id 需开班会班级主键
     * @return 需开班会班级
     */
    public RtClassMeetingClass selectRtClassMeetingClassById(Long id);

    /**
     * 查询需开班会班级列表
     *
     * @param rtClassMeetingClass 需开班会班级
     * @return 需开班会班级集合
     */
    List<RtClassMeetingClass> selectRtClassMeetingClassList(RtClassMeetingClass rtClassMeetingClass);

    /**
     * 新增需开班会班级
     *
     * @param rtClassMeetingClass 需开班会班级
     * @return 结果
     */
    int insertRtClassMeetingClass(RtClassMeetingClass rtClassMeetingClass);

    /**
     * 修改需开班会班级
     *
     * @param rtClassMeetingClass 需开班会班级
     * @return 结果
     */
    int updateRtClassMeetingClass(RtClassMeetingClass rtClassMeetingClass);

    /**
     * 批量删除需开班会班级
     *
     * @param ids 需要删除的需开班会班级主键集合
     * @return 结果
     */
    int deleteRtClassMeetingClassByIds(Long[] ids);

    /**
     * 删除需开班会班级信息
     *
     * @param id 需开班会班级主键
     * @return 结果
     */
    int deleteRtClassMeetingClassById(Long id);
}
