package com.srs.routine.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.routine.domain.RtStuDropOutSchool;

/**
 * 学生退学申请记录Service接口
 *
 * @author LSD
 * @date 2024-06-20
 */
public interface IRtStuDropOutSchoolService extends IService<RtStuDropOutSchool> {
    /**
     * 查询学生退学申请记录
     *
     * @param dropOutSchoolId 学生退学申请记录主键
     * @return 学生退学申请记录
     */
    public RtStuDropOutSchool selectRtStuDropOutSchoolByDropOutSchoolId(Long dropOutSchoolId);

    /**
     * 查询学生退学申请记录列表
     *
     * @param rtStuDropOutSchool 学生退学申请记录
     * @return 学生退学申请记录集合
     */
    List<RtStuDropOutSchool> selectRtStuDropOutSchoolList(RtStuDropOutSchool rtStuDropOutSchool);

    /**
     * 新增学生退学申请记录
     *
     * @param rtStuDropOutSchool 学生退学申请记录
     * @return 结果
     */
    int insertRtStuDropOutSchool(RtStuDropOutSchool rtStuDropOutSchool);

    /**
     * 修改学生退学申请记录
     *
     * @param rtStuDropOutSchool 学生退学申请记录
     * @return 结果
     */
    int updateRtStuDropOutSchool(RtStuDropOutSchool rtStuDropOutSchool);

    /**
     * 批量删除学生退学申请记录
     *
     * @param dropOutSchoolIds 需要删除的学生退学申请记录主键集合
     * @return 结果
     */
    int deleteRtStuDropOutSchoolByDropOutSchoolIds(Long[] dropOutSchoolIds);

    /**
     * 删除学生退学申请记录信息
     *
     * @param dropOutSchoolId 学生退学申请记录主键
     * @return 结果
     */
    int deleteRtStuDropOutSchoolByDropOutSchoolId(Long dropOutSchoolId);

    /**
     * 根据流程id获取数据
     * @param procInsId
     * @return
     */
    RtStuDropOutSchool selectRtStuDropOutSchoolByprocInsId(String procInsId);

    /**
     * 修改
     * @param rtStuDropOutSchool
     * @return
     */
    int editRtStuDropOutSchool(RtStuDropOutSchool rtStuDropOutSchool);

    /**
     * 获取学务数据
     * @param rtStuDropOutSchool
     * @return
     */
    List<RtStuDropOutSchool> selectRtStuDropOutSchoolListByXW(RtStuDropOutSchool rtStuDropOutSchool);
}
