package com.srs.routine.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.routine.domain.RtStuLeaveOperationRecords;

/**
 * 请假操作记录Service接口
 *
 * @author LSD
 * @date 2024-03-30
 */
public interface IRtStuLeaveOperationRecordsService extends IService<RtStuLeaveOperationRecords> {
    /**
     * 查询请假操作记录
     *
     * @param operationRecordsId 请假操作记录主键
     * @return 请假操作记录
     */
    public RtStuLeaveOperationRecords selectRtStuLeaveOperationRecordsByOperationRecordsId(Long operationRecordsId);

    /**
     * 查询请假操作记录列表
     *
     * @param rtStuLeaveOperationRecords 请假操作记录
     * @return 请假操作记录集合
     */
    List<RtStuLeaveOperationRecords> selectRtStuLeaveOperationRecordsList(RtStuLeaveOperationRecords rtStuLeaveOperationRecords);

    /**
     * 新增请假操作记录
     *
     * @param rtStuLeaveOperationRecords 请假操作记录
     * @return 结果
     */
    int insertRtStuLeaveOperationRecords(RtStuLeaveOperationRecords rtStuLeaveOperationRecords);

    /**
     * 修改请假操作记录
     *
     * @param rtStuLeaveOperationRecords 请假操作记录
     * @return 结果
     */
    int updateRtStuLeaveOperationRecords(RtStuLeaveOperationRecords rtStuLeaveOperationRecords);

    /**
     * 批量删除请假操作记录
     *
     * @param operationRecordsIds 需要删除的请假操作记录主键集合
     * @return 结果
     */
    int deleteRtStuLeaveOperationRecordsByOperationRecordsIds(Long[] operationRecordsIds);

    /**
     * 删除请假操作记录信息
     *
     * @param operationRecordsId 请假操作记录主键
     * @return 结果
     */
    int deleteRtStuLeaveOperationRecordsByOperationRecordsId(Long operationRecordsId);
}
