package com.srs.staff.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;


/**
 * 一站式社区-功能房开放时间对象 staff_one_stop_room_opening_hours
 *
 * @author chc
 * @date 2024-08-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "StaffOneStopRoomOpeningHours对象", description = "一站式社区-功能房开放时间")
@TableName("staff_one_stop_room_opening_hours")
public class StaffOneStopRoomOpeningHours extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 功能房开放时间id
     */
    @ApiModelProperty("功能房开放时间id")
    @TableField("oh_id")
    private Long ohId;

    /**
     * 功能房编码
     */
    @ApiModelProperty("功能房编码")
    @TableField("room_no")
    @Excel(name = "功能房编码")
    private String roomNo;

    /**
     * 星期几
     */
    @ApiModelProperty("星期几")
    @TableField("oh_weekday")
    @Excel(name = "星期几")
    private String ohWeekday;

    /**
     * 开放时间段
     */
    @ApiModelProperty("开放时间段")
    @TableField("opening_hours")
    @Excel(name = "开放时间段")
    private String openingHours;

    /**
     * 是否使用
     */
    @ApiModelProperty("是否使用 0未使用 1使用")
    @TableField("is_occupy")
    @Excel(name = "是否使用 0未使用 1使用")
    private Long isOccupy;

    /**
     * 是否删除
     */
    @ApiModelProperty("是否删除 0正常 1删除")
    @TableField("is_del")
    @Excel(name = "是否删除 0正常 1删除")
    private Long isDel;


    /**
     * 功能房开放时间编码
     */
    @ApiModelProperty("功能房开放时间编码")
    @TableField("rt_no")
    @Excel(name = "功能房开放时间编码")
    private String rtNo;

}
