package com.srs.staff.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 文件管理对象 sys_rfile
 *
 * @author srs
 * @date 2024-05-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysRfile对象" , description = "学校文件管理")
@TableName("sys_rfile")
public class SysRfile extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 文件id
     */
    @ApiModelProperty("文件id")
    @TableField("rfile_id")
    private Long rfileId;

    /**
     * 文件标题
     */
    @ApiModelProperty("文件标题")
    @TableField("rfile_title")
    @Excel(name = "文件标题")
    private String rfileTitle;

    /**
     * 文件路径
     */
    @ApiModelProperty("文件路径")
    @TableField("rfile_path")
    @Excel(name = "文件路径")
    private String rfilePath;

    /**
     * 文件类型
     */
    @ApiModelProperty("文件类型")
    @TableField("rfile_type")
    @Excel(name = "文件类型")
    private String rfileType;

    /**
     * 文件上传日期
     */
    @ApiModelProperty("文件上传日期")
    @TableField("rfile_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "文件上传日期" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date rfileDate;


        }
