package com.srs.staff.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 导出报名数据模板
 */
@ApiModel("导出报名数据模板")
@Data
public class SrsStaffOneStopRegistrationRecordExportVo {
    private static final long serialVersionUID = 1L;

    /**
     * 活动主题
     */
    @ApiModelProperty(value = "活动主题", required = true)
    @TableField("activity_theme")
    @Excel(name = "活动主题")
    private String activityTheme;


    /**
     * 发起人
     */
    @ApiModelProperty(value = "发起人", required = true)
    @TableField("initiator")
    @Excel(name = "发起人")
    private String initiator;

    /**
     * 报名人
     */
    @ApiModelProperty(value = "报名人", required = true)
    @TableField("applicant")
    @Excel(name = "报名人")
    private String applicant;

    /**
     * 报名时间
     */
    @ApiModelProperty("报名时间")
    @TableField("registration_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "报名时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date registrationTime;

    /**
     * 审核状态
     */
    @ApiModelProperty("审核状态值")
    @Excel(name = "审核状态")
    private String auditStatusValue;

    /**
     * 工号\学号
     */
    @ApiModelProperty("工号\\学号")
    @TableField("job_number")
    @Excel(name = "工号\\学号")
    private String jobNumber;
}
