package com.srs.staff.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.staff.domain.SrsStaffOneStopRegistrationRecord;
import com.srs.staff.domain.vo.SrsStaffOneStopRegistrationRecordExportVo;
import org.apache.ibatis.annotations.Param;

/**
 * 一站式社区模块-社区活动-报名记录Service接口
 *
 * @author chc
 * @date 2024-07-16
 */
public interface ISrsStaffOneStopRegistrationRecordService extends IService<SrsStaffOneStopRegistrationRecord> {
    /**
     * 查询一站式社区模块-社区活动-报名记录
     *
     * @param recordId 一站式社区模块-社区活动-报名记录主键
     * @return 一站式社区模块-社区活动-报名记录
     */
    public SrsStaffOneStopRegistrationRecord selectSrsStaffOneStopRegistrationRecordByRecordId(Long recordId);

    /**
     * 查询一站式社区模块-社区活动-报名记录
     *
     * @param activityId 一站式社区模块-社区活动主键
     * @return 一站式社区模块-社区活动-报名记录
     */
    public SrsStaffOneStopRegistrationRecord selectRecordByActivityIdAndApplicant(@Param("activityId") Long activityId, @Param("jobNumber") String jobNumber);

    /**
     * 查询一站式社区模块-社区活动-报名记录列表
     *
     * @param srsStaffOneStopRegistrationRecord 一站式社区模块-社区活动-报名记录
     * @return 一站式社区模块-社区活动-报名记录集合
     */
    List<SrsStaffOneStopRegistrationRecord> selectSrsStaffOneStopRegistrationRecordList(SrsStaffOneStopRegistrationRecord srsStaffOneStopRegistrationRecord);

    List<SrsStaffOneStopRegistrationRecordExportVo> selectSrsStaffOneStopRegistrationRecordListexport(SrsStaffOneStopRegistrationRecord srsStaffOneStopRegistrationRecord);


    /**
     * 新增一站式社区模块-社区活动-报名记录
     *
     * @param srsStaffOneStopRegistrationRecord 一站式社区模块-社区活动-报名记录
     * @return 结果
     */
    int insertSrsStaffOneStopRegistrationRecord(SrsStaffOneStopRegistrationRecord srsStaffOneStopRegistrationRecord);

    /**
     * 修改一站式社区模块-社区活动-报名记录
     *
     * @param srsStaffOneStopRegistrationRecord 一站式社区模块-社区活动-报名记录
     * @return 结果
     */
    int updateSrsStaffOneStopRegistrationRecord(SrsStaffOneStopRegistrationRecord srsStaffOneStopRegistrationRecord);

    /**
     * 批量修改一站式社区模块-社区活动-报名记录
     *
     * @param registrationRecordList 一站式社区模块-社区活动-报名记录
     * @return 结果
     */
    int batchUpdateSysRegistrationRecord(List<SrsStaffOneStopRegistrationRecord> registrationRecordList);

    /**
     * 批量删除一站式社区模块-社区活动-报名记录
     *
     * @param recordIds 需要删除的一站式社区模块-社区活动-报名记录主键集合
     * @return 结果
     */
    int deleteSrsStaffOneStopRegistrationRecordByRecordIds(Long[] recordIds);

    /**
     * 删除一站式社区模块-社区活动-报名记录信息
     *
     * @param recordId 一站式社区模块-社区活动-报名记录主键
     * @return 结果
     */
    int deleteSrsStaffOneStopRegistrationRecordByRecordId(Long recordId);

    public List<Map<String, Object>> getDepartmentReservationCount(String startTime,String endTime,String role,String borrower,Integer auditStatus,String rtDepar);

    public List<Map<String, Object>> getRoomReservationCount(String startTime,String endTime,String role,String borrower,Integer auditStatus,String rtDepar);

    public List<Map<String, Object>> getDepartmentUsageStatistics(String startTime,String endTime,String role,String borrower,Integer auditStatus,String rtDepar);

    public List<Map<String, Object>> getRoomUsageStatistics(String startTime,String endTime,String role,String borrower,Integer auditStatus,String rtDepar);

    int resetAuditStatus(Integer id);
}
