package com.srs.staff.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.staff.domain.StaffOneStopRoomOpeningHours;

/**
 * 一站式社区-功能房开放时间Service接口
 *
 * @author chc
 * @date 2024-08-13
 */
public interface IStaffOneStopRoomOpeningHoursService extends IService<StaffOneStopRoomOpeningHours> {
    /**
     * 查询一站式社区-功能房开放时间
     *
     * @param ohId 一站式社区-功能房开放时间主键
     * @return 一站式社区-功能房开放时间
     */
    public StaffOneStopRoomOpeningHours selectStaffOneStopRoomOpeningHoursByOhId(Long ohId);

    /**
     * 查询一站式社区-功能房开放时间列表
     *
     * @param staffOneStopRoomOpeningHours 一站式社区-功能房开放时间
     * @return 一站式社区-功能房开放时间集合
     */
    List<StaffOneStopRoomOpeningHours> selectStaffOneStopRoomOpeningHoursList(StaffOneStopRoomOpeningHours staffOneStopRoomOpeningHours);

    /**
     * 新增一站式社区-功能房开放时间
     *
     * @param staffOneStopRoomOpeningHours 一站式社区-功能房开放时间
     * @return 结果
     */
    int insertStaffOneStopRoomOpeningHours(StaffOneStopRoomOpeningHours staffOneStopRoomOpeningHours);

    /**
     * 批量新增一站式社区-功能房开放时间
     *
     * @param staffOneStopRoomOpeningHoursList 一站式社区-功能房开放时间
     * @return 结果
     */
    int insertStaffOneStopRoomOpeningHoursBatch(List<StaffOneStopRoomOpeningHours> staffOneStopRoomOpeningHoursList);

    /**
     * 修改一站式社区-功能房开放时间
     *
     * @param staffOneStopRoomOpeningHours 一站式社区-功能房开放时间
     * @return 结果
     */
    int updateStaffOneStopRoomOpeningHours(StaffOneStopRoomOpeningHours staffOneStopRoomOpeningHours);

    /**
     * 批量删除一站式社区-功能房开放时间
     *
     * @param ohIds 需要删除的一站式社区-功能房开放时间主键集合
     * @return 结果
     */
    int deleteStaffOneStopRoomOpeningHoursByOhIds(Long[] ohIds);

    /**
     * 删除一站式社区-功能房开放时间信息
     *
     * @param ohId 一站式社区-功能房开放时间主键
     * @return 结果
     */
    int deleteStaffOneStopRoomOpeningHoursByOhId(Long ohId);
}
