package com.srs.staff.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.staff.domain.StaffOneStopRoomOpeningHours;
import com.srs.staff.domain.StaffOneStopRoomReservation;
import org.apache.ibatis.annotations.Param;

/**
 * 一站式社区-功能房-预约记录Service接口
 *
 * @author chc
 * @date 2024-08-12
 */
public interface IStaffOneStopRoomReservationService extends IService<StaffOneStopRoomReservation> {
    /**
     * 查询一站式社区-功能房-预约记录
     *
     * @param rtId 一站式社区-功能房-预约记录主键
     * @return 一站式社区-功能房-预约记录
     */
    public StaffOneStopRoomReservation selectStaffOneStopRoomReservationByRtId(Long rtId);

    /**
     * 查询一站式社区-功能房-预约记录
     *
     * @param rtTime 一站式社区-功能房-预约记录主键
     * @return 一站式社区-功能房-预约记录
     */
    public List<StaffOneStopRoomOpeningHours> selectStaffOneStopRoomReservationByRtTime(@Param("roomNo") String roomNo, @Param("rtTime") String rtTime);

    /**
     * 查询一站式社区-功能房-预约记录列表
     *
     * @param staffOneStopRoomReservation 一站式社区-功能房-预约记录
     * @return 一站式社区-功能房-预约记录集合
     */
    List<StaffOneStopRoomReservation> selectStaffOneStopRoomReservationList(StaffOneStopRoomReservation staffOneStopRoomReservation);

    /**
     * 新增一站式社区-功能房-预约记录
     *
     * @param staffOneStopRoomReservation 一站式社区-功能房-预约记录
     * @return 结果
     */
    int insertStaffOneStopRoomReservation(StaffOneStopRoomReservation staffOneStopRoomReservation);

    /**
     * 修改一站式社区-功能房-预约记录
     *
     * @param staffOneStopRoomReservation 一站式社区-功能房-预约记录
     * @return 结果
     */
    int updateStaffOneStopRoomReservation(StaffOneStopRoomReservation staffOneStopRoomReservation);

    /**
     * 批量删除一站式社区-功能房-预约记录
     *
     * @param rtIds 需要删除的一站式社区-功能房-预约记录主键集合
     * @return 结果
     */
    int deleteStaffOneStopRoomReservationByRtIds(Long[] rtIds);

    /**
     * 删除一站式社区-功能房-预约记录信息
     *
     * @param rtId 一站式社区-功能房-预约记录主键
     * @return 结果
     */
    int deleteStaffOneStopRoomReservationByRtId(Long rtId);
}
