package com.srs.staff.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.staff.domain.StaffOneStopRoom;

/**
 * 一站式社区-功能房Service接口
 *
 * @author chc
 * @date 2024-08-12
 */
public interface IStaffOneStopRoomService extends IService<StaffOneStopRoom> {
    /**
     * 查询一站式社区-功能房
     *
     * @param roomId 一站式社区-功能房主键
     * @return 一站式社区-功能房
     */
    public StaffOneStopRoom selectStaffOneStopRoomByRoomId(Long roomId);

    /**
     * 查询一站式社区-功能房列表
     *
     * @param staffOneStopRoom 一站式社区-功能房
     * @return 一站式社区-功能房集合
     */
    List<StaffOneStopRoom> selectStaffOneStopRoomList(StaffOneStopRoom staffOneStopRoom);

    /**
     * 新增一站式社区-功能房
     *
     * @param staffOneStopRoom 一站式社区-功能房
     * @return 结果
     */
    int insertStaffOneStopRoom(StaffOneStopRoom staffOneStopRoom);

    /**
     * 修改一站式社区-功能房
     *
     * @param staffOneStopRoom 一站式社区-功能房
     * @return 结果
     */
    int updateStaffOneStopRoom(StaffOneStopRoom staffOneStopRoom);

    /**
     * 批量删除一站式社区-功能房
     *
     * @param roomIds 需要删除的一站式社区-功能房主键集合
     * @return 结果
     */
    int deleteStaffOneStopRoomByRoomIds(Long[] roomIds);

    /**
     * 删除一站式社区-功能房信息
     *
     * @param roomId 一站式社区-功能房主键
     * @return 结果
     */
    int deleteStaffOneStopRoomByRoomId(Long roomId);
}
