package com.srs.stureg.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 新生照片对象 srs_reg_photo
 *
 * @author srs
 * @date 2024-04-02
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SrsRegPhoto对象" , description = "stureg")
@TableName("srs_reg_photo")
public class SrsRegPhoto extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * #
     */
    @ApiModelProperty("#")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 考生号
     */
    @ApiModelProperty("考生号")
    @TableField("ksh")
    @Excel(name = "考生号")
    private String ksh;

    /**
     * 照片
     */
    @ApiModelProperty("照片")
    @TableField("photo")
    @Excel(name = "照片")
    private String photo;

    /**
     * 状态（0正常
     */
    @ApiModelProperty("状态（0正常")
    @TableField("status")
    @Excel(name = "状态" , readConverterExp = "状态（0正常")
    private String status;

    /**
     * 删除标志（0代表存在
     */
    @ApiModelProperty("删除标志（0代表存在")
    @TableField("del_flag")
    private String delFlag;


        }
