package com.srs.stureg.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 新生待办对象 srs_task_list
 *
 * @author srs
 * @date 2024-03-20
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SrsTaskList对象" , description = "新生待办表")
@TableName("srs_task_list")
public class SrsTaskList extends BaseEntity{
    private static final long serialVersionUID=1L;

    @TableField("task_code")
    public String taskCode;

    @ApiModelProperty("是否开启")
    @TableField("is_open")
    public String isOpen;


    /**
     * id
     */
    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 项目名称
     */
    @ApiModelProperty("项目名称")
    @TableField("project_name")
    @Excel(name = "项目名称")
    private String projectName;

    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    @TableField("start_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 截止时间
     */
    @ApiModelProperty("截止时间")
    @TableField("end_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "截止时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    @TableField("status")
    @Excel(name = "状态")
    private String status;

    /**
     * 指向地址
     */
    @ApiModelProperty("指向地址")
    @TableField("url")
    @Excel(name = "指向地址")
    private String url;

    /**
     * 排序
     */
    @ApiModelProperty("排序")
    @TableField("row_rank")
    @Excel(name = "排序")
    private Long rowRank;

    /**
     * 是否必办
     */
    @ApiModelProperty("是否必办")
    @TableField("is_must")
    @Excel(name = "是否必办")
    private Long isMust;

    /**
     * 删除标志（0代表存在
     */
    @ApiModelProperty("删除标志（0代表存在")
    @TableField("del_flag")
    private String delFlag;


}
