package com.srs.survey.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 学工去向调查发布	对象 sur_survey
 *
 * @author srs
 * @date 2025-03-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SurSurvey对象" , description = "学工去向调查发布表	")
@TableName("sur_survey")
public class SurSurvey extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 发布主题id
     */
    @ApiModelProperty("发布主题id")
    @TableId("survey_id")
    private Long surveyId;

    /**
     * 发布的主题
     */
    @ApiModelProperty("发布的主题")
    @TableField("survey_name")
    @Excel(name = "发布的主题")
    private String surveyName;

    /**
     * 截止时间
     */
    @ApiModelProperty("截止时间")
    @TableField("cutoff_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "截止时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date cutoffTime;

    /**
     * 状态:1、发布,0、关闭
     */
    @ApiModelProperty("状态:1、发布,0、关闭")
    @TableField("status")
    @Excel(name = "状态:1、发布,0、关闭")
    private String status;

    @TableField("count_date")
    public String countDate;


    @TableField(exist = false)
    public String isSubmit;

    @TableField(exist = false)
    public String leaveStatus;

    @TableField(exist = false)
    public String homeGps;


}
