package com.srs.system.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;


/**
 * 部门映射对象 sys_dept_map
 *
 * @author srs
 * @date 2024-05-13
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysDeptMap对象", description = "部门映射")
@TableName("sys_dept_map")
public class SysDeptMap {
    private static final long serialVersionUID = 1L;

    /**
     * #
     */
    @ApiModelProperty("#")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 原部门id
     */
    @ApiModelProperty("原部门id")
    @TableField("old_dept_id")
    @Excel(name = "原部门id")
    private Long oldDeptId;

    /**
     * 映射的部门id
     */
    @ApiModelProperty("映射的部门id")
    @TableField("new_dept_id")
    @Excel(name = "映射的部门id")
    private Long newDeptId;


    @TableField(exist = false)
    public String oldDeptName;

    @TableField(exist = false)
    public String newDeptName;

    @TableField(exist = false)
    public String oldDeptCode;

    @TableField(exist = false)
    public String newDeptCode;

}
