package com.srs.system.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 优化建议对象 sys_suggestion
 *
 * @author srs
 * @date 2025-04-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysSuggestion对象" , description = "优化建议表")
@TableName("sys_suggestion")
public class SysSuggestion extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 序号
     */
    @ApiModelProperty("序号")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 标题
     */
    @ApiModelProperty("标题")
    @TableField("title")
    @Excel(name = "标题")
    private String title;

    /**
     * 图片
     */
    @ApiModelProperty("图片")
    @TableField("img")
    @Excel(name = "图片")
    private String img;


}
