package com.srs.system.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.system.domain.QgzxTeacher;

/**
 * 教职工信息Service接口
 *
 * @author srs
 * @date 2025-07-14
 */
public interface IQgzxTeacherService extends IService<QgzxTeacher> {
    /**
     * 查询教职工信息
     *
     * @param teacherId 教职工信息主键
     * @return 教职工信息
     */
    public QgzxTeacher selectQgzxTeacherByTeacherId(Long teacherId);

    /**
     * 查询教职工信息列表
     *
     * @param qgzxTeacher 教职工信息
     * @return 教职工信息集合
     */
    List<QgzxTeacher> selectQgzxTeacherList(QgzxTeacher qgzxTeacher);

    /**
     * 新增教职工信息
     *
     * @param qgzxTeacher 教职工信息
     * @return 结果
     */
    int insertQgzxTeacher(QgzxTeacher qgzxTeacher);

    /**
     * 修改教职工信息
     *
     * @param qgzxTeacher 教职工信息
     * @return 结果
     */
    int updateQgzxTeacher(QgzxTeacher qgzxTeacher);

    /**
     * 批量删除教职工信息
     *
     * @param teacherIds 需要删除的教职工信息主键集合
     * @return 结果
     */
    int deleteQgzxTeacherByTeacherIds(Long[] teacherIds);

    /**
     * 删除教职工信息信息
     *
     * @param teacherId 教职工信息主键
     * @return 结果
     */
    int deleteQgzxTeacherByTeacherId(Long teacherId);
}
