package com.srs.teacher.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 综合绩效对象 sys_performance
 *
 * @author srs
 * @date 2024-06-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysPerformance对象" , description = "综合绩效")
@TableName("sys_performance")
public class SysPerformance extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 辅导员id
     */
    @ApiModelProperty("辅导员id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 填报时间
     */
    @ApiModelProperty("填报时间")
    @TableField("fd_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "填报时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date fdTime;

    /**
     * 第二课堂合格人数

     */
    @ApiModelProperty("第二课堂合格人数")
    @TableField("credit_pass")
    @Excel(name = "第二课堂合格人数")
    private String creditPass;

    /**
     * 院级状态
     */
    @ApiModelProperty("院级状态")
    @TableField("yjstatus")
    @Excel(name = "院级状态")
    private Long yjstatus;

    /**
     * 院级意见
     */
    @ApiModelProperty("院级意见")
    @TableField("yjidea")
    @Excel(name = "院级意见")
    private String yjidea;

    /**
     * 学工状态
     */
    @ApiModelProperty("学工状态")
    @TableField("xgstatus")
    @Excel(name = "学工状态")
    private Long xgstatus;

    /**
     * 学工意见
     */
    @ApiModelProperty("学工意见")
    @TableField("xgidea")
    @Excel(name = "学工意见")
    private String xgidea;

    /**
     * 学院
     */
    @ApiModelProperty("学院")
    @TableField("college")
    @Excel(name = "学院")
    private String college;

    /**
     * 填报人
     */
    @ApiModelProperty("填报人")
    @TableField("fd_name")
    @Excel(name = "填报人")
    private String fdName;

    /**
     * 活动类型
     */
    @ApiModelProperty("活动类型")
    @TableField("active_type")
    @Excel(name = "活动类型")
    private String activeType;

    /**
     * 年份
     */
    @ApiModelProperty("年份")
    @TableField("years")
    @Excel(name = "年份")
    private String years;

    /**
     * 完成情况
     */
    @ApiModelProperty("完成情况")
    @TableField("sucesss")
    @Excel(name = "完成情况")
    private String sucesss;

    /**
     * 提交状态
     */
    @ApiModelProperty("提交状态")
    @TableField("substatus")
    @Excel(name = "提交状态")
    private Long substatus;

    /**
     * 审核状态
     */
    @ApiModelProperty("审核状态")
    @TableField("shstatus")
    @Excel(name = "审核状态")
    private Long shstatus;

    /**
     * 学务状态
     */
    @ApiModelProperty("学务状态")
    @TableField("xwstatus")
    @Excel(name = "学务状态")
    private Long xwstatus;

    /**
     * 学务意见
     */
    @ApiModelProperty("学务意见")
    @TableField("xwidea")
    @Excel(name = "学务意见")
    private String xwidea;

    /**
     * 科室复核状态
     */
    @ApiModelProperty("科室复核状态")
    @TableField("ksstatus")
    @Excel(name = "科室复核状态")
    private Long ksstatus;

    /**
     * 科室意见
     */
    @ApiModelProperty("科室意见")
    @TableField("ksidea")
    @Excel(name = "科室意见")
    private String ksidea;

    /**
     * 个人填报-辅导员工作室
     */
    @ApiModelProperty(value = "个人填报-辅导员工作室工作室", hidden = true)
    @Excel(name = "个人填报-辅导员工作室工作室")
    private List<SysPerformanceActive> activeList;

    /**
     * 个人填报-辅导员承担任务
     */
    @ApiModelProperty(value = "个人填报-承担任务", hidden = true)
    @Excel(name = "个人填报-承担任务")
    private List<SysPerformanceRw> rwList;


    /**
     * 个人填报-辅导员承担任务
     */
    @ApiModelProperty(value = "个人填报-担任职务", hidden = true)
    @Excel(name = "个人填报-担任职务")
    private List<SysPerformanceServing> servingList;


    /**
     * 个人填报-辅导员承担任务
     */
    @ApiModelProperty(value = "个人填报-最大奖励", hidden = true)
    @Excel(name = "个人填报-最大奖励")
    private List<SysPerformanceTask> taskList;



    /**
     * 个人填报-辅导员承担任务
     */
    @ApiModelProperty(value = "个人填报-最大奖励", hidden = true)
    @Excel(name = "个人填报-最大奖励")
    private List<SysPerformancePass> passList;

}


