package com.srs.teacher.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 综合绩效-辅导员工作室对象 sys_performance_active
 *
 * @author srs
 * @date 2024-06-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysPerformanceActive对象" , description = "综合绩效-工作室绩效")
@TableName("sys_performance_active")
public class SysPerformanceActive extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 辅导员绩效id
     */
    @ApiModelProperty("辅导员绩效id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 活动类型

     */
    @ApiModelProperty("活动类型")
    @TableField("active_type")
    @Excel(name = "活动类型")
    private String activeType;

    /**
     * 工作室时间

     */
    @ApiModelProperty("工作室时间")
    @TableField("gzs_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "工作室时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date gzsTime;

    /**
     * 工作室地点
     */
    @ApiModelProperty("工作室地点")
    @TableField("gzs_place")
    @Excel(name = "工作室地点")
    private String gzsPlace;

    /**
     * 参与领导
     */
    @ApiModelProperty("参与领导")
    @TableField("gzs_participate")
    @Excel(name = "参与领导")
    private String gzsParticipate;

    /**
     * 参与辅导员
     */
    @ApiModelProperty("参与辅导员")
    @TableField("gzs_fdy")
    @Excel(name = "参与辅导员")
    private String gzsFdy;

    /**
     * 参与学生
     */
    @ApiModelProperty("参与学生")
    @TableField("gzs_stu")
    @Excel(name = "参与学生")
    private String gzsStu;

    /**
     * 活动主题
     */
    @ApiModelProperty("活动主题")
    @TableField("gzs_theme")
    @Excel(name = "活动主题")
    private String gzsTheme;

    /**
     * 活动开展介绍
     */
    @ApiModelProperty("活动开展介绍")
    @TableField("gzs_introduce")
    @Excel(name = "活动开展介绍")
    private String gzsIntroduce;

    /**
     * 现场图片
     */
    @ApiModelProperty("现场图片")
    @TableField("gzs_picture")
    @Excel(name = "现场图片")
    private String gzsPicture;

    /**
     * 新闻
     */
    @ApiModelProperty("新闻")
    @TableField("gzs_news")
    @Excel(name = "新闻")
    private String gzsNews;

    /**
     * 分配比例
     */
    @ApiModelProperty("分配比例")
    @TableField("gzs_proportion")
    @Excel(name = "分配比例")
    private String gzsProportion;

    /**
     * 填写年份
     */
    @ApiModelProperty("填写年份")
    @TableField("years")
    @Excel(name = "填写年份")
    private String years;

    /**
     * 填报人
     */
    @ApiModelProperty("填报人")
    @TableField("fd_name")
    @Excel(name = "填报人")
    private String fdName;


        }
