package com.srs.teacher.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;

import java.util.List;


/**
 * achievementcheck对象 sys_teacher_achievementcheck
 *
 * @author srs
 * @date 2024-06-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysTeacherAchievementcheck对象" , description = "辅导员成果审核")
@TableName("sys_teacher_achievementcheck")
public class SysTeacherAchievementcheck extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 成果绩效ID
     */
    @ApiModelProperty("成果绩效ID")
    @TableField("check_id")
    private Long checkId;

    /**
     * 辅导员ID
     */
    @ApiModelProperty("辅导员ID")
    @TableField("teacher_id")
    @Excel(name = "辅导员ID",needMerge = true)
    private Long teacherId;

    /**
     * 辅导员姓名
     */
    @ApiModelProperty("辅导员姓名")
    @TableField("teacher_name")
    @Excel(name = "辅导员姓名",needMerge = true)
    private String teacherName;

    /**
     * 辅导员学院
     */
    @ApiModelProperty("辅导员学院")
    @TableField("teacher_college")
    @Excel(name = "辅导员学院",needMerge = true)
    private String teacherCollege;

    /**
     * 论文发表名称
     */
    @ApiModelProperty("论文发表名称")
    @TableField("thesis_title")
    private String thesisTitle;

    /**
     * 刊物名称
     */
    @ApiModelProperty("刊物名称")
    @TableField("thesis_publication")
    private String thesisPublication;

    /**
     * 课题研究名称
     */
    @ApiModelProperty("课题研究名称")
    @TableField("research_name")
    private String researchName;

    /**
     * 课题研究等级
     */
    @ApiModelProperty("课题研究等级")
    @TableField("research_level")
    private String researchLevel;

    /**
     * 工作案例名称
     */
    @ApiModelProperty("工作案例名称")
    @TableField("workexample_name")
    private String workexampleName;

    /**
     * 工作案例获奖级别
     */
    @ApiModelProperty("工作案例获奖级别")
    @TableField("workexample_level")
    private String workexampleLevel;

    /**
     * 指导比赛项目
     */
    @ApiModelProperty("指导比赛项目")
    @TableField("guidance_project")
    private String guidanceProject;

    /**
     * 指导比赛获奖等级
     */
    @ApiModelProperty("指导比赛获奖等级")
    @TableField("guidance_awardLevel")
    private String guidanceAwardlevel;

    /**
     * 参加比赛项目
     */
    @ApiModelProperty("参加比赛项目")
    @TableField("contest_project")
    private String contestProject;

    /**
     * 参加比赛获奖等级
     */
    @ApiModelProperty("参加比赛获奖等级")
    @TableField("contest_awardLevel")
    private String contestAwardlevel;

    /**
     * 荣誉称号
     */
    @ApiModelProperty("荣誉称号")
    @TableField("honor_name")
    private String honorName;

    /**
     * 荣誉等级
     */
    @ApiModelProperty("荣誉等级")
    @TableField("honor_level")
    private String honorLevel;

    /**
     * 审核状态
     */
    @ApiModelProperty("审核状态")
    @TableField("check_status")
    private String checkStatus;

    /**
     * 审核年度
     */
    @ApiModelProperty("审核年度")
    @TableField("check_year")
    @Excel(name = "审核年度",needMerge = true)
    private String checkYear;

    /**
     * 审核人
     */
    @ApiModelProperty("审核人")
    @TableField("check_person")
    private String checkPerson;

    /**
     * 论文发表ID
     */
    @ApiModelProperty("论文发表ID")
    @TableField("thesis_id")
    private Long thesisId;

    /**
     * 课题研究ID
     */
    @ApiModelProperty("课题研究ID")
    @TableField("research_id")
    private Long researchId;

    /**
     * 工作案例ID
     */
    @ApiModelProperty("工作案例ID")
    @TableField("workexample_id")
    private Long workexampleId;

    /**
     * 指导比赛ID
     */
    @ApiModelProperty("指导比赛ID")
    @TableField("guidance_id")
    private Long guidanceId;

    /**
     * 参加比赛ID
     */
    @ApiModelProperty("参加比赛ID")
    @TableField("contest_id")
    private Long contestId;

    /**
     * 个人荣誉ID
     */
    @ApiModelProperty("个人荣誉ID")
    @TableField("honor_id")
    private Long honorId;

    /**
     * 驳回原因
     */
    @ApiModelProperty("驳回原因")
    @TableField("returnReason")
    private String returnReason;

    /**
     * 申请时间
     */
    @ApiModelProperty("申请时间")
    @TableField("submitTime")
    @Excel(name = "申请时间",needMerge = true)
    private String submitTime;


    /**
     * 审核更新时间
     */
    @ApiModelProperty("审核更新时间")
    @TableField("lastTime")
    private String lastTime;

//    @Excel(name = "论文成果")
//    private List<SysTeacherThesis> thesisList;
//
//    @Excel(name = "课题研究")
//    private List<SysTeacherResearch> researchList;
//
//    @Excel(name = "工作案例",needMerge = true)
//    private List<SysTeacherWorkexample> workexampleList;
//
//    @Excel(name = "指导参赛",needMerge = true)
//    private List<SysTeacherGuidance> guidanceList;
//
//    @Excel(name = "个人参赛",needMerge = true)
//    private List<SysTeacherContest> contestList;
//
//    @Excel(name = "个人荣誉",needMerge = true)
//    private List<SysTeacherHonor> honorList;
        }
