package com.srs.teacher.domain;

import java.util.List;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * basicMessage对象 sys_teacher_basicmessage
 *
 * @author srs
 * @date 2024-06-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysTeacherBasicmessage对象" , description = "辅导员基本信息")
@TableName("sys_teacher_basicmessage")
public class SysTeacherBasicmessage extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 辅导员ID
     */
    @ApiModelProperty("辅导员ID")
    @TableField("teacher_id")
    private Long teacherId;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    @TableField("name")
    @Excel(name = "姓名")
    private String name;

    /**
     * 性别
     */
    @ApiModelProperty("性别")
    @TableField("gender")
    @Excel(name = "性别")
    private String gender;

    /**
     * 出生年月
     */
    @ApiModelProperty("出生年月")
    @TableField("birthday")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生年月" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    /**
     * 民族
     */
    @ApiModelProperty("民族")
    @TableField("nation")
    @Excel(name = "民族")
    private String nation;

    /**
     * 照片
     */
    @ApiModelProperty("照片")
    @TableField("photo")
    @Excel(name = "照片")
    private String photo;

    /**
     * 政治面貌
     */
    @ApiModelProperty("政治面貌")
    @TableField("political")
    @Excel(name = "政治面貌")
    private String political;

    /**
     * 微信账号
     */
    @ApiModelProperty("微信账号")
    @TableField("wechat")
    @Excel(name = "微信账号")
    private String wechat;

    /**
     * 手机号码
     */
    @ApiModelProperty("手机号码")
    @TableField("phone")
    @Excel(name = "手机号码")
    private String phone;

    /**
     * 通讯地址
     */
    @ApiModelProperty("通讯地址")
    @TableField("address")
    @Excel(name = "通讯地址")
    private String address;

    /**
     * 身份证号码
     */
    @ApiModelProperty("身份证号码")
    @TableField("identity")
    @Excel(name = "身份证号码")
    private String identity;

    /**
     * QQ号码
     */
    @ApiModelProperty("QQ号码")
    @TableField("qqnumber")
    @Excel(name = "QQ号码")
    private String qqnumber;

    /**
     * 婚姻状况
     */
    @ApiModelProperty("婚姻状况")
    @TableField("marriage")
    @Excel(name = "婚姻状况")
    private String marriage;

    /**
     * 其他职务
     */
    @ApiModelProperty("其他职务")
    @TableField("anotherDuties")
    @Excel(name = "其他职务")
    private String anotherDuties;

    /**
     * 二级单位
     */
    @ApiModelProperty("二级单位")
    @TableField("level2units")
    @Excel(name = "二级单位")
    private String level2units;

    /**
     * 担任辅导员时间
     */
    @ApiModelProperty("担任辅导员时间")
    @TableField("serviceHours")
    @Excel(name = "担任辅导员时间")
    private String serviceHours;

    /**
     * 岗位性质
     */
    @ApiModelProperty("岗位性质")
    @TableField("jobNature")
    @Excel(name = "岗位性质")
    private String jobNature;

    /**
     * 参加工作时间
     */
    @ApiModelProperty("参加工作时间")
    @TableField("joinWorkHours")
    @Excel(name = "参加工作时间")
    private String joinWorkHours;

    /**
     * 最高学历
     */
    @ApiModelProperty("最高学历")
    @TableField("highestEducation")
    @Excel(name = "最高学历")
    private String highestEducation;

    /**
     * 毕业院校
     */
    @ApiModelProperty("毕业院校")
    @TableField("educated")
    @Excel(name = "毕业院校")
    private String educated;

    /**
     * 专业
     */
    @ApiModelProperty("专业")
    @TableField("study")
    @Excel(name = "专业")
    private String study;

    /**
     * 最后学位
     */
    @ApiModelProperty("最后学位")
    @TableField("lastestEducation")
    @Excel(name = "最后学位")
    private String lastestEducation;

    /**
     * 学位授予院校
     */
    @ApiModelProperty("学位授予院校")
    @TableField("awardingInstitutions")
    @Excel(name = "学位授予院校")
    private String awardingInstitutions;

    /**
     * 电子邮箱
     */
    @ApiModelProperty("电子邮箱")
    @TableField("email")
    @Excel(name = "电子邮箱")
    private String email;

    /**
     * 学院
     */
    @ApiModelProperty("学院")
    @TableField("college")
    @Excel(name = "学院")
    private String college;


/**
 * takeClass信息
 */
private List<SysTeacherTakeclass> sysTeacherTakeclassList;


        }
