package com.srs.teacher.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * certificate对象 sys_teacher_certificate
 *
 * @author srs
 * @date 2024-05-30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysTeacherCertificate对象" , description = "职业资格")
@TableName("sys_teacher_certificate")
public class SysTeacherCertificate extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 职业证书ID
     */
    @ApiModelProperty("职业证书ID")
    @TableField("certificate_id")
    private Long certificateId;

    /**
     * 辅导员ID
     */
    @ApiModelProperty("辅导员ID")
    @TableField("teacher_id")
    @Excel(name = "辅导员ID")
    private Long teacherId;

    /**
     * 证书名称
     */
    @ApiModelProperty("证书名称")
    @TableField("name")
    @Excel(name = "证书名称")
    private String name;

    /**
     * 授予单位
     */
    @ApiModelProperty("授予单位")
    @TableField("unit")
    @Excel(name = "授予单位")
    private String unit;

    /**
     * 获取时间
     */
    @ApiModelProperty("获取时间")
    @TableField("getTime")
    @Excel(name = "获取时间")
    private String getTime;

    /**
     * 证书
     */
    @ApiModelProperty("证书")
    @TableField("photo")
    @Excel(name = "证书")
    private String photo;


        }
