package com.srs.teacher.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;


/**
 * 业绩考核-个人填报-考勤管理-会议佐证材料对象 sys_teacher_conference_meeting_materials
 *
 * @author chc
 * @date 2024-06-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysTeacherConferenceMeetingMaterials对象", description = "业绩考核-个人填报-考勤管理-会议佐证材料")
@TableName("sys_teacher_conference_meeting_materials")
public class SysTeacherConferenceMeetingMaterials extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 会议培训佐证材料id
     */
    @ApiModelProperty("会议培训佐证材料id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 主题
     */
    @ApiModelProperty("主题")
    @TableField("subject")
    @Excel(name = "主题")
    private String subject;

    /**
     * 组织单位
     */
    @ApiModelProperty("组织单位")
    @TableField("organizational_unit")
    @Excel(name = "组织单位")
    private String organizationalUnit;

    /**
     * 会议培训开始时间
     */
    @ApiModelProperty("会议培训开始时间")
    @TableField("start_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "会议培训开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 地点
     */
    @ApiModelProperty("地点")
    @TableField("place")
    @Excel(name = "地点")
    private String place;

    /**
     * 填报人名称
     */
    @ApiModelProperty(value = "填报人名称", required = true)
    @TableField("fdy_name")
    @Excel(name = "填报人名称")
    private String fdyName;

    /**
     * 填报年份
     */
    @ApiModelProperty(value = "填报年份", required = true)
    @TableField("filling_year")
    @Excel(name = "填报年份")
    private String fillingYear;

    /**
     * 填报月份
     */
    @ApiModelProperty(value = "填报月份", required = true)
    @TableField("filling_month")
    @Excel(name = "填报月份")
    private String fillingMonth;


}
