package com.srs.teacher.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * course对象 sys_teacher_course
 *
 * @author srs
 * @date 2024-06-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysTeacherCourse对象" , description = "课程教学")
@TableName("sys_teacher_course")
public class SysTeacherCourse extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 课程教学ID
     */
    @ApiModelProperty("课程教学ID")
    @TableField("course_id")
    private Long courseId;

    /**
     * 辅导员ID
     */
    @ApiModelProperty("辅导员ID")
    @TableField("teacher_id")
    @Excel(name = "辅导员ID")
    private Long teacherId;

    /**
     * 课程名称
     */
    @ApiModelProperty("课程名称")
    @TableField("name")
    @Excel(name = "课程名称")
    private String name;

    /**
     * 课程类型
     */
    @ApiModelProperty("课程类型")
    @TableField("courseType")
    @Excel(name = "课程类型")
    private String courseType;

    /**
     * 课程性质
     */
    @ApiModelProperty("课程性质")
    @TableField("courseNature")
    @Excel(name = "课程性质")
    private String courseNature;

    /**
     * 课时量
     */
    @ApiModelProperty("课时量")
    @TableField("courseHour")
    @Excel(name = "课时量")
    private Long courseHour;

    /**
     * 授课人数
     */
    @ApiModelProperty("授课人数")
    @TableField("studentNumber")
    @Excel(name = "授课人数")
    private Long studentNumber;

    /**
     * 起始时间
     */
    @ApiModelProperty("起始时间")
    @TableField("startTime")
    @Excel(name = "起始时间")
    private String startTime;

    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    @TableField("endTime")
    @Excel(name = "结束时间")
    private String endTime;


        }
