package com.srs.teacher.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;

import java.math.BigDecimal;
import java.util.List;


/**
 * 业绩考核-个人填报-考勤管理对象 sys_teacher_kpi_filling_a_mgt
 *
 * @author chc
 * @date 2024-06-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysTeacherKpiFillingAMgt对象", description = "业绩考核-个人填报-考勤管理")
@TableName("sys_teacher_kpi_filling_a_mgt")
public class SysTeacherKpiFillingAMgt extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 考勤管理id
     */
    @ApiModelProperty("考勤管理id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 值班工作分数
     */
    @ApiModelProperty("值班工作分数")
    @TableField("duty_work_scoring")
    @Excel(name = "值班工作分数")
    private BigDecimal dutyWorkScoring;

    /**
     * 会议分数
     */
    @ApiModelProperty("会议分数")
    @TableField("conference_scoring")
    @Excel(name = "会议分数")
    private BigDecimal conferenceScoring;

    /**
     * 填报人名称
     */
    @ApiModelProperty(value = "填报人名称", required = true)
    @TableField("fdy_name")
    @Excel(name = "填报人名称")
    private String fdyName;

    /**
     * 填报年份
     */
    @ApiModelProperty(value = "填报年份", required = true)
    @TableField("filling_year")
    @Excel(name = "填报年份")
    private String fillingYear;

    /**
     * 填报月份
     */
    @ApiModelProperty(value = "填报月份", required = true)
    @TableField("filling_month")
    @Excel(name = "填报月份")
    private String fillingMonth;

    /**
     * 个人填报-考勤管理-会议培训佐证材料
     */
    @ApiModelProperty(value = "个人填报-考勤管理-会议培训佐证材料", hidden = true)
    @Excel(name = "个人填报-考勤管理-会议培训佐证材料")
    private List<SysTeacherConferenceMeetingMaterials> conferenceMeetingMaterialsList;


}
