package com.srs.teacher.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;

import java.util.Date;


/**
 * 业绩考核-个人填报-审核记录对象 sys_teacher_kpi_filling_audit_record
 *
 * @author chc
 * @date 2024-07-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysTeacherKpiFillingAuditRecord对象", description = "业绩考核-个人填报-审核记录表")
@TableName("sys_teacher_kpi_filling_audit_record")
public class SysTeacherKpiFillingAuditRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 审核记录id
     */
    @ApiModelProperty("审核记录id")
    @TableField("audit_record_id")
    private Long auditRecordId;

    /**
     * 填报人名称
     */
    @ApiModelProperty("填报人名称")
    @TableField("fdy_name")
    @Excel(name = "填报人名称")
    private String fdyName;

    /**
     * 辅导员工号
     */
    @ApiModelProperty("辅导员工号")
    @TableField("job_number")
    @Excel(name = "辅导员工号")
    private String jobNumber;

    /**
     * 填报年份
     */
    @ApiModelProperty("填报年份")
    @TableField("filling_year")
    @Excel(name = "填报年份")
    private String fillingYear;

    /**
     * 填报月份
     */
    @ApiModelProperty("填报月份")
    @TableField("filling_month")
    @Excel(name = "填报月份")
    private String fillingMonth;

    /**
     * 审核状态
     */
    @ApiModelProperty("审核状态 0待审核 1通过 2不通过")
    @TableField("audit_status")
    @Excel(name = "审核状态 0待审核 1通过 2不通过")
    private Long auditStatus;

    /**
     * 角色审核状态1学务办
     */
    @ApiModelProperty("角色审核状态1学务办 2党总支书记 3科室 4学工处长")
    @TableField("role_audit")
    @Excel(name = "角色审核状态1学务办 2党总支书记 3科室 4学工处长")
    private Long roleAudit;

    /**
     * 学院
     */
    @ApiModelProperty("学院")
    @TableField("departmentName")
    @Excel(name = "学院")
    private String departmentName;

    /**
     * 学务意见
     */
    @ApiModelProperty("学务意见")
    @TableField("xw_opinion")
    @Excel(name = "学务意见")
    private String xwOpinion;

    /**
     * 党总支书记意见
     */
    @ApiModelProperty("党总支书记意见")
    @TableField("dzzsj_opinion")
    @Excel(name = "党总支书记意见")
    private String dzzsjOpinion;

    /**
     * 科室意见
     */
    @ApiModelProperty("科室意见")
    @TableField("ks_opinion")
    @Excel(name = "科室意见")
    private String ksOpinion;

    /**
     * 学工处长意见
     */
    @ApiModelProperty("学工处长意见")
    @TableField("xgcz_opinion")
    @Excel(name = "学工处长意见")
    private String xgczOpinion;


    /**
     * 审核人名称
     */
    @ApiModelProperty("审核人名称")
    @TableField("audit_name")
    @Excel(name = "审核人名称")
    private String auditName;

    /**
     * 审核时间
     */
    @ApiModelProperty("审核时间")
    @TableField("audit_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "审核时间" , width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;


}
