package com.srs.teacher.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;

import java.math.BigDecimal;


/**
 * 个人填报-业务工作对象 sys_teacher_kpi_filling_business_work
 *
 * @author chc
 * @date 2024-06-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysTeacherKpiFillingBusinessWork对象", description = "业绩考核-个人填报-业务工作")
@TableName("sys_teacher_kpi_filling_business_work")
public class SysTeacherKpiFillingBusinessWork extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 业务工作id
     */
    @ApiModelProperty("业务工作id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 学生请假材料分数
     */
    @ApiModelProperty("学生请假材料分数")
    @TableField("stu_leave_materials_scoring")
    @Excel(name = "学生请假材料分数")
    private BigDecimal stuLeaveMaterialsScoring;

    /**
     * 认真指导学生完成各项材料填报工作分数
     */
    @ApiModelProperty("认真指导学生完成各项材料填报工作分数")
    @TableField("stu_filling_materials_scoring")
    @Excel(name = "认真指导学生完成各项材料填报工作分数")
    private BigDecimal stuFillingMaterialsScoring;

    /**
     * 按时按质完成学生基础数据上报工作分数
     */
    @ApiModelProperty("按时按质完成学生基础数据上报工作分数")
    @TableField("stu_basic_data_scoring")
    @Excel(name = "按时按质完成学生基础数据上报工作分数")
    private BigDecimal stuBasicDataScoring;

    /**
     * 按规定完成学生违纪处分分数
     */
    @ApiModelProperty("按规定完成学生违纪处分分数")
    @TableField("stu_disciplinary_violation_scoring")
    @Excel(name = "按规定完成学生违纪处分分数")
    private BigDecimal stuDisciplinaryViolationScoring;

    /**
     * 按程序要求处理突发事件分数
     */
    @ApiModelProperty("按程序要求处理突发事件分数")
    @TableField("handle_events_scoring")
    @Excel(name = "按程序要求处理突发事件分数")
    private BigDecimal handleEventsScoring;

    /**
     * 填报人名称
     */
    @ApiModelProperty(value = "填报人名称", required = true)
    @TableField("fdy_name")
    @Excel(name = "填报人名称")
    private String fdyName;

    /**
     * 填报年份
     */
    @ApiModelProperty(value = "填报年份", required = true)
    @TableField("filling_year")
    @Excel(name = "填报年份")
    private String fillingYear;

    /**
     * 填报月份
     */
    @ApiModelProperty(value = "填报月份", required = true)
    @TableField("filling_month")
    @Excel(name = "填报月份")
    private String fillingMonth;


}
