package com.srs.teacher.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;

import javax.validation.constraints.NotNull;


/**
 * 业绩考核-个人填报-超工作量奖励绩效对象 sys_teacher_kpi_filling_rewards_kpi
 *
 * @author chc
 * @date 2024-06-12
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysTeacherKpiFillingRewardsKpi对象", description = "业绩考核-个人填报-超工作量奖励绩效")
@TableName("sys_teacher_kpi_filling_rewards_kpi")
public class SysTeacherKpiFillingRewardsKpi extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 超工作量奖励绩效id
     */
    @ApiModelProperty("超工作量奖励绩效id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 值班说明
     */
    @ApiModelProperty("值班说明")
    @TableField("duty_description")
    @Excel(name = "值班说明")
    private String dutyDescription;

    /**
     * 值班时间
     */
    @ApiModelProperty("值班时间")
    @TableField("duty_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "值班时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dutyTime;

    /**
     * 值班人
     */
    @ApiModelProperty("值班人")
    @TableField("duty_user_name")
    @Excel(name = "值班人")
    private String dutyUserName;

    /**
     * 填报人名称
     */
    @ApiModelProperty(value = "填报人名称", required = true)
    @TableField("fdy_name")
    @Excel(name = "填报人名称")
    private String fdyName;

    /**
     * 填报年份
     */
    @ApiModelProperty(value = "填报年份", required = true)
    @TableField("filling_year")
    @Excel(name = "填报年份")
    private String fillingYear;

    /**
     * 填报月份
     */
    @ApiModelProperty(value = "填报月份", required = true)
    @TableField("filling_month")
    @Excel(name = "填报月份")
    @NotNull(message = "填报月份不能为空")
    private String fillingMonth;


}
