package com.srs.teacher.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * research对象 sys_teacher_research
 *
 * @author srs
 * @date 2024-06-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysTeacherResearch对象" , description = "辅导员课题研究")
@TableName("sys_teacher_research")
public class SysTeacherResearch extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 课题研究ID
     */
    @ApiModelProperty("课题研究ID")
    @TableField("research_id")
    private Long researchId;

    @Excel(name = "序号",needMerge = true)
    private int sortId;

    /**
     * 辅导员ID
     */
    @ApiModelProperty("辅导员ID")
    @TableField("teacher_id")
    @Excel(name = "工号",needMerge = true)
    private Long teacherId;

    @Excel(name = "辅导员姓名",needMerge = true)
    private String teacherName;

    @Excel(name = "辅导员学院",needMerge = true)
    private String teacherCollege;

    /**
     * 课题立项名称
     */
    @ApiModelProperty("课题立项名称")
    @TableField("name")
    @Excel(name = "课题立项名称")
    private String name;

    /**
     * 课题项目
     */
    @ApiModelProperty("课题项目")
    @TableField("project")
    @Excel(name = "课题项目")
    private String project;

    /**
     * 发证单位
     */
    @ApiModelProperty("发证单位")
    @TableField("proofunit")
    @Excel(name = "发证单位")
    private String proofunit;

    /**
     * 等级
     */
    @ApiModelProperty("等级")
    @TableField("level")
    @Excel(name = "等级")
    private String level;

    /**
     * 获奖时间
     */
    @ApiModelProperty("获奖时间")
    @TableField("awardTime")
    @Excel(name = "获奖时间")
    private String awardTime;

    /**
     * 参与人员姓名
     */
    @ApiModelProperty("参与人员姓名")
    @TableField("participantName")
    @Excel(name = "参与人员姓名")
    private String participantName;

    /**
     * 获奖年度
     */
    @ApiModelProperty("获奖年度")
    @TableField("year")
    @Excel(name = "获奖年度")
    private String year;

    /**
     * 佐证材料
     */
    @ApiModelProperty("佐证材料")
    @TableField("evidence")
    @Excel(name = "佐证材料",width = 20)
    private String evidence;

    /**
     * 审核状态
     */
    @ApiModelProperty("审核状态")
    @TableField("check_status")
    private String checkStatus;

    /**
     * 审核人
     */
    @ApiModelProperty("审核人")
    @TableField("check_person")
    private String checkPerson;

    /**
     * 学院
     */
    @ApiModelProperty("学院")
    @TableField("college")
    private String college;

    /**
     * 驳回理由
     */
    @ApiModelProperty("驳回理由")
    @TableField("returnReason")
    private String returnReason;

    /**
     * 提交年度
     */
    @ApiModelProperty("提交年度")
    @TableField("submitYear")
    private String submitYear;


        }
