package com.srs.teacher.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * thesis对象 sys_teacher_thesis
 *
 * @author srs
 * @date 2024-06-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysTeacherThesis对象" , description = "辅导员论文成果")
@TableName("sys_teacher_thesis")
public class SysTeacherThesis extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 论文ID
     */
    @ApiModelProperty("论文ID")
    @TableField("thesis_id")
    private Long thesisId;

    @Excel(name = "序号",needMerge = true)
    private int sortId;
    /**
     * 辅导员ID
     */
    @ApiModelProperty("辅导员ID")
    @TableField("teacher_id")
    @Excel(name = "工号",needMerge = true)
    private Long teacherId;

    @Excel(name = "辅导员姓名",needMerge = true)
    private String teacherName;

    @Excel(name = "辅导员学院",needMerge = true)
    private String teacherCollege;
    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    @TableField("name")
    private String name;

    /**
     * 论文题目
     */
    @ApiModelProperty("论文题目")
    @TableField("title")
    @Excel(name = "论文题目")
    private String title;

    /**
     * 发表期号
     */
    @ApiModelProperty("发表期号")
    @TableField("issue")
    @Excel(name = "发表期号")
    private String issue;

    /**
     * 刊物名称
     */
    @ApiModelProperty("刊物名称")
    @TableField("publication")
    @Excel(name = "刊物名称")
    private String publication;

    /**
     * 等级
     */
    @ApiModelProperty("等级")
    @TableField("level")
    @Excel(name = "等级")
    private String level;

    /**
     * 获奖年度
     */
    @ApiModelProperty("获奖年度")
    @TableField("year")
    @Excel(name = "获奖年度")
    private String year;

    /**
     * 佐证材料
     */
    @ApiModelProperty("佐证材料")
    @TableField("evidence")
    @Excel(name = "佐证材料")
    private String evidence;

    /**
     * 审核状态
     */
    @ApiModelProperty("审核状态")
    @TableField("check_status")
    private String checkStatus;

    /**
     * 审核人
     */
    @ApiModelProperty("审核人")
    @TableField("check_person")
    private String checkPerson;

    /**
     * 学院
     */
    @ApiModelProperty("学院")
    @TableField("college")
    private String college;

    /**
     * 驳回理由
     */
    @ApiModelProperty("驳回理由")
    @TableField("returnReason")
    private String returnReason;

    /**
     * 提交年度
     */
    @ApiModelProperty("提交年度")
    @TableField("submitYear")
    private String submitYear;


        }
