package com.srs.teacher.domain;

import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * training对象 sys_teacher_training
 *
 * @author srs
 * @date 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysTeacherTraining对象" , description = "辅导员学习培训")
@TableName("sys_teacher_training")
public class SysTeacherTraining extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 培训ID
     */
    @ApiModelProperty("培训ID")
    @TableField("training_id")
    private Long trainingId;

    /**
     * 辅导员ID
     */
    @ApiModelProperty("辅导员ID")
    @TableField("teacher_id")
    @Excel(name = "辅导员ID")
    private Long teacherId;

    /**
     * 培训名称
     */
    @ApiModelProperty("培训名称")
    @TableField("name")
    @Excel(name = "培训名称")
    private String name;

    /**
     * 组织单位
     */
    @ApiModelProperty("组织单位")
    @TableField("organization")
    @Excel(name = "组织单位")
    private String organization;

    /**
     * 培训地点
     */
    @ApiModelProperty("培训地点")
    @TableField("site")
    @Excel(name = "培训地点")
    private String site;

    /**
     * 起始时间
     */
    @ApiModelProperty("起始时间")
    @TableField("startTime")
    @Excel(name = "起始时间")
    private String startTime;

    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    @TableField("endTime")
    @Excel(name = "结束时间")
    private String endTime;

    /**
     * 培训学时
     */
    @ApiModelProperty("培训学时")
    @TableField("hour")
    @Excel(name = "培训学时")
    private String hour;

    /**
     * 培训性质
     */
    @ApiModelProperty("培训性质")
    @TableField("nature")
    @Excel(name = "培训性质")
    private String nature;

    /**
     * 培训级别
     */
    @ApiModelProperty("培训级别")
    @TableField("level")
    @Excel(name = "培训级别")
    private String level;


        }
