package com.srs.teacher.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * workexample对象 sys_teacher_workexample
 *
 * @author srs
 * @date 2024-06-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "SysTeacherWorkexample对象" , description = "辅导员工作案例")
@TableName("sys_teacher_workexample")
public class SysTeacherWorkexample extends BaseEntity{
private static final long serialVersionUID=1L;

    /**
     * 工作案例ID
     */
    @ApiModelProperty("工作案例ID")
    @TableField("workexample_id")
    private Long workexampleId;

    @Excel(name = "序号",needMerge = true)
    private int sortId;

    /**
     * 辅导员ID
     */
    @ApiModelProperty("辅导员ID")
    @TableField("teacher_id")
    @Excel(name = "工号",needMerge = true)
    private Long teacherId;

    @Excel(name = "辅导员姓名",needMerge = true)
    private String teacherName;

    @Excel(name = "辅导员学院",needMerge = true)
    private String teacherCollege;

    /**
     * 案例名称
     */
    @ApiModelProperty("案例名称")
    @TableField("name")
    @Excel(name = "案例名称")
    private String name;

    /**
     * 参与项目
     */
    @ApiModelProperty("参与项目")
    @TableField("takeProject")
    @Excel(name = "参与项目")
    private String takeProject;

    /**
     * 发证单位
     */
    @ApiModelProperty("发证单位")
    @TableField("proofunit")
    @Excel(name = "发证单位")
    private String proofunit;

    /**
     * 等级
     */
    @ApiModelProperty("等级")
    @TableField("level")
    @Excel(name = "等级")
    private String level;

    /**
     * 获奖时间
     */
    @ApiModelProperty("获奖时间")
    @TableField("awardTime")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "获奖时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date awardTime;

    /**
     * 参与人员姓名
     */
    @ApiModelProperty("参与人员姓名")
    @TableField("participantName")
    @Excel(name = "参与人员姓名")
    private String participantName;

    /**
     * 获奖年度
     */
    @ApiModelProperty("获奖年度")
    @TableField("year")
    @Excel(name = "获奖年度")
    private String year;

    /**
     * 佐证材料
     */
    @ApiModelProperty("佐证材料")
    @TableField("evidence")
    @Excel(name = "佐证材料",width = 20)
    private String evidence;

    /**
     * 审核状态
     */
    @ApiModelProperty("审核状态")
    @TableField("check_status")
    private String checkStatus;

    /**
     * 审核人
     */
    @ApiModelProperty("审核人")
    @TableField("check_person")
    private String checkPerson;

    /**
     * 学院
     */
    @ApiModelProperty("学院")
    @TableField("college")
    private String college;

    /**
     * 驳回理由
     */
    @ApiModelProperty("驳回理由")
    @TableField("returnReason")
    private String returnReason;

    /**
     * 提交年度
     */
    @ApiModelProperty("提交年度")
    @TableField("submitYear")
    private String submitYear;


        }
