package com.srs.teacher.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel("综合绩效数据")
public class SysPerformanceActiveDao {

    /**
     * 序号
     */
    @Excel(name = "序号",isSeq = true)
    private Long seq;

    /**
     * 工号
     */
    @ApiModelProperty("工号")
    @Excel(name = "工号")
    private String creditPass;

    /**
     * 学院
     */
    @ApiModelProperty("学院")
    @Excel(name = "学院")
    private String college;

    /**
     * 填报人
     */
    @ApiModelProperty("填报人")
    @Excel(name = "填报人")
    private String fdName;

    /**
     * 年份
     */
    @ApiModelProperty("年份")
    @Excel(name = "年份")
    private String years;

    /**
     * 审核状态
     */
    @ApiModelProperty("审核状态")
    @Excel(name = "审核状态")
    private Long shstatus;

////    第二课堂及格人数
//    /**
//     * 所带学生第二课堂合格人数
//     */
//    @ApiModelProperty("所带学生第二课堂合格人数")
//    @Excel(name = "所带学生第二课堂合格人数")
//    private String passs;


////    辅导员工作室
    /**
     * 活动类型

     */
    @ApiModelProperty("活动类型")
    @Excel(name = "活动类型(工作室业绩)")
    private String activeType;

    /**
     * 工作室时间

     */
    @ApiModelProperty("工作室时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "工作室时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date gzsTime;

    /**
     * 工作室地点
     */
    @ApiModelProperty("工作室地点")
    @Excel(name = "工作室地点")
    private String gzsPlace;

    /**
     * 参与领导
     */
    @ApiModelProperty("参与领导")
    @Excel(name = "参与领导")
    private String gzsParticipate;

    /**
     * 参与辅导员
     */
    @ApiModelProperty("参与辅导员")
    @Excel(name = "参与辅导员")
    private String gzsFdy;

    /**
     * 参与学生
     */
    @ApiModelProperty("参与学生")
    @Excel(name = "参与学生")
    private String gzsStu;

    /**
     * 活动主题
     */
    @ApiModelProperty("活动主题")
    @Excel(name = "活动主题")
    private String gzsTheme;

    /**
     * 活动开展介绍
     */
    @ApiModelProperty("活动开展介绍")
    @Excel(name = "活动开展介绍")
    private String gzsIntroduce;

    /**
     * 现场图片
     */
    @ApiModelProperty("现场图片")
    @Excel(name = "现场图片")
    private String gzsPicture;

    /**
     * 新闻
     */
    @ApiModelProperty("新闻")
    @Excel(name = "新闻")
    private String gzsNews;

    /**
     * 分配比例
     */
    @ApiModelProperty("分配比例")
    @Excel(name = "分配比例")
    private String gzsProportion;

////    承接区级
//
//    /**
//     * 活动类型
//     */
//    @ApiModelProperty("活动类型")
//    @TableField("rw_type")
//    @Excel(name = "活动类型（承接任务）")
//    private String rwType;
//
//    /**
//     * 时间
//     */
//    @ApiModelProperty("时间")
//    @TableField("rw_time")
//    @JsonFormat(pattern = "yyyy-MM-dd")
//    @Excel(name = "时间" , width = 30, dateFormat = "yyyy-MM-dd")
//    private Date rwTime;
//
//    /**
//     * 地点
//
//     */
//    @ApiModelProperty("地点")
//    @TableField("rw_place")
//    @Excel(name = "地点")
//    private String rwPlace;
//
//    /**
//     * 参与领导
//     */
//    @ApiModelProperty("参与领导")
//    @TableField("rw_participate")
//    @Excel(name = "参与领导")
//    private String rwParticipate;
//
//    /**
//     * 工作人员
//     */
//    @ApiModelProperty("工作人员")
//    @TableField("rw_people")
//    @Excel(name = "工作人员")
//    private String rwPeople;
//
//    /**
//     * 活动主题
//     */
//    @ApiModelProperty("活动主题")
//    @TableField("rw_theme")
//    @Excel(name = "活动主题")
//    private String rwTheme;
//
//    /**
//     * 完成情况
//     */
//    @ApiModelProperty("完成情况")
//    @TableField("rw_situation")
//    @Excel(name = "完成情况")
//    private String rwSituation;
//
//    /**
//     * 参与学生
//     */
//    @ApiModelProperty("参与学生 ")
//    @TableField("rw_stu")
//    @Excel(name = "参与学生")
//    private String rwStu;
//
//    /**
//     * 分配比例
//     */
//    @ApiModelProperty("分配比例")
//    @TableField("rw_proportion")
//    @Excel(name = "分配比例")
//    private String rwProportion;
//
//    /**
//     * 文件
//     */
//    @ApiModelProperty("文件")
//    @TableField("rw_file")
//    @Excel(name = "文件")
//    private String rwFile;
//
//    /**
//     * 新闻
//     */
//    @ApiModelProperty("新闻")
//    @TableField("rw_news")
//    @Excel(name = "新闻")
//    private String rwNews;
//
//    /**
//     * 照片
//     */
//    @ApiModelProperty("照片")
//    @TableField("rw_picture")
//    @Excel(name = "照片")
//    private String rwPicture;
//
////    担任职务
//    /**
//     * 职务
//     */
//    @ApiModelProperty("职务")
//    @TableField("serving_post")
//    @Excel(name = "职务")
//    private String servingPost;
//
//    /**
//     * 担任时间
//
//     */
//    @ApiModelProperty("开始时间")
//    @TableField("serving_time")
//    @JsonFormat(pattern = "yyyy-MM-dd")
//    @Excel(name = "担任时间" , width = 30, dateFormat = "yyyy-MM-dd")
//    private Date servingTime;
//
//    /**
//     * 图片上传
//     */
//    @ApiModelProperty("图片上传")
//    @TableField("serving_file")
//    @Excel(name = "图片上传")
//    private String servingFile;
//
//    /**
//     * 任职人
//     */
//    @ApiModelProperty("结束时间")
//    @TableField("appointment")
//    @JsonFormat(pattern = "yyyy-MM-dd")
//    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
//    private String appointment;
//
//    /**
//     * 任务描述
//     */
//    @ApiModelProperty("任务描述")
//    @TableField("task_describe")
//    @Excel(name = "任务描述")
//    private String taskDescribe;
//
//    /**
//     * 开始时间
//     */
//    @ApiModelProperty("开始时间")
//    @TableField("task_start")
//    @Excel(name = "开始时间")
//    private String taskStart;
//
//    /**
//     * 结束时间
//     */
//    @ApiModelProperty("结束时间")
//    @TableField("task_end")
//    @Excel(name = "结束时间")
//    private String taskEnd;





//
//
//    /**
//     * 个人填报-辅导员工作室
//     */
//    @ApiModelProperty(value = "个人填报-辅导员工作室工作室", hidden = true)
//    @Excel(name = "个人填报-辅导员工作室工作室")
//    private List<SysPerformanceActive> activeList;
//
//    /**
//     * 个人填报-辅导员承担任务
//     */
//    @ApiModelProperty(value = "个人填报-承担任务", hidden = true)
//    @Excel(name = "个人填报-承担任务")
//    private List<SysPerformanceRw> rwList;
//
//
//    /**
//     * 个人填报-辅导员承担任务
//     */
//    @ApiModelProperty(value = "个人填报-担任职务", hidden = true)
//    @Excel(name = "个人填报-担任职务")
//    private List<SysPerformanceServing> servingList;
//
//
//    /**
//     * 个人填报-辅导员承担任务
//     */
//    @ApiModelProperty(value = "个人填报-最大奖励", hidden = true)
//    @Excel(name = "个人填报-最大奖励")
//    private List<SysPerformanceTask> taskList;
//
//
//
//    /**
//     * 个人填报-辅导员承担任务
//     */
//    @ApiModelProperty(value = "个人填报-最大奖励", hidden = true)
//    @Excel(name = "个人填报-最大奖励")
//    private List<SysPerformancePass> passList;


}
