package com.srs.teacher.mapper;

import java.util.List;

import com.srs.teacher.domain.SysPerformanceActive;
import com.srs.teacher.domain.SysPerformanceTask;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * 综合测试-最大奖励Mapper接口
 *
 * @author srs
 * @date 2024-06-20
 */
public interface SysPerformanceTaskMapper extends BaseMapper<SysPerformanceTask> {
    /**
     * 查询综合测试-最大奖励
     *
     * @param id 综合测试-最大奖励主键
     * @return 综合测试-最大奖励
     */
    public SysPerformanceTask selectSysPerformanceTaskById(Long id);

    /**
     * 查询综合测试-最大奖励
     *
     * @param fdName 查询综合测试-最大奖励
     * @return 查询综合测试-最大奖励
     */
    public SysPerformanceTask selectSysPerformanceTaskByFdyName(@Param("fdName") String fdName, @Param("years") String years);

    /**
     * 查询综合测试-最大奖励列表
     *
     * @param sysPerformanceTask 综合测试-最大奖励
     * @return 综合测试-最大奖励集合
     */
    List<SysPerformanceTask> selectSysPerformanceTaskList(SysPerformanceTask sysPerformanceTask);

    /**
     * 新增综合测试-最大奖励
     *
     * @param sysPerformanceTask 综合测试-最大奖励
     * @return 结果
     */
    int insertSysPerformanceTask(SysPerformanceTask sysPerformanceTask);

    /**
     * 修改综合测试-最大奖励
     *
     * @param sysPerformanceTask 综合测试-最大奖励
     * @return 结果
     */
    int updateSysPerformanceTask(SysPerformanceTask sysPerformanceTask);

    /**
     * 删除综合测试-最大奖励
     *
     * @param id 综合测试-最大奖励主键
     * @return 结果
     */
    int deleteSysPerformanceTaskById(Long id);

    /**
     * 批量删除综合测试-最大奖励
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysPerformanceTaskByIds(Long[] ids);
}
