package com.srs.teacher.mapper;

import java.util.List;

import com.srs.teacher.domain.SysTeacherAppraise;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * appraiseMapper接口
 *
 * @author srs
 * @date 2024-06-12
 */
public interface SysTeacherAppraiseMapper extends BaseMapper<SysTeacherAppraise> {
    /**
     * 查询appraise
     *
     * @param appraiseId appraise主键
     * @return appraise
     */
    public SysTeacherAppraise selectSysTeacherAppraiseByAppraiseId(Long appraiseId);

    /**
     * 查询appraise列表
     *
     * @param sysTeacherAppraise appraise
     * @return appraise集合
     */
    List<SysTeacherAppraise> selectSysTeacherAppraiseList(SysTeacherAppraise sysTeacherAppraise);

    /**
     * 新增appraise
     *
     * @param sysTeacherAppraise appraise
     * @return 结果
     */
    int insertSysTeacherAppraise(SysTeacherAppraise sysTeacherAppraise);

    /**
     * 修改appraise
     *
     * @param sysTeacherAppraise appraise
     * @return 结果
     */
    int updateSysTeacherAppraise(SysTeacherAppraise sysTeacherAppraise);

    /**
     * 删除appraise
     *
     * @param appraiseId appraise主键
     * @return 结果
     */
    int deleteSysTeacherAppraiseByAppraiseId(Long appraiseId);

    /**
     * 批量删除appraise
     *
     * @param appraiseIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysTeacherAppraiseByAppraiseIds(Long[] appraiseIds);
}
