package com.srs.teacher.mapper;

import java.util.List;

import com.srs.teacher.domain.SysTeacherCertificate;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * certificateMapper接口
 *
 * @author srs
 * @date 2024-05-30
 */
public interface SysTeacherCertificateMapper extends BaseMapper<SysTeacherCertificate> {
    /**
     * 查询certificate
     *
     * @param certificateId certificate主键
     * @return certificate
     */
    public SysTeacherCertificate selectSysTeacherCertificateByCertificateId(Long certificateId);

    /**
     * 查询certificate列表
     *
     * @param sysTeacherCertificate certificate
     * @return certificate集合
     */
    List<SysTeacherCertificate> selectSysTeacherCertificateList(SysTeacherCertificate sysTeacherCertificate);

    /**
     * 新增certificate
     *
     * @param sysTeacherCertificate certificate
     * @return 结果
     */
    int insertSysTeacherCertificate(SysTeacherCertificate sysTeacherCertificate);

    /**
     * 修改certificate
     *
     * @param sysTeacherCertificate certificate
     * @return 结果
     */
    int updateSysTeacherCertificate(SysTeacherCertificate sysTeacherCertificate);

    /**
     * 删除certificate
     *
     * @param certificateId certificate主键
     * @return 结果
     */
    int deleteSysTeacherCertificateByCertificateId(Long certificateId);

    /**
     * 批量删除certificate
     *
     * @param certificateIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysTeacherCertificateByCertificateIds(Long[] certificateIds);
}
