package com.srs.teacher.mapper;

import java.util.List;

import com.srs.teacher.domain.SysTeacherConferenceMeetingMaterials;
import com.srs.teacher.domain.SysTeacherKpiFillingAMgt;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * 业绩考核-个人填报-考勤管理Mapper接口
 *
 * @author chc
 * @date 2024-06-11
 */
public interface SysTeacherKpiFillingAMgtMapper extends BaseMapper<SysTeacherKpiFillingAMgt> {
    /**
     * 查询业绩考核-个人填报-考勤管理
     *
     * @param id 业绩考核-个人填报-考勤管理主键
     * @return 业绩考核-个人填报-考勤管理
     */
    public SysTeacherKpiFillingAMgt selectSysTeacherKpiFillingAMgtById(Long id);

    /**
     * 查询业绩考核-个人填报-考勤管理列表
     *
     * @param sysTeacherKpiFillingAMgt 业绩考核-个人填报-考勤管理
     * @return 业绩考核-个人填报-考勤管理集合
     */
    List<SysTeacherKpiFillingAMgt> selectSysTeacherKpiFillingAMgtList(SysTeacherKpiFillingAMgt sysTeacherKpiFillingAMgt);

    /**
     * 根据辅导员名称、年份 月份 查询
     *
     * @param fdyName 辅导员名称主键
     * @return 业绩考核-个人填报-考勤管理集合
     */
    public List<SysTeacherKpiFillingAMgt> selectSysTeacherKpiFillingAMgtByFdyName(@Param("fdyName") String fdyName, @Param("fillingYear") String fillingYear, @Param("fillingMonth") String fillingMonth);

    /**
     * 新增业绩考核-个人填报-考勤管理
     *
     * @param sysTeacherKpiFillingAMgt 业绩考核-个人填报-考勤管理
     * @return 结果
     */
    int insertSysTeacherKpiFillingAMgt(SysTeacherKpiFillingAMgt sysTeacherKpiFillingAMgt);

    /**
     * 修改业绩考核-个人填报-考勤管理
     *
     * @param sysTeacherKpiFillingAMgt 业绩考核-个人填报-考勤管理
     * @return 结果
     */
    int updateSysTeacherKpiFillingAMgt(SysTeacherKpiFillingAMgt sysTeacherKpiFillingAMgt);

    /**
     * 删除业绩考核-个人填报-考勤管理
     *
     * @param id 业绩考核-个人填报-考勤管理主键
     * @return 结果
     */
    int deleteSysTeacherKpiFillingAMgtById(Long id);

    /**
     * 批量删除业绩考核-个人填报-考勤管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysTeacherKpiFillingAMgtByIds(Long[] ids);
}
