package com.srs.teacher.mapper;

import java.util.List;

import com.srs.teacher.domain.SysTeacherKpiFillingAuditRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.teacher.domain.SysTeacherKpiFillingBusinessWork;
import org.apache.ibatis.annotations.Param;

/**
 * 业绩考核-个人填报-审核记录Mapper接口
 *
 * @author chc
 * @date 2024-07-01
 */
public interface SysTeacherKpiFillingAuditRecordMapper extends BaseMapper<SysTeacherKpiFillingAuditRecord> {
    /**
     * 查询业绩考核-个人填报-审核记录
     *
     * @param auditRecordId 业绩考核-个人填报-审核记录主键
     * @return 业绩考核-个人填报-审核记录
     */
    public SysTeacherKpiFillingAuditRecord selectSysTeacherKpiFillingAuditRecordByAuditRecordId(Long auditRecordId);


    /**
     * 查询业绩考核-个人填报-审核记录
     *
     * @param fdyName 业绩考核-个人填报-审核记录主键
     * @return 业绩考核-个人填报-审核记录
     */
    public SysTeacherKpiFillingAuditRecord selectSysTeacherKpiFillingAuditRecordByFdyName(@Param("fdyName") String fdyName, @Param("fillingYear") String fillingYear, @Param("fillingMonth") String fillingMonth, @Param("auditName") String auditName);

    /**
     * 查询业绩考核-个人填报-审核记录列表
     *
     * @param sysTeacherKpiFillingAuditRecord 业绩考核-个人填报-审核记录
     * @return 业绩考核-个人填报-审核记录集合
     */
    List<SysTeacherKpiFillingAuditRecord> selectSysTeacherKpiFillingAuditRecordList(SysTeacherKpiFillingAuditRecord sysTeacherKpiFillingAuditRecord);

    /**
     * 新增业绩考核-个人填报-审核记录
     *
     * @param sysTeacherKpiFillingAuditRecord 业绩考核-个人填报-审核记录
     * @return 结果
     */
    int insertSysTeacherKpiFillingAuditRecord(SysTeacherKpiFillingAuditRecord sysTeacherKpiFillingAuditRecord);

    /**
     * 新增业绩考核-个人填报-审核记录
     *
     * @param sysTeacherKpiFillingAuditRecordList 业绩考核-个人填报-审核记录列表
     * @return 结果
     */
    int insertSysTeacherKpiFillingAuditRecordBatch(List<SysTeacherKpiFillingAuditRecord> sysTeacherKpiFillingAuditRecordList);

    /**
     * 修改业绩考核-个人填报-审核记录
     *
     * @param sysTeacherKpiFillingAuditRecord 业绩考核-个人填报-审核记录
     * @return 结果
     */
    int updateSysTeacherKpiFillingAuditRecord(SysTeacherKpiFillingAuditRecord sysTeacherKpiFillingAuditRecord);

    /**
     * 删除业绩考核-个人填报-审核记录
     *
     * @param auditRecordId 业绩考核-个人填报-审核记录主键
     * @return 结果
     */
    int deleteSysTeacherKpiFillingAuditRecordByAuditRecordId(Long auditRecordId);

    /**
     * 批量删除业绩考核-个人填报-审核记录
     *
     * @param auditRecordIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysTeacherKpiFillingAuditRecordByAuditRecordIds(Long[] auditRecordIds);
}
