package com.srs.teacher.mapper;

import java.util.List;

import com.srs.teacher.domain.SysTeacherKpiFillingBusinessWork;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * 个人填报-业务工作Mapper接口
 *
 * @author chc
 * @date 2024-06-07
 */
public interface SysTeacherKpiFillingBusinessWorkMapper extends BaseMapper<SysTeacherKpiFillingBusinessWork> {
    /**
     * 查询个人填报-业务工作
     *
     * @param id 个人填报-业务工作主键
     * @return 个人填报-业务工作
     */
    public SysTeacherKpiFillingBusinessWork selectSysTeacherKpiFillingBusinessWorkById(Long id);

    /**
     * 查询个人填报-业务工作列表
     *
     * @param sysTeacherKpiFillingBusinessWork 个人填报-业务工作
     * @return 个人填报-业务工作集合
     */
    List<SysTeacherKpiFillingBusinessWork> selectSysTeacherKpiFillingBusinessWorkList(SysTeacherKpiFillingBusinessWork sysTeacherKpiFillingBusinessWork);

    /**
     * 根据辅导员名称、年份 月份 查询
     *
     * @param fdyName 辅导员名称主键
     * @return 个人填报-业务工作集合
     */
    public List<SysTeacherKpiFillingBusinessWork> selectSysTeacherKpiFillingBusinessWorkByFdyName(@Param("fdyName") String fdyName, @Param("fillingYear") String fillingYear, @Param("fillingMonth") String fillingMonth);


    /**
     * 新增个人填报-业务工作
     *
     * @param sysTeacherKpiFillingBusinessWork 个人填报-业务工作
     * @return 结果
     */
    int insertSysTeacherKpiFillingBusinessWork(SysTeacherKpiFillingBusinessWork sysTeacherKpiFillingBusinessWork);

    /**
     * 修改个人填报-业务工作
     *
     * @param sysTeacherKpiFillingBusinessWork 个人填报-业务工作
     * @return 结果
     */
    int updateSysTeacherKpiFillingBusinessWork(SysTeacherKpiFillingBusinessWork sysTeacherKpiFillingBusinessWork);

    /**
     * 删除个人填报-业务工作
     *
     * @param id 个人填报-业务工作主键
     * @return 结果
     */
    int deleteSysTeacherKpiFillingBusinessWorkById(Long id);

    /**
     * 批量删除个人填报-业务工作
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysTeacherKpiFillingBusinessWorkByIds(Long[] ids);
}
