package com.srs.teacher.mapper;

import java.util.List;

import com.srs.teacher.domain.SysTeacherKpiFilling;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * 业绩考核-个人填报Mapper接口
 *
 * @author chc
 * @date 2024-06-06
 */
public interface SysTeacherKpiFillingMapper extends BaseMapper<SysTeacherKpiFilling> {
    /**
     * 查询业绩考核-个人填报
     *
     * @param id 业绩考核-个人填报主键
     * @return 业绩考核-个人填报
     */
    public SysTeacherKpiFilling selectSysTeacherKpiFillingById(Long id);

    /**
     * 根据辅导员名称、年份 月份 查询业绩考核-个人填报
     *
     * @param fdyName 辅导员名称主键
     * @return 业绩考核-个人填报
     */
    public SysTeacherKpiFilling selectSysTeacherKpiFillingByFdyName(@Param("fdyName") String fdyName,@Param("fillingYear") String fillingYear,@Param("fillingMonth") String fillingMonth);


    /**
     * 查询业绩考核-个人填报列表
     *
     * @param sysTeacherKpiFilling 业绩考核-个人填报
     * @return 业绩考核-个人填报集合
     */
    List<SysTeacherKpiFilling> selectSysTeacherKpiFillingList(SysTeacherKpiFilling sysTeacherKpiFilling);

    /**
     * 查询业绩考核-个人填报列表
     *
     * @return 业绩考核-个人填报集合
     */
    public List<SysTeacherKpiFilling> selectListKpiFilling();

    /**
     * 新增业绩考核-个人填报
     *
     * @param sysTeacherKpiFilling 业绩考核-个人填报
     * @return 结果
     */
    int insertSysTeacherKpiFilling(SysTeacherKpiFilling sysTeacherKpiFilling);

    /**
     * 修改业绩考核-个人填报
     *
     * @param sysTeacherKpiFilling 业绩考核-个人填报
     * @return 结果
     */
    int updateSysTeacherKpiFilling(SysTeacherKpiFilling sysTeacherKpiFilling);

    /**
     * 批量修改业绩考核-个人填报
     *
     * @param sysTeacherKpiFillingList 业绩考核-个人填报
     * @return 结果
     */
    int batchUpdateSysTeacherKpiFilling(List<SysTeacherKpiFilling> sysTeacherKpiFillingList);

    /**
     * 删除业绩考核-个人填报
     *
     * @param id 业绩考核-个人填报主键
     * @return 结果
     */
    int deleteSysTeacherKpiFillingById(Long id);

    /**
     * 批量删除业绩考核-个人填报
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysTeacherKpiFillingByIds(Long[] ids);
}
