package com.srs.teacher.mapper;

import java.util.List;

import com.srs.teacher.domain.SysTeacherTraining;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * trainingMapper接口
 *
 * @author srs
 * @date 2024-05-29
 */
public interface SysTeacherTrainingMapper extends BaseMapper<SysTeacherTraining> {
    /**
     * 查询training
     *
     * @param trainingId training主键
     * @return training
     */
    public SysTeacherTraining selectSysTeacherTrainingByTrainingId(Long trainingId);

    /**
     * 查询training列表
     *
     * @param sysTeacherTraining training
     * @return training集合
     */
    List<SysTeacherTraining> selectSysTeacherTrainingList(SysTeacherTraining sysTeacherTraining);

    /**
     * 新增training
     *
     * @param sysTeacherTraining training
     * @return 结果
     */
    int insertSysTeacherTraining(SysTeacherTraining sysTeacherTraining);

    /**
     * 修改training
     *
     * @param sysTeacherTraining training
     * @return 结果
     */
    int updateSysTeacherTraining(SysTeacherTraining sysTeacherTraining);

    /**
     * 删除training
     *
     * @param trainingId training主键
     * @return 结果
     */
    int deleteSysTeacherTrainingByTrainingId(Long trainingId);

    /**
     * 批量删除training
     *
     * @param trainingIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysTeacherTrainingByTrainingIds(Long[] trainingIds);
}
