package com.srs.teacher.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.teacher.domain.SysPerformanceActive;
import org.apache.ibatis.annotations.Param;

/**
 * 综合绩效-辅导员工作室Service接口
 *
 * @author srs
 * @date 2024-06-17
 */
public interface ISysPerformanceActiveService extends IService<SysPerformanceActive> {
    /**
     * 查询综合绩效-辅导员工作室
     *
     * @param id 综合绩效-辅导员工作室主键
     * @return 综合绩效-辅导员工作室
     */
    public SysPerformanceActive selectSysPerformanceActiveById(Long id);

    /**
     * 查询综合绩效-辅导员工作室列表
     *
     * @param sysPerformanceActive 综合绩效-辅导员工作室
     * @return 综合绩效-辅导员工作室集合
     */
    List<SysPerformanceActive> selectSysPerformanceActiveList(SysPerformanceActive sysPerformanceActive);


    /**
     * 查询综合绩效-辅导员工作室列表
     *
     * @param fdName 综合绩效-辅导员工作室
     * @return 综合绩效-辅导员工作室集合
     */
    public SysPerformanceActive selectSysPerformanceActiveByFdyName(@Param("fdName") String fdName, @Param("years") String years);

    /**
     * 新增综合绩效-辅导员工作室
     *
     * @param sysPerformanceActive 综合绩效-辅导员工作室
     * @return 结果
     */
    int insertSysPerformanceActive(SysPerformanceActive sysPerformanceActive);

    /**
     * 修改综合绩效-辅导员工作室
     *
     * @param sysPerformanceActive 综合绩效-辅导员工作室
     * @return 结果
     */
    int updateSysPerformanceActive(SysPerformanceActive sysPerformanceActive);

    /**
     * 批量删除综合绩效-辅导员工作室
     *
     * @param ids 需要删除的综合绩效-辅导员工作室主键集合
     * @return 结果
     */
    int deleteSysPerformanceActiveByIds(Long[] ids);

    /**
     * 删除综合绩效-辅导员工作室信息
     *
     * @param id 综合绩效-辅导员工作室主键
     * @return 结果
     */
    int deleteSysPerformanceActiveById(Long id);
}
