package com.srs.teacher.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.teacher.domain.SysPerformance;

/**
 * 综合绩效Service接口
 *
 * @author srs
 * @date 2024-06-17
 */
public interface ISysPerformanceService extends IService<SysPerformance> {
    /**
     * 查询综合绩效
     *
     * @param id 综合绩效主键
     * @return 综合绩效
     */
    public SysPerformance selectSysPerformanceById(Long id);

    /**
     * 查询综合绩效列表
     *
     * @param sysPerformance 综合绩效
     * @return 综合绩效集合
     */
    List<SysPerformance> selectSysPerformanceList(SysPerformance sysPerformance);

    /**
     * 新增综合绩效
     *
     * @param sysPerformance 综合绩效
     * @return 结果
     */
    int insertSysPerformance(SysPerformance sysPerformance) throws Exception;

    /**
     * 修改综合绩效
     *
     * @param sysPerformance 综合绩效
     * @return 结果
     */
    int updateSysPerformance(SysPerformance sysPerformance);

    /**
     * 批量删除综合绩效
     *
     * @param ids 需要删除的综合绩效主键集合
     * @return 结果
     */
    int deleteSysPerformanceByIds(Long[] ids);

    /**
     * 删除综合绩效信息
     *
     * @param id 综合绩效主键
     * @return 结果
     */
    int deleteSysPerformanceById(Long id);
}
