package com.srs.teacher.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.teacher.domain.SysPerformanceActive;
import com.srs.teacher.domain.SysPerformanceServing;
import org.apache.ibatis.annotations.Param;

/**
 * 综合绩效-担任职务Service接口
 *
 * @author srs
 * @date 2024-06-17
 */
public interface ISysPerformanceServingService extends IService<SysPerformanceServing> {
    /**
     * 查询综合绩效-担任职务
     *
     * @param id 综合绩效-担任职务主键
     * @return 综合绩效-担任职务
     */
    public SysPerformanceServing selectSysPerformanceServingById(Long id);

    /**
     * 查询综合绩效-担任职务
     *
     * @param fdName 查询综合绩效-担任职务
     * @return 查询综合绩效-担任职务
     */
    public SysPerformanceServing selectSysPerformanceServingByFdyName(@Param("fdName") String fdName, @Param("years") String years);

    /**
     * 查询综合绩效-担任职务列表
     *
     * @param sysPerformanceServing 综合绩效-担任职务
     * @return 综合绩效-担任职务集合
     */
    List<SysPerformanceServing> selectSysPerformanceServingList(SysPerformanceServing sysPerformanceServing);

    /**
     * 新增综合绩效-担任职务
     *
     * @param sysPerformanceServing 综合绩效-担任职务
     * @return 结果
     */
    int insertSysPerformanceServing(SysPerformanceServing sysPerformanceServing);

    /**
     * 修改综合绩效-担任职务
     *
     * @param sysPerformanceServing 综合绩效-担任职务
     * @return 结果
     */
    int updateSysPerformanceServing(SysPerformanceServing sysPerformanceServing);

    /**
     * 批量删除综合绩效-担任职务
     *
     * @param ids 需要删除的综合绩效-担任职务主键集合
     * @return 结果
     */
    int deleteSysPerformanceServingByIds(Long[] ids);

    /**
     * 删除综合绩效-担任职务信息
     *
     * @param id 综合绩效-担任职务主键
     * @return 结果
     */
    int deleteSysPerformanceServingById(Long id);
}
