package com.srs.teacher.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.teacher.domain.SysTeacherAchievementcheck;

/**
 * achievementcheckService接口
 *
 * @author srs
 * @date 2024-06-26
 */
public interface ISysTeacherAchievementcheckService extends IService<SysTeacherAchievementcheck> {
    /**
     * 查询achievementcheck
     *
     * @param checkId achievementcheck主键
     * @return achievementcheck
     */
    public SysTeacherAchievementcheck selectSysTeacherAchievementcheckByCheckId(Long checkId);

    /**
     * 查询achievementcheck列表
     *
     * @param sysTeacherAchievementcheck achievementcheck
     * @return achievementcheck集合
     */
    List<SysTeacherAchievementcheck> selectSysTeacherAchievementcheckList(SysTeacherAchievementcheck sysTeacherAchievementcheck);

    /**
     * 新增achievementcheck
     *
     * @param sysTeacherAchievementcheck achievementcheck
     * @return 结果
     */
    int insertSysTeacherAchievementcheck(SysTeacherAchievementcheck sysTeacherAchievementcheck);

    /**
     * 修改achievementcheck
     *
     * @param sysTeacherAchievementcheck achievementcheck
     * @return 结果
     */
    int updateSysTeacherAchievementcheck(SysTeacherAchievementcheck sysTeacherAchievementcheck);

    /**
     * 批量删除achievementcheck
     *
     * @param checkIds 需要删除的achievementcheck主键集合
     * @return 结果
     */
    int deleteSysTeacherAchievementcheckByCheckIds(Long[] checkIds);

    /**
     * 删除achievementcheck信息
     *
     * @param checkId achievementcheck主键
     * @return 结果
     */
    int deleteSysTeacherAchievementcheckByCheckId(Long checkId);

    /**
     * 删除achievementcheck信息
     *
     * @param teacherId achievementcheck主键
     * @return 结果
     */
    int deleteSysTeacherAchievementcheckByteacherId(Long teacherId);
}
