package com.srs.teacher.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.teacher.domain.SysTeacherBasicmessage;

/**
 * basicMessageService接口
 *
 * @author srs
 * @date 2024-06-07
 */
public interface ISysTeacherBasicmessageService extends IService<SysTeacherBasicmessage> {
    /**
     * 查询basicMessage
     *
     * @param teacherId basicMessage主键
     * @return basicMessage
     */
    public SysTeacherBasicmessage selectSysTeacherBasicmessageByTeacherId(Long teacherId);

    /**
     * 查询basicMessage列表
     *
     * @param sysTeacherBasicmessage basicMessage
     * @return basicMessage集合
     */
    List<SysTeacherBasicmessage> selectSysTeacherBasicmessageList(SysTeacherBasicmessage sysTeacherBasicmessage);

    /**
     * 新增basicMessage
     *
     * @param sysTeacherBasicmessage basicMessage
     * @return 结果
     */
    int insertSysTeacherBasicmessage(SysTeacherBasicmessage sysTeacherBasicmessage);

    /**
     * 修改basicMessage
     *
     * @param sysTeacherBasicmessage basicMessage
     * @return 结果
     */
    int updateSysTeacherBasicmessage(SysTeacherBasicmessage sysTeacherBasicmessage);

    /**
     * 批量删除basicMessage
     *
     * @param teacherIds 需要删除的basicMessage主键集合
     * @return 结果
     */
    int deleteSysTeacherBasicmessageByTeacherIds(Long[] teacherIds);

    /**
     * 删除basicMessage信息
     *
     * @param teacherId basicMessage主键
     * @return 结果
     */
    int deleteSysTeacherBasicmessageByTeacherId(Long teacherId);
}
