package com.srs.teacher.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.teacher.domain.SysTeacherKpiFillingNegativeList;
import com.srs.teacher.domain.SysTeacherKpiFillingStuMgt;
import org.apache.ibatis.annotations.Param;

/**
 * 业绩考核-个人填报-负面清单Service接口
 *
 * @author chc
 * @date 2024-06-12
 */
public interface ISysTeacherKpiFillingNegativeListService extends IService<SysTeacherKpiFillingNegativeList> {
    /**
     * 查询业绩考核-个人填报-负面清单
     *
     * @param id 业绩考核-个人填报-负面清单主键
     * @return 业绩考核-个人填报-负面清单
     */
    public SysTeacherKpiFillingNegativeList selectSysTeacherKpiFillingNegativeListById(Long id);

    /**
     * 查询业绩考核-个人填报-负面清单列表
     *
     * @param sysTeacherKpiFillingNegativeList 业绩考核-个人填报-负面清单
     * @return 业绩考核-个人填报-负面清单集合
     */
    List<SysTeacherKpiFillingNegativeList> selectSysTeacherKpiFillingNegativeListList(SysTeacherKpiFillingNegativeList sysTeacherKpiFillingNegativeList);

    /**
     * 查根据辅导员名称、年份 月份 查询
     *
     * @param fdyName 辅导员名称
     * @return 业绩考核-个人填报-负面清单集合
     */
    List<SysTeacherKpiFillingNegativeList> selectSysTeacherKpiFillingNegativeListByFdyName(@Param("fdyName") String fdyName, @Param("fillingYear") String fillingYear, @Param("fillingMonth") String fillingMonth);


    /**
     * 新增业绩考核-个人填报-负面清单
     *
     * @param sysTeacherKpiFillingNegativeList 业绩考核-个人填报-负面清单
     * @return 结果
     */
    int insertSysTeacherKpiFillingNegativeList(SysTeacherKpiFillingNegativeList sysTeacherKpiFillingNegativeList);

    /**
     * 修改业绩考核-个人填报-负面清单
     *
     * @param sysTeacherKpiFillingNegativeList 业绩考核-个人填报-负面清单
     * @return 结果
     */
    int updateSysTeacherKpiFillingNegativeList(SysTeacherKpiFillingNegativeList sysTeacherKpiFillingNegativeList);

    /**
     * 批量删除业绩考核-个人填报-负面清单
     *
     * @param ids 需要删除的业绩考核-个人填报-负面清单主键集合
     * @return 结果
     */
    int deleteSysTeacherKpiFillingNegativeListByIds(Long[] ids);

    /**
     * 删除业绩考核-个人填报-负面清单信息
     *
     * @param id 业绩考核-个人填报-负面清单主键
     * @return 结果
     */
    int deleteSysTeacherKpiFillingNegativeListById(Long id);
}
