package com.srs.teacher.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.teacher.domain.SysTeacherKpiFilling;
import org.apache.ibatis.annotations.Param;

/**
 * 业绩考核-个人填报Service接口
 *
 * @author chc
 * @date 2024-06-06
 */
public interface ISysTeacherKpiFillingService extends IService<SysTeacherKpiFilling> {
    /**
     * 查询业绩考核-个人填报
     *
     * @param id 业绩考核-个人填报主键
     * @return 业绩考核-个人填报
     */
    public SysTeacherKpiFilling selectSysTeacherKpiFillingById(Long id);

    /**
     * 根据辅导员名称、年份 月份 查询业绩考核-个人填报
     *
     * @param fdyName 辅导员名称主键
     * @return 业绩考核-个人填报
     */
    public SysTeacherKpiFilling selectSysTeacherKpiFillingByFdyName(@Param("fdyName") String fdyName, @Param("fillingYear") String fillingYear, @Param("fillingMonth") String fillingMonth);

    /**
     * 查询业绩考核-个人填报列表
     *
     * @param sysTeacherKpiFilling 业绩考核-个人填报
     * @return 业绩考核-个人填报集合
     */
    List<SysTeacherKpiFilling> selectSysTeacherKpiFillingList(SysTeacherKpiFilling sysTeacherKpiFilling);

    /**
     * 查询业绩考核-个人填报列表
     *
     * @return 业绩考核-个人填报集合
     */
    public List<SysTeacherKpiFilling> selectListKpiFilling();

    /**
     * 新增业绩考核-个人填报
     *
     * @param sysTeacherKpiFilling 业绩考核-个人填报
     * @return 结果
     */
    int insertSysTeacherKpiFilling(SysTeacherKpiFilling sysTeacherKpiFilling);

    /**
     * 修改业绩考核-个人填报
     *
     * @param sysTeacherKpiFilling 业绩考核-个人填报
     * @return 结果
     */
    int updateSysTeacherKpiFilling(SysTeacherKpiFilling sysTeacherKpiFilling);

    /**
     * 批量修改业绩考核-个人填报
     *
     * @param sysTeacherKpiFillingList 业绩考核-个人填报
     * @return 结果
     */
    int batchUpdateSysTeacherKpiFilling(List<SysTeacherKpiFilling> sysTeacherKpiFillingList);

    /**
     * 批量删除业绩考核-个人填报
     *
     * @param ids 需要删除的业绩考核-个人填报主键集合
     * @return 结果
     */
    int deleteSysTeacherKpiFillingByIds(Long[] ids);

    /**
     * 删除业绩考核-个人填报信息
     *
     * @param id 业绩考核-个人填报主键
     * @return 结果
     */
    int deleteSysTeacherKpiFillingById(Long id);
}
