package com.srs.teacher.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.teacher.domain.SysTeacherResearch;

/**
 * researchService接口
 *
 * @author srs
 * @date 2024-06-29
 */
public interface ISysTeacherResearchService extends IService<SysTeacherResearch> {
    /**
     * 查询research
     *
     * @param researchId research主键
     * @return research
     */
    public SysTeacherResearch selectSysTeacherResearchByResearchId(Long researchId);

    /**
     * 查询research列表
     *
     * @param sysTeacherResearch research
     * @return research集合
     */
    List<SysTeacherResearch> selectSysTeacherResearchList(SysTeacherResearch sysTeacherResearch);

    /**
     * 新增research
     *
     * @param sysTeacherResearch research
     * @return 结果
     */
    int insertSysTeacherResearch(SysTeacherResearch sysTeacherResearch);

    /**
     * 修改research
     *
     * @param sysTeacherResearch research
     * @return 结果
     */
    int updateSysTeacherResearch(SysTeacherResearch sysTeacherResearch);

    /**
     * 批量删除research
     *
     * @param researchIds 需要删除的research主键集合
     * @return 结果
     */
    int deleteSysTeacherResearchByResearchIds(Long[] researchIds);

    /**
     * 删除research信息
     *
     * @param researchId research主键
     * @return 结果
     */
    int deleteSysTeacherResearchByResearchId(Long researchId);
}
