package com.srs.teacher.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.teacher.domain.SysTeacherTakeclass;

/**
 * takeClassService接口
 *
 * @author srs
 * @date 2024-05-29
 */
public interface ISysTeacherTakeclassService extends IService<SysTeacherTakeclass> {
    /**
     * 查询takeClass
     *
     * @param takeclassId takeClass主键
     * @return takeClass
     */
    public SysTeacherTakeclass selectSysTeacherTakeclassByTakeclassId(Long takeclassId);

    /**
     * 查询takeClass列表
     *
     * @param sysTeacherTakeclass takeClass
     * @return takeClass集合
     */
    List<SysTeacherTakeclass> selectSysTeacherTakeclassList(SysTeacherTakeclass sysTeacherTakeclass);

    /**
     * 新增takeClass
     *
     * @param sysTeacherTakeclass takeClass
     * @return 结果
     */
    int insertSysTeacherTakeclass(SysTeacherTakeclass sysTeacherTakeclass);

    /**
     * 修改takeClass
     *
     * @param sysTeacherTakeclass takeClass
     * @return 结果
     */
    int updateSysTeacherTakeclass(SysTeacherTakeclass sysTeacherTakeclass);

    /**
     * 批量删除takeClass
     *
     * @param takeclassIds 需要删除的takeClass主键集合
     * @return 结果
     */
    int deleteSysTeacherTakeclassByTakeclassIds(Long[] takeclassIds);

    /**
     * 删除takeClass信息
     *
     * @param takeclassId takeClass主键
     * @return 结果
     */
    int deleteSysTeacherTakeclassByTakeclassId(Long takeclassId);
}
