package com.srs.teacher.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.teacher.domain.SysTeacherThesis;

/**
 * thesisService接口
 *
 * @author srs
 * @date 2024-06-29
 */
public interface ISysTeacherThesisService extends IService<SysTeacherThesis> {
    /**
     * 查询thesis
     *
     * @param thesisId thesis主键
     * @return thesis
     */
    public SysTeacherThesis selectSysTeacherThesisByThesisId(Long thesisId);

    /**
     * 查询thesis列表
     *
     * @param sysTeacherThesis thesis
     * @return thesis集合
     */
    List<SysTeacherThesis> selectSysTeacherThesisList(SysTeacherThesis sysTeacherThesis);

    /**
     * 新增thesis
     *
     * @param sysTeacherThesis thesis
     * @return 结果
     */
    int insertSysTeacherThesis(SysTeacherThesis sysTeacherThesis);

    /**
     * 修改thesis
     *
     * @param sysTeacherThesis thesis
     * @return 结果
     */
    int updateSysTeacherThesis(SysTeacherThesis sysTeacherThesis);

    /**
     * 批量删除thesis
     *
     * @param thesisIds 需要删除的thesis主键集合
     * @return 结果
     */
    int deleteSysTeacherThesisByThesisIds(Long[] thesisIds);

    /**
     * 删除thesis信息
     *
     * @param thesisId thesis主键
     * @return 结果
     */
    int deleteSysTeacherThesisByThesisId(Long thesisId);
}
