package com.srs.teacher.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.srs.teacher.mapper.SysPerformanceActiveMapper;
import com.srs.teacher.domain.SysPerformanceActive;
import com.srs.teacher.service.ISysPerformanceActiveService;

/**
 * 综合绩效-辅导员工作室Service业务层处理
 *
 * @author srs
 * @date 2024-06-17
 */
@Service
public class SysPerformanceActiveServiceImpl extends ServiceImpl<SysPerformanceActiveMapper,SysPerformanceActive> implements ISysPerformanceActiveService {
    @Autowired
    private SysPerformanceActiveMapper sysPerformanceActiveMapper;

    /**
     * 查询综合绩效-辅导员工作室
     *
     * @param id 综合绩效-辅导员工作室主键
     * @return 综合绩效-辅导员工作室
     */
    @Override
    public SysPerformanceActive selectSysPerformanceActiveById(Long id) {
        return sysPerformanceActiveMapper.selectSysPerformanceActiveById(id);
    }

    /**
     * 查询综合绩效-辅导员工作室列表
     *
     * @param sysPerformanceActive 综合绩效-辅导员工作室
     * @return 综合绩效-辅导员工作室
     */
    @Override
    public List<SysPerformanceActive> selectSysPerformanceActiveList(SysPerformanceActive sysPerformanceActive) {
        return sysPerformanceActiveMapper.selectSysPerformanceActiveList(sysPerformanceActive);
    }

    /**
     * 查询综合绩效-辅导员工作室列表
     *
     * @param fdName 综合绩效-根据填报人、年份查询
     * @return 综合绩效-辅导员工作室
     */
    @Override
    public SysPerformanceActive selectSysPerformanceActiveByFdyName(String fdName, String years) {
        return sysPerformanceActiveMapper.selectSysPerformanceActiveByFdyName(fdName,years);
    }

    /**
     * 新增综合绩效-辅导员工作室
     *
     * @param sysPerformanceActive 综合绩效-辅导员工作室
     * @return 结果
     */
    @Override
    public int insertSysPerformanceActive(SysPerformanceActive sysPerformanceActive) {
            return sysPerformanceActiveMapper.insertSysPerformanceActive(sysPerformanceActive);
    }

    /**
     * 修改综合绩效-辅导员工作室
     *
     * @param sysPerformanceActive 综合绩效-辅导员工作室
     * @return 结果
     */
    @Override
    public int updateSysPerformanceActive(SysPerformanceActive sysPerformanceActive) {
        return sysPerformanceActiveMapper.updateSysPerformanceActive(sysPerformanceActive);
    }

    /**
     * 批量删除综合绩效-辅导员工作室
     *
     * @param ids 需要删除的综合绩效-辅导员工作室主键
     * @return 结果
     */
    @Override
    public int deleteSysPerformanceActiveByIds(Long[] ids) {
        return sysPerformanceActiveMapper.deleteSysPerformanceActiveByIds(ids);
    }

    /**
     * 删除综合绩效-辅导员工作室信息
     *
     * @param id 综合绩效-辅导员工作室主键
     * @return 结果
     */
    @Override
    public int deleteSysPerformanceActiveById(Long id) {
        return sysPerformanceActiveMapper.deleteSysPerformanceActiveById(id);
    }
}
