package com.srs.teacher.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.srs.teacher.mapper.SysTeacherAppraiseMapper;
import com.srs.teacher.domain.SysTeacherAppraise;
import com.srs.teacher.service.ISysTeacherAppraiseService;

/**
 * appraiseService业务层处理
 *
 * @author srs
 * @date 2024-06-12
 */
@Service
public class SysTeacherAppraiseServiceImpl extends ServiceImpl<SysTeacherAppraiseMapper,SysTeacherAppraise> implements ISysTeacherAppraiseService {
    @Autowired
    private SysTeacherAppraiseMapper sysTeacherAppraiseMapper;

    /**
     * 查询appraise
     *
     * @param appraiseId appraise主键
     * @return appraise
     */
    @Override
    public SysTeacherAppraise selectSysTeacherAppraiseByAppraiseId(Long appraiseId) {
        return sysTeacherAppraiseMapper.selectSysTeacherAppraiseByAppraiseId(appraiseId);
    }

    /**
     * 查询appraise列表
     *
     * @param sysTeacherAppraise appraise
     * @return appraise
     */
    @Override
    public List<SysTeacherAppraise> selectSysTeacherAppraiseList(SysTeacherAppraise sysTeacherAppraise) {
        return sysTeacherAppraiseMapper.selectSysTeacherAppraiseList(sysTeacherAppraise);
    }

    /**
     * 新增appraise
     *
     * @param sysTeacherAppraise appraise
     * @return 结果
     */
    @Override
    public int insertSysTeacherAppraise(SysTeacherAppraise sysTeacherAppraise) {
            return sysTeacherAppraiseMapper.insertSysTeacherAppraise(sysTeacherAppraise);
    }

    /**
     * 修改appraise
     *
     * @param sysTeacherAppraise appraise
     * @return 结果
     */
    @Override
    public int updateSysTeacherAppraise(SysTeacherAppraise sysTeacherAppraise) {
        return sysTeacherAppraiseMapper.updateSysTeacherAppraise(sysTeacherAppraise);
    }

    /**
     * 批量删除appraise
     *
     * @param appraiseIds 需要删除的appraise主键
     * @return 结果
     */
    @Override
    public int deleteSysTeacherAppraiseByAppraiseIds(Long[] appraiseIds) {
        return sysTeacherAppraiseMapper.deleteSysTeacherAppraiseByAppraiseIds(appraiseIds);
    }

    /**
     * 删除appraise信息
     *
     * @param appraiseId appraise主键
     * @return 结果
     */
    @Override
    public int deleteSysTeacherAppraiseByAppraiseId(Long appraiseId) {
        return sysTeacherAppraiseMapper.deleteSysTeacherAppraiseByAppraiseId(appraiseId);
    }
}
