package com.srs.teacher.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.srs.teacher.mapper.SysTeacherGuidanceMapper;
import com.srs.teacher.domain.SysTeacherGuidance;
import com.srs.teacher.service.ISysTeacherGuidanceService;

/**
 * guidanceService业务层处理
 *
 * @author srs
 * @date 2024-06-29
 */
@Service
public class SysTeacherGuidanceServiceImpl extends ServiceImpl<SysTeacherGuidanceMapper,SysTeacherGuidance> implements ISysTeacherGuidanceService {
    @Autowired
    private SysTeacherGuidanceMapper sysTeacherGuidanceMapper;

    /**
     * 查询guidance
     *
     * @param guidanceId guidance主键
     * @return guidance
     */
    @Override
    public SysTeacherGuidance selectSysTeacherGuidanceByGuidanceId(Long guidanceId) {
        return sysTeacherGuidanceMapper.selectSysTeacherGuidanceByGuidanceId(guidanceId);
    }

    /**
     * 查询guidance列表
     *
     * @param sysTeacherGuidance guidance
     * @return guidance
     */
    @Override
    public List<SysTeacherGuidance> selectSysTeacherGuidanceList(SysTeacherGuidance sysTeacherGuidance) {
        return sysTeacherGuidanceMapper.selectSysTeacherGuidanceList(sysTeacherGuidance);
    }

    /**
     * 新增guidance
     *
     * @param sysTeacherGuidance guidance
     * @return 结果
     */
    @Override
    public int insertSysTeacherGuidance(SysTeacherGuidance sysTeacherGuidance) {
            return sysTeacherGuidanceMapper.insertSysTeacherGuidance(sysTeacherGuidance);
    }

    /**
     * 修改guidance
     *
     * @param sysTeacherGuidance guidance
     * @return 结果
     */
    @Override
    public int updateSysTeacherGuidance(SysTeacherGuidance sysTeacherGuidance) {
        return sysTeacherGuidanceMapper.updateSysTeacherGuidance(sysTeacherGuidance);
    }

    /**
     * 批量删除guidance
     *
     * @param guidanceIds 需要删除的guidance主键
     * @return 结果
     */
    @Override
    public int deleteSysTeacherGuidanceByGuidanceIds(Long[] guidanceIds) {
        return sysTeacherGuidanceMapper.deleteSysTeacherGuidanceByGuidanceIds(guidanceIds);
    }

    /**
     * 删除guidance信息
     *
     * @param guidanceId guidance主键
     * @return 结果
     */
    @Override
    public int deleteSysTeacherGuidanceByGuidanceId(Long guidanceId) {
        return sysTeacherGuidanceMapper.deleteSysTeacherGuidanceByGuidanceId(guidanceId);
    }
}
