package com.srs.teacher.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.srs.teacher.mapper.SysTeacherWorkexampleMapper;
import com.srs.teacher.domain.SysTeacherWorkexample;
import com.srs.teacher.service.ISysTeacherWorkexampleService;

/**
 * workexampleService业务层处理
 *
 * @author srs
 * @date 2024-06-29
 */
@Service
public class SysTeacherWorkexampleServiceImpl extends ServiceImpl<SysTeacherWorkexampleMapper, SysTeacherWorkexample> implements ISysTeacherWorkexampleService {
    @Autowired
    private SysTeacherWorkexampleMapper sysTeacherWorkexampleMapper;

    /**
     * 查询workexample
     *
     * @param workexampleId workexample主键
     * @return workexample
     */
    @Override
    public SysTeacherWorkexample selectSysTeacherWorkexampleByWorkexampleId(Long workexampleId) {
        return sysTeacherWorkexampleMapper.selectSysTeacherWorkexampleByWorkexampleId(workexampleId);
    }

    /**
     * 查询workexample列表
     *
     * @param sysTeacherWorkexample workexample
     * @return workexample
     */
    @Override
    public List<SysTeacherWorkexample> selectSysTeacherWorkexampleList(SysTeacherWorkexample sysTeacherWorkexample) {
        return sysTeacherWorkexampleMapper.selectSysTeacherWorkexampleList(sysTeacherWorkexample);
    }

    /**
     * 新增workexample
     *
     * @param sysTeacherWorkexample workexample
     * @return 结果
     */
    @Override
    public int insertSysTeacherWorkexample(SysTeacherWorkexample sysTeacherWorkexample) {
        return sysTeacherWorkexampleMapper.insertSysTeacherWorkexample(sysTeacherWorkexample);
    }

    /**
     * 修改workexample
     *
     * @param sysTeacherWorkexample workexample
     * @return 结果
     */
    @Override
    public int updateSysTeacherWorkexample(SysTeacherWorkexample sysTeacherWorkexample) {
        return sysTeacherWorkexampleMapper.updateSysTeacherWorkexample(sysTeacherWorkexample);
    }

    /**
     * 批量删除workexample
     *
     * @param workexampleIds 需要删除的workexample主键
     * @return 结果
     */
    @Override
    public int deleteSysTeacherWorkexampleByWorkexampleIds(Long[] workexampleIds) {
        return sysTeacherWorkexampleMapper.deleteSysTeacherWorkexampleByWorkexampleIds(workexampleIds);
    }

    /**
     * 删除workexample信息
     *
     * @param workexampleId workexample主键
     * @return 结果
     */
    @Override
    public int deleteSysTeacherWorkexampleByWorkexampleId(Long workexampleId) {
        return sysTeacherWorkexampleMapper.deleteSysTeacherWorkexampleByWorkexampleId(workexampleId);
    }
}
