package com.srs.workstudy.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.srs.common.core.domain.BaseEntity;



/**
 * 勤工助学额外薪资对象 qgzx_money_extra
 *
 * @author srs
 * @date 2024-11-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "QgzxMoneyExtra对象" , description = "勤工助学额外薪资")
@TableName("qgzx_money_extra")
public class QgzxMoneyExtra {
private static final long serialVersionUID=1L;

    /**
     * #
     */
    @ApiModelProperty("#")
    @TableId(value = "id", type = IdType.AUTO)
    public Long id;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    @TableField("stu_no")
    @Excel(name = "学号")
    public String stuNo;

    /**
     * 岗位名称
     */
    @ApiModelProperty("岗位名称")
    @TableField("post_name")
    @Excel(name = "岗位名称")
    public String postName;

    /**
     * 设岗部门代码
     */
    @ApiModelProperty("设岗部门代码")
    @TableField("dept_code")
    @Excel(name = "设岗部门代码")
    public String deptCode;

    /**
     * 岗位类型
     */
    @ApiModelProperty("岗位类型")
    @TableField("post_type")
    @Excel(name = "岗位类型")
    public String postType;

    /**
     * 指导老师工号
     */
    @ApiModelProperty("指导老师工号")
    @TableField("zdls_no")
    @Excel(name = "指导老师工号")
    public String zdlsNo;

    /**
     * 工作时长
     */
    @ApiModelProperty("工作时长")
    @TableField("total_time")
    @Excel(name = "工作时长")
    public BigDecimal totalTime;

    /**
     * 困难类型
     */
    @ApiModelProperty("困难类型")
    @TableField("family_condition")
    @Excel(name = "困难类型")
    public String familyCondition;

    /**
     * 指导老师签章
     */
    @ApiModelProperty("指导老师签章")
    @TableField("zdls_sign")
    @Excel(name = "指导老师签章")
    public String zdlsSign;

    /**
     * 资助办领导签章
     */
    @ApiModelProperty("资助办领导签章")
    @TableField("final_sign")
    @Excel(name = "资助办领导签章")
    public String finalSign;

    /**
     * 资助办领导审核时间
     */
    @ApiModelProperty("资助办领导审核时间")
    @TableField("final_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "资助办领导审核时间" , width = 30, dateFormat = "yyyy-MM-dd")
    public Date finalTime;

    @TableField("audit_remark")
    public String auditRemark;

    @TableField("bank_card")
    public String bankCard;

    @TableField("bank_addr")
    public String bankAddr;

    @TableField("work_need")
    public String workNeed;

    @TableField(exist = false)
    public Long deptId;

    @TableField("apply_status")
    public String applyStatus;

    @TableField("apply_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    public Date applyTime;

    @TableField("final_no")
    public String finalNo;

}
